!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 22:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_1188) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_728) = cima*(-3d0*Nc*coupl(nGC_78)**2d0 - 3d0*Nc*coupl(nGC_79  &
                       )**2d0 - 3d0*Nc*coupl(nGC_82)**2d0 - 3d0*Nc*coupl(nGC_83&
                       )**2d0 - coupl(nGC_236)**2d0 - coupl(nGC_64)**2d0 - 3d0*&
                       coupl(nGC_80)**2d0 - 3d0*coupl(nGC_85)**2d0 - 3d0*coupl(&
                       nGC_86)**2d0)/(48d0*pi**2d0)
      coupl(nGC_729) = cima*(coupl(nGC_236)**2d0 + coupl(nGC_64)**2d0)/(48d0*pi&
                       **2d0)
      coupl(nGC_889) = (18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(    &
                       nGC_82) - 15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0* &
                       coupl(nGC_83) - 15d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62  &
                       )**2d0*coupl(nGC_82) + 18d0*Nc*cima*coupl(nGC_2)*coupl( &
                       nGC_62)**2d0*coupl(nGC_83) - 4d0*cima*coupl(nGC_228)*   &
                       coupl(nGC_236)*coupl(nGC_240)*coupl(nGC_3) - 4d0*cima*  &
                       coupl(nGC_236)*coupl(nGC_240)*coupl(nGC_254)*coupl(     &
                       nGC_64) - 4d0*cima*coupl(nGC_236)*coupl(nGC_3)*coupl(   &
                       nGC_63)*coupl(nGC_64) - 4d0*cima*coupl(nGC_240)*coupl(  &
                       nGC_3)*coupl(nGC_4)*coupl(nGC_64) + 6d0*cima*coupl(     &
                       nGC_324)*coupl(nGC_77) + 18d0*cima*coupl(nGC_4)*coupl(  &
                       nGC_62)**2d0*coupl(nGC_85) - 15d0*cima*coupl(nGC_4)*    &
                       coupl(nGC_62)**2d0*coupl(nGC_86) + 6d0*coupl(nGC_236)*  &
                       coupl(nGC_240)*coupl(nGC_324) + 6d0*coupl(nGC_236)*coupl&
                       (nGC_63)*coupl(nGC_77) + 6d0*coupl(nGC_240)*coupl(nGC_4 &
                       )*coupl(nGC_77) + 6d0*coupl(nGC_3)*coupl(nGC_324)*coupl(&
                       nGC_64))/(48d0*pi**2d0)
      coupl(nGC_888) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(    &
                       nGC_82) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*  &
                       coupl(nGC_83) + 9d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62)**&
                       2d0*coupl(nGC_82) - 6d0*Nc*cima*coupl(nGC_2)*coupl(     &
                       nGC_62)**2d0*coupl(nGC_83) - 4d0*cima*coupl(nGC_228)*   &
                       coupl(nGC_236)*coupl(nGC_240)*coupl(nGC_3) + 6d0*cima*  &
                       coupl(nGC_232)*coupl(nGC_318) - 4d0*cima*coupl(nGC_236)*&
                       coupl(nGC_240)*coupl(nGC_254)*coupl(nGC_64) - 4d0*cima* &
                       coupl(nGC_236)*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_64  &
                       ) - 4d0*cima*coupl(nGC_240)*coupl(nGC_3)*coupl(nGC_4)*  &
                       coupl(nGC_64) - 6d0*cima*coupl(nGC_4)*coupl(nGC_62)**2d0&
                       *coupl(nGC_85) + 9d0*cima*coupl(nGC_4)*coupl(nGC_62)**  &
                       2d0*coupl(nGC_86) + 6d0*cima*coupl(nGC_55)*coupl(nGC_74 &
                       ) + 6d0*coupl(nGC_232)*coupl(nGC_3)*coupl(nGC_4) + 6d0* &
                       coupl(nGC_236)*coupl(nGC_64)*coupl(nGC_74) + 6d0*coupl( &
                       nGC_240)*coupl(nGC_318)*coupl(nGC_64) + 6d0*coupl(nGC_3 &
                       )*coupl(nGC_55)*coupl(nGC_63))/(48d0*pi**2d0)
      coupl(nGC_928) = cima*(10d0*Nc*coupl(nGC_125)**2d0*coupl(nGC_126)**2d0 + &
                       40d0*Nc*coupl(nGC_125)*coupl(nGC_126)**2d0*coupl(nGC_222&
                       ) + 10d0*Nc*coupl(nGC_126)**2d0*coupl(nGC_222)**2d0 +   &
                       10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_129)**2d0 + 40d0* &
                       Nc*coupl(nGC_128)**2d0*coupl(nGC_129)*coupl(nGC_224) +  &
                       10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_224)**2d0 + 10d0* &
                       Nc*coupl(nGC_131)**2d0*coupl(nGC_132)**2d0 + 40d0*Nc*   &
                       coupl(nGC_131)*coupl(nGC_132)**2d0*coupl(nGC_238) + 10d0&
                       *Nc*coupl(nGC_132)**2d0*coupl(nGC_238)**2d0 + 10d0*Nc*  &
                       coupl(nGC_140)**2d0*coupl(nGC_141)**2d0 + 40d0*Nc*coupl(&
                       nGC_140)*coupl(nGC_141)**2d0*coupl(nGC_258) + 10d0*Nc*  &
                       coupl(nGC_141)**2d0*coupl(nGC_258)**2d0 + 10d0*Nc*coupl(&
                       nGC_143)**2d0*coupl(nGC_144)**2d0 + 40d0*Nc*coupl(      &
                       nGC_143)**2d0*coupl(nGC_144)*coupl(nGC_306) + 10d0*Nc*  &
                       coupl(nGC_143)**2d0*coupl(nGC_306)**2d0 + 10d0*Nc*coupl(&
                       nGC_149)**2d0*coupl(nGC_150)**2d0 + 40d0*Nc*coupl(      &
                       nGC_149)**2d0*coupl(nGC_150)*coupl(nGC_290) + 10d0*Nc*  &
                       coupl(nGC_149)**2d0*coupl(nGC_290)**2d0 + 10d0*coupl(   &
                       nGC_134)**2d0*coupl(nGC_135)**2d0 + 40d0*coupl(nGC_134)*&
                       coupl(nGC_135)**2d0*coupl(nGC_310) + 10d0*coupl(nGC_135 &
                       )**2d0*coupl(nGC_310)**2d0 + 10d0*coupl(nGC_137)**2d0*  &
                       coupl(nGC_138)**2d0 + 40d0*coupl(nGC_137)*coupl(nGC_138 &
                       )**2d0*coupl(nGC_230) + 10d0*coupl(nGC_138)**2d0*coupl( &
                       nGC_230)**2d0 + 10d0*coupl(nGC_146)**2d0*coupl(nGC_147  &
                       )**2d0 + 40d0*coupl(nGC_146)*coupl(nGC_147)**2d0*coupl( &
                       nGC_270) + 10d0*coupl(nGC_147)**2d0*coupl(nGC_270)**2d0 &
                        + 6d0*coupl(nGC_47)**2d0 + 3d0*coupl(nGC_96)**2d0)/(   &
                       48d0*pi**2d0)
      coupl(nGC_929) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_78)**2d0 +  &
                       coupl(nGC_79)**2d0 + coupl(nGC_82)**2d0 + coupl(nGC_83  &
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_926) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_124)**2d0  &
                        - coupl(nGC_127)**2d0 - coupl(nGC_130)**2d0 - coupl(   &
                       nGC_139)**2d0 - coupl(nGC_142)**2d0 - coupl(nGC_148)**  &
                       2d0)/(32d0*pi**2d0)
      coupl(nGC_927) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_124)**2d0 + &
                       coupl(nGC_127)**2d0 + coupl(nGC_130)**2d0 + coupl(      &
                       nGC_139)**2d0 + coupl(nGC_142)**2d0 + coupl(nGC_148)**  &
                       2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_924) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(  &
                       nGC_78) - coupl(nGC_1)*coupl(nGC_82) - coupl(nGC_2)*    &
                       coupl(nGC_79) - coupl(nGC_2)*coupl(nGC_83))/(32d0*pi**  &
                       2d0*Nc)
      coupl(nGC_925) = cima*(20d0*Nc*coupl(nGC_126)**4d0 + 20d0*Nc*coupl(      &
                       nGC_128)**4d0 + 20d0*Nc*coupl(nGC_132)**4d0 + 20d0*Nc*  &
                       coupl(nGC_141)**4d0 + 20d0*Nc*coupl(nGC_143)**4d0 + 20d0&
                       *Nc*coupl(nGC_149)**4d0 + 20d0*coupl(nGC_135)**4d0 +    &
                       20d0*coupl(nGC_138)**4d0 + 20d0*coupl(nGC_147)**4d0 +   &
                       6d0*coupl(nGC_47)**2d0 + 3d0*coupl(nGC_96)**2d0)/(16d0* &
                       pi**2d0)
      coupl(nGC_922) = (-4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_62)**2d0 -  &
                       4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_62)**2d0 - 4d0&
                       *Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_62)**2d0 - 4d0*Nc&
                       *cima*coupl(nGC_139)**2d0*coupl(nGC_62)**2d0 - 4d0*Nc*  &
                       cima*coupl(nGC_142)**2d0*coupl(nGC_62)**2d0 - 4d0*Nc*   &
                       cima*coupl(nGC_148)**2d0*coupl(nGC_62)**2d0 + 3d0*cima* &
                       coupl(nGC_10)*coupl(nGC_9) - 4d0*cima*coupl(nGC_133)**  &
                       2d0*coupl(nGC_62)**2d0 - 4d0*cima*coupl(nGC_136)**2d0*  &
                       coupl(nGC_62)**2d0 - 4d0*cima*coupl(nGC_145)**2d0*coupl(&
                       nGC_62)**2d0 + 6d0*cima*coupl(nGC_324)*coupl(nGC_47) +  &
                       3d0*cima*coupl(nGC_56)*coupl(nGC_95) + 6d0*cima*coupl(  &
                       nGC_77)*coupl(nGC_90) + 6d0*coupl(nGC_10)*coupl(nGC_228 &
                       )*coupl(nGC_3) + 6d0*coupl(nGC_228)*coupl(nGC_64)*coupl(&
                       nGC_90) + 6d0*coupl(nGC_236)*coupl(nGC_47)*coupl(nGC_63 &
                       ) + 6d0*coupl(nGC_240)*coupl(nGC_4)*coupl(nGC_47) + 6d0*&
                       coupl(nGC_254)*coupl(nGC_3)*coupl(nGC_90) + 6d0*coupl(  &
                       nGC_254)*coupl(nGC_64)*coupl(nGC_95))/(48d0*pi**2d0)
      coupl(nGC_923) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(   &
                       nGC_78) + coupl(nGC_1)*coupl(nGC_82) + coupl(nGC_2)*    &
                       coupl(nGC_79) + coupl(nGC_2)*coupl(nGC_83))/(32d0*pi**  &
                       2d0)
      coupl(nGC_920) = cima*coupl(nGC_19)**2d0*coupl(nGC_62)**2d0*sq2**2d0/(   &
                       32d0*pi**2d0)
      coupl(nGC_921) = -cima*coupl(nGC_19)**2d0*coupl(nGC_62)**2d0*sq2**2d0/(  &
                       32d0*pi**2d0*Nc)
      coupl(nGC_1337) = -coupl(nGC_1021) - coupl(nGC_144)*dZtL_QED2/2d0 - coupl&
                        (nGC_144)*dZtR_QED2/2d0
      coupl(nGC_1336) = coupl(nGC_1022) + coupl(nGC_144)*dZtL_QCD2/2d0 + coupl(&
                        nGC_144)*dZtR_QCD2/2d0
      coupl(nGC_1335) = coupl(nGC_1021) + coupl(nGC_144)*dZtL_QED2/2d0 + coupl(&
                        nGC_144)*dZtR_QED2/2d0
      coupl(nGC_1334) = -2d0*coupl(nGC_1045) - 4d0*coupl(nGC_48)*dZWMinus_QED2
      coupl(nGC_1333) = coupl(nGC_1045) + 2d0*coupl(nGC_48)*dZWMinus_QED2
      coupl(nGC_1238) = coupl(nGC_1033) + coupl(nGC_61)*dZWMinus_QED2/2d0
      coupl(nGC_1331) = coupl(nGC_1004) + coupl(nGC_141)*dZH_QED2/2d0 + coupl( &
                        nGC_141)*dZsL_QED2/2d0 + coupl(nGC_141)*dZsR_QED2/2d0
      coupl(nGC_1239) = coupl(nGC_1000) + coupl(nGC_125)*dZbL_QED2/2d0 + coupl(&
                        nGC_125)*dZbR_QED2/2d0
      coupl(nGC_1236) = coupl(nGC_65)*dZWMinus_QED2/4d0 + coupl(nGC_980)/2d0
      coupl(nGC_880) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl(  &
                       nGC_124)*coupl(nGC_125)*coupl(nGC_144) - coupl(nGC_124)*&
                       coupl(nGC_126)*coupl(nGC_143) + 8d0*coupl(nGC_142)*coupl&
                       (nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_1234) = -coupl(nGC_1011) - coupl(nGC_134)*dZeMinusL_QED2/2d0 - &
                        coupl(nGC_134)*dZeMinusR_QED2/2d0
      coupl(nGC_1330) = coupl(nGC_1007) + coupl(nGC_126)*dZbL_QCD2/2d0 + coupl(&
                        nGC_126)*dZbR_QCD2/2d0
      coupl(nGC_885) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_124)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_127)**2d0 - 4d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_130)**2d0 - 4d0*Nc* &
                       cima*coupl(nGC_1)**2d0*coupl(nGC_139)**2d0 - 4d0*Nc*cima&
                       *coupl(nGC_1)**2d0*coupl(nGC_142)**2d0 - 4d0*Nc*cima*   &
                       coupl(nGC_1)**2d0*coupl(nGC_148)**2d0 + 5d0*Nc*cima*    &
                       coupl(nGC_1)*coupl(nGC_124)**2d0*coupl(nGC_2) + 5d0*Nc* &
                       cima*coupl(nGC_1)*coupl(nGC_127)**2d0*coupl(nGC_2) + 5d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_130)**2d0*coupl(nGC_2   &
                       ) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_139)**2d0*coupl( &
                       nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*  &
                       coupl(nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148)**&
                       2d0*coupl(nGC_2) - 4d0*Nc*cima*coupl(nGC_124)**2d0*coupl&
                       (nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(   &
                       nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_130)**2d0*coupl(    &
                       nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_139)**2d0*coupl(    &
                       nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_142)**2d0*coupl(    &
                       nGC_2)**2d0 - 4d0*Nc*cima*coupl(nGC_148)**2d0*coupl(    &
                       nGC_2)**2d0 - 4d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4  &
                       )**2d0 - 4d0*cima*coupl(nGC_136)**2d0*coupl(nGC_4)**2d0 &
                        - 4d0*cima*coupl(nGC_145)**2d0*coupl(nGC_4)**2d0 + 3d0*&
                       cima*coupl(nGC_47)*coupl(nGC_9) + 3d0*coupl(nGC_240)**  &
                       2d0*coupl(nGC_47) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_47  &
                       ))/(24d0*pi**2d0)
      coupl(nGC_884) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 + 9d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**2d0 - &
                       3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 - 2d0* &
                       cima*coupl(nGC_228)*coupl(nGC_240)**2d0*coupl(nGC_3) -  &
                       2d0*cima*coupl(nGC_236)*coupl(nGC_3)**2d0*coupl(nGC_63  &
                       ) - 2d0*cima*coupl(nGC_240)**2d0*coupl(nGC_254)*coupl(  &
                       nGC_64) - 2d0*cima*coupl(nGC_240)*coupl(nGC_3)**2d0*    &
                       coupl(nGC_4) + 3d0*cima*coupl(nGC_318)**2d0 - 3d0*cima* &
                       coupl(nGC_4)**2d0*coupl(nGC_62)**2d0 + 3d0*cima*coupl(  &
                       nGC_74)**2d0 + 3d0*coupl(nGC_228)*coupl(nGC_240)*coupl( &
                       nGC_318) + 3d0*coupl(nGC_240)*coupl(nGC_254)*coupl(     &
                       nGC_74) + 3d0*coupl(nGC_240)*coupl(nGC_3)*coupl(nGC_318 &
                       ) + 3d0*coupl(nGC_240)*coupl(nGC_64)*coupl(nGC_74))/(   &
                       24d0*pi**2d0)
      coupl(nGC_1339) = -coupl(nGC_65)*dZWMinus_QED2/4d0 - coupl(nGC_980)/2d0
      coupl(nGC_1231) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_881) = (8d0*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_124)*coupl(nGC_78)*coupl(nGC_83) - coupl(     &
                       nGC_126)*coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_142)*&
                       coupl(nGC_222)*coupl(nGC_306))/(32d0*pi**2d0)
      coupl(nGC_883) = (9d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 - 15d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**2d0 + &
                       9d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 - 2d0* &
                       cima*coupl(nGC_228)*coupl(nGC_240)**2d0*coupl(nGC_3) -  &
                       2d0*cima*coupl(nGC_236)*coupl(nGC_3)**2d0*coupl(nGC_63  &
                       ) - 2d0*cima*coupl(nGC_240)**2d0*coupl(nGC_254)*coupl(  &
                       nGC_64) - 2d0*cima*coupl(nGC_240)*coupl(nGC_3)**2d0*    &
                       coupl(nGC_4) + 3d0*cima*coupl(nGC_324)*coupl(nGC_9) +   &
                       9d0*cima*coupl(nGC_4)**2d0*coupl(nGC_62)**2d0 + 3d0*    &
                       coupl(nGC_236)*coupl(nGC_63)*coupl(nGC_9) + 3d0*coupl(  &
                       nGC_240)**2d0*coupl(nGC_324) + 3d0*coupl(nGC_240)*coupl(&
                       nGC_4)*coupl(nGC_9) + 3d0*coupl(nGC_3)**2d0*coupl(      &
                       nGC_324))/(24d0*pi**2d0)
      coupl(nGC_1235) = -coupl(nGC_66)*dZWMinus_QED2/4d0 - coupl(nGC_979)/2d0
      coupl(nGC_732) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(     &
                       nGC_85))/(8d0*pi**2d0)
      coupl(nGC_1233) = coupl(nGC_1011) + coupl(nGC_134)*dZeMinusL_QED2/2d0 +  &
                        coupl(nGC_134)*dZeMinusR_QED2/2d0
      coupl(nGC_864) = (-coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_142) - coupl( &
                       nGC_143)**2d0*coupl(nGC_144) - coupl(nGC_144)*coupl(    &
                       nGC_306)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_306) +  &
                       8d0*coupl(nGC_306)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi&
                       **2d0)
      coupl(nGC_887) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_126)**2d0 -   &
                       2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_132)**2d0 - 2d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_141)**2d0 - 2d0*Nc* &
                       cima*coupl(nGC_128)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*cima&
                       *coupl(nGC_143)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*cima*   &
                       coupl(nGC_149)**2d0*coupl(nGC_2)**2d0 - 2d0*cima*coupl( &
                       nGC_135)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_138&
                       )**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_147)**2d0*&
                       coupl(nGC_4)**2d0 + cima*coupl(nGC_47)*coupl(nGC_9) +   &
                       coupl(nGC_240)**2d0*coupl(nGC_47) + coupl(nGC_3)**2d0*  &
                       coupl(nGC_47))/(8d0*pi**2d0)
      coupl(nGC_948) = (-cima*coupl(nGC_276)**4d0*sq2**4d0 + cima*coupl(nGC_278&
                       )**2d0 - 2d0*coupl(nGC_276)**2d0*coupl(nGC_278)*sq2**2d0&
                       )/(32d0*pi**2d0)
      coupl(nGC_1338) = -coupl(nGC_1022) - coupl(nGC_144)*dZtL_QCD2/2d0 - coupl&
                        (nGC_144)*dZtR_QCD2/2d0
      coupl(nGC_862) = (-coupl(nGC_146)*coupl(nGC_147)**2d0 - coupl(nGC_146)*  &
                       coupl(nGC_270)**2d0 + 8d0*coupl(nGC_270)*coupl(nGC_4)** &
                       2d0 + 8d0*coupl(nGC_270)*coupl(nGC_80)*coupl(nGC_85))/( &
                       32d0*pi**2d0)
      coupl(nGC_1268) = coupl(nGC_1060) + coupl(nGC_19)*dZbR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_945) = cima*sq2**4d0*(-Nc*coupl(nGC_276)**4d0 - 15d0*coupl(    &
                       nGC_19)**4d0)/(192d0*pi**2d0)
      coupl(nGC_1153) = coupl(nGC_1051) + coupl(nGC_110)*dZAZ_QED2/2d0 + coupl(&
                        nGC_99)*dZWMinus_QED2/2d0 + coupl(nGC_99)*dZZ_QED2/2d0
      coupl(nGC_1152) = coupl(nGC_1038) + coupl(nGC_47)*dZH_QED2 + coupl(nGC_47&
                        )*dZWMinus_QED2
      coupl(nGC_1098) = coupl(nGC_1052) + coupl(nGC_56)*dZZA_QED2/2d0 + coupl( &
                        nGC_77)*dZA_QED2/2d0 + coupl(nGC_77)*dZWMinus_QED2 +   &
                        coupl(nGC_77)*dZZ_QED2/2d0 - coupl(nGC_8)*dZAZ_QED2
      coupl(nGC_1099) = coupl(nGC_1053) + coupl(nGC_96)*dZZ_QED2
      coupl(nGC_711) = cima*(coupl(nGC_240)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi &
                       **2d0)
      coupl(nGC_1156) = coupl(nGC_1060) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZsL_QCD2
      coupl(nGC_713) = cima*(Nc*coupl(nGC_124)**2d0 + Nc*coupl(nGC_127)**2d0 + &
                       Nc*coupl(nGC_130)**2d0 + Nc*coupl(nGC_139)**2d0 + Nc*   &
                       coupl(nGC_142)**2d0 + Nc*coupl(nGC_148)**2d0 + coupl(   &
                       nGC_133)**2d0 + coupl(nGC_136)**2d0 + coupl(nGC_145)**  &
                       2d0)/(48d0*pi**2d0)
      coupl(nGC_1154) = coupl(nGC_1061) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_62)*dZdL_QED2/2d0 + coupl(nGC_62)*dZuL_QED2/ &
                        2d0
      coupl(nGC_1090) = coupl(nGC_214)*dMZ2_QED2
      coupl(nGC_1158) = coupl(nGC_1060) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZsR_QCD2
      coupl(nGC_1097) = -coupl(nGC_1052)/2d0 + coupl(nGC_55)*dZZA_QED2/2d0 -   &
                        coupl(nGC_77)*dZA_QED2/4d0 - coupl(nGC_77)*            &
                        dZWMinus_QED2/2d0 - coupl(nGC_77)*dZZ_QED2/4d0 + coupl(&
                        nGC_8)*dZAZ_QED2/2d0
      coupl(nGC_1332) = coupl(nGC_1005) + coupl(nGC_141)*dZsL_QCD2/2d0 + coupl(&
                        nGC_141)*dZsR_QCD2/2d0
      coupl(nGC_1427) = -coupl(nGC_816)
      coupl(nGC_1426) = -coupl(nGC_819)
      coupl(nGC_1356) = coupl(nGC_78)*dZbR_QCD2
      coupl(nGC_788) = (Nc*coupl(nGC_124)**2d0*coupl(nGC_78) - Nc*coupl(nGC_124&
                       )**2d0*coupl(nGC_83) - Nc*coupl(nGC_127)**2d0*coupl(    &
                       nGC_79) + Nc*coupl(nGC_127)**2d0*coupl(nGC_82) + Nc*    &
                       coupl(nGC_130)**2d0*coupl(nGC_78) - Nc*coupl(nGC_130)** &
                       2d0*coupl(nGC_83) + Nc*coupl(nGC_139)**2d0*coupl(nGC_78 &
                       ) - Nc*coupl(nGC_139)**2d0*coupl(nGC_83) - Nc*coupl(    &
                       nGC_142)**2d0*coupl(nGC_79) + Nc*coupl(nGC_142)**2d0*   &
                       coupl(nGC_82) - Nc*coupl(nGC_148)**2d0*coupl(nGC_79) +  &
                       Nc*coupl(nGC_148)**2d0*coupl(nGC_82) + coupl(nGC_133)** &
                       2d0*coupl(nGC_80) - coupl(nGC_133)**2d0*coupl(nGC_86) + &
                       coupl(nGC_136)**2d0*coupl(nGC_80) - coupl(nGC_136)**2d0*&
                       coupl(nGC_86) + coupl(nGC_145)**2d0*coupl(nGC_80) -     &
                       coupl(nGC_145)**2d0*coupl(nGC_86))/(24d0*pi**2d0)
      coupl(nGC_789) = (coupl(nGC_133)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62)**&
                       2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(nGC_85 &
                       ) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_786) = (Nc*cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_78) - Nc*&
                       cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMB*&
                       coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_83) + cME*coupl( &
                       nGC_133)*coupl(nGC_62)*coupl(nGC_80) - cME*coupl(nGC_133&
                       )*coupl(nGC_62)*coupl(nGC_85) - cME*coupl(nGC_133)*coupl&
                       (nGC_62)*coupl(nGC_86) + cMM*coupl(nGC_136)*coupl(nGC_62&
                       )*coupl(nGC_80) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl&
                       (nGC_85) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl(nGC_86&
                       ) + cMTA*coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_80) -   &
                       cMTA*coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_85) - cMTA* &
                       coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_86) + 2d0*cima*  &
                       coupl(nGC_110)*coupl(nGC_232) + 2d0*cima*coupl(nGC_55)* &
                       coupl(nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_228)*coupl(&
                       nGC_236) + 2d0*coupl(nGC_236)*coupl(nGC_254)*coupl(     &
                       nGC_99))/(16d0*pi**2d0)
      coupl(nGC_1351) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_784) = (-2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_78)**2d0 + 2d0*Nc*&
                       cMB*coupl(nGC_126)*coupl(nGC_78)*coupl(nGC_82) - 2d0*Nc*&
                       cMB*coupl(nGC_126)*coupl(nGC_82)**2d0 - 2d0*Nc*cMC*coupl&
                       (nGC_128)*coupl(nGC_79)**2d0 + 2d0*Nc*cMC*coupl(nGC_128 &
                       )*coupl(nGC_79)*coupl(nGC_83) - 2d0*Nc*cMC*coupl(nGC_128&
                       )*coupl(nGC_83)**2d0 - 2d0*Nc*cMD*coupl(nGC_132)*coupl( &
                       nGC_78)**2d0 + 2d0*Nc*cMD*coupl(nGC_132)*coupl(nGC_78)* &
                       coupl(nGC_82) - 2d0*Nc*cMD*coupl(nGC_132)*coupl(nGC_82  &
                       )**2d0 - 2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_78)**2d0 + &
                       2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_78)*coupl(nGC_82) - &
                       2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_82)**2d0 - 2d0*Nc*  &
                       cMT*coupl(nGC_143)*coupl(nGC_79)**2d0 + 2d0*Nc*cMT*coupl&
                       (nGC_143)*coupl(nGC_79)*coupl(nGC_83) - 2d0*Nc*cMT*coupl&
                       (nGC_143)*coupl(nGC_83)**2d0 - 2d0*Nc*cMU*coupl(nGC_149 &
                       )*coupl(nGC_79)**2d0 + 2d0*Nc*cMU*coupl(nGC_149)*coupl( &
                       nGC_79)*coupl(nGC_83) - 2d0*Nc*cMU*coupl(nGC_149)*coupl(&
                       nGC_83)**2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_80)**2d0&
                        + 2d0*cME*coupl(nGC_135)*coupl(nGC_80)*coupl(nGC_85) - &
                       2d0*cME*coupl(nGC_135)*coupl(nGC_85)**2d0 - 2d0*cMM*    &
                       coupl(nGC_138)*coupl(nGC_80)**2d0 + 2d0*cMM*coupl(      &
                       nGC_138)*coupl(nGC_80)*coupl(nGC_85) - 2d0*cMM*coupl(   &
                       nGC_138)*coupl(nGC_85)**2d0 - 2d0*cMTA*coupl(nGC_147)*  &
                       coupl(nGC_80)**2d0 + 2d0*cMTA*coupl(nGC_147)*coupl(     &
                       nGC_80)*coupl(nGC_85) - 2d0*cMTA*coupl(nGC_147)*coupl(  &
                       nGC_85)**2d0 + cima*coupl(nGC_107)*coupl(nGC_56) + coupl&
                       (nGC_107)*coupl(nGC_236)**2d0 + coupl(nGC_107)*coupl(   &
                       nGC_64)**2d0)/(8d0*pi**2d0)
      coupl(nGC_785) = (Nc*cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_78) - Nc*&
                       cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMB*&
                       coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMC*    &
                       coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMD*    &
                       coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMS*    &
                       coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMT*    &
                       coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMU*    &
                       coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_83) + cME*coupl( &
                       nGC_133)*coupl(nGC_62)*coupl(nGC_80) - cME*coupl(nGC_133&
                       )*coupl(nGC_62)*coupl(nGC_85) - cME*coupl(nGC_133)*coupl&
                       (nGC_62)*coupl(nGC_86) + cMM*coupl(nGC_136)*coupl(nGC_62&
                       )*coupl(nGC_80) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl&
                       (nGC_85) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl(nGC_86&
                       ) + cMTA*coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_80) -   &
                       cMTA*coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_85) - cMTA* &
                       coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_86) + 2d0*cima*  &
                       coupl(nGC_110)*coupl(nGC_232) + 2d0*cima*coupl(nGC_55)* &
                       coupl(nGC_99) + 2d0*coupl(nGC_110)*coupl(nGC_240)*coupl(&
                       nGC_64) + 2d0*coupl(nGC_236)*coupl(nGC_64)*coupl(nGC_99 &
                       ))/(16d0*pi**2d0)
      coupl(nGC_783) = (3d0*Nc*coupl(nGC_62)**2d0*coupl(nGC_82) - 3d0*Nc*coupl(&
                       nGC_62)**2d0*coupl(nGC_83) - coupl(nGC_236)*coupl(nGC_63&
                       )*coupl(nGC_64) - coupl(nGC_240)*coupl(nGC_4)*coupl(    &
                       nGC_64) + 3d0*coupl(nGC_62)**2d0*coupl(nGC_85) - 3d0*   &
                       coupl(nGC_62)**2d0*coupl(nGC_86))/(24d0*pi**2d0)
      coupl(nGC_780) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_140)*   &
                       coupl(nGC_258) + coupl(nGC_1)*coupl(nGC_141)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_139)**2d0*  &
                       coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_1422) = -coupl(nGC_815)
      coupl(nGC_1386) = coupl(nGC_1074) + coupl(nGC_MU)*dZuL_QED2/2d0 + coupl( &
                        nGC_MU)*dZuR_QED2/2d0
      coupl(nGC_1387) = coupl(nGC_1075) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_1173) = -coupl(nGC_140)*dZsL_QCD2/2d0 - coupl(nGC_140)*        &
                        dZsR_QCD2/2d0 - coupl(nGC_999)
      coupl(nGC_1383) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_1380) = coupl(nGC_1078) + coupl(nGC_MT)*dZtL_QED2/2d0 + coupl( &
                        nGC_MT)*dZtR_QED2/2d0
      coupl(nGC_1381) = coupl(nGC_1079) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_1420) = -coupl(nGC_788)
      coupl(nGC_720) = cima*sq2**2d0*(-Nc*coupl(nGC_276)**2d0 + 6d0*coupl(     &
                       nGC_19)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_858) = coupl(nGC_143)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_960) = coupl(nGC_498)*dZee_QED2 + coupl(nGC_499)*dcw_QED2
      coupl(nGC_965) = coupl(nGC_455)*dZee_QED2 + coupl(nGC_456)*dsw_QED2
      coupl(nGC_968) = coupl(nGC_500)*dZee_QED2 + coupl(nGC_501)*dsw_QED2
      coupl(nGC_1273) = -coupl(nGC_81)*dZZA_QED2/2d0
      coupl(nGC_1270) = coupl(nGC_1044) + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_64)*dZWMinus_QED2 + coupl(nGC_64)*dZZ_QED2/2d0
      coupl(nGC_1271) = -coupl(nGC_17)*dZg_QCD2/4d0 - coupl(nGC_983)/2d0
      coupl(nGC_849) = 3d0*(4d0*Nc*cMB*coupl(nGC_126)**3d0 + 4d0*Nc*cMC*coupl( &
                       nGC_128)**3d0 + 4d0*Nc*cMD*coupl(nGC_132)**3d0 + 4d0*Nc*&
                       cMS*coupl(nGC_141)**3d0 + 4d0*Nc*cMT*coupl(nGC_143)**3d0&
                        + 4d0*Nc*cMU*coupl(nGC_149)**3d0 + 4d0*cME*coupl(      &
                       nGC_135)**3d0 + 4d0*cMM*coupl(nGC_138)**3d0 + 4d0*cMTA* &
                       coupl(nGC_147)**3d0 + 2d0*cima*coupl(nGC_107)*coupl(    &
                       nGC_47) + cima*coupl(nGC_123)*coupl(nGC_96))/(16d0*pi** &
                       2d0)
      coupl(nGC_1277) = coupl(nGC_82)*dZsL_QCD2
      coupl(nGC_1274) = coupl(nGC_1066) + coupl(nGC_86)*dZZ_QED2/2d0 + coupl(  &
                        nGC_86)*dZnu_eL_QED2
      coupl(nGC_1275) = -coupl(nGC_1047) - coupl(nGC_81)*dZH_QED2/2d0 - coupl( &
                        nGC_81)*dZZ_QED2/2d0
      coupl(nGC_845) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                       nGC_125)*coupl(nGC_222) - coupl(nGC_126)**2d0 - coupl(  &
                       nGC_142)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(     &
                       nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_844) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_139&
                       )**2d0 + coupl(nGC_140)*coupl(nGC_258) + coupl(nGC_141  &
                       )**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1278) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1065) + coupl(  &
                        nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZsR_QED2
      coupl(nGC_846) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                       nGC_124)**2d0 - coupl(nGC_125)*coupl(nGC_222) - coupl(  &
                       nGC_126)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0*Nc&
                       )
      coupl(nGC_841) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                       nGC_127)**2d0 - coupl(nGC_140)*coupl(nGC_258) - coupl(  &
                       nGC_141)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(     &
                       nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_840) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_130&
                       )**2d0 + coupl(nGC_131)*coupl(nGC_238) + coupl(nGC_132  &
                       )**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
      coupl(nGC_843) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_127&
                       )**2d0 + coupl(nGC_140)*coupl(nGC_258) + coupl(nGC_141  &
                       )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_82)**2d0&
                       )/(64d0*pi**2d0)
      coupl(nGC_842) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                       nGC_139)**2d0 - coupl(nGC_140)*coupl(nGC_258) - coupl(  &
                       nGC_141)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0*Nc&
                       )
      coupl(nGC_1058) = coupl(nGC_445)*dZee_QED2
      coupl(nGC_1371) = coupl(nGC_1037) + coupl(nGC_59)*dZH_QED2/2d0 + coupl(  &
                        nGC_59)*dZWMinus_QED2/2d0
      coupl(nGC_1059) = coupl(nGC_664)*dZee_QED2
      coupl(nGC_1377) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1375) = 3d0*coupl(nGC_102)*dZH_QED2/2d0 + coupl(nGC_972) +     &
                        coupl(nGC_HHH)
      coupl(nGC_1199) = coupl(nGC_62)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_716) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_126)**2d0 - 4d0*Nc*cMC &
                       **2d0*cima*coupl(nGC_128)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                       coupl(nGC_132)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_141&
                       )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_143)**2d0 - 4d0*&
                       Nc*cMU**2d0*cima*coupl(nGC_149)**2d0 - 4d0*cME**2d0*cima&
                       *coupl(nGC_135)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_138  &
                       )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_147)**2d0 - 2d0*  &
                       cMW**2d0*coupl(nGC_47) - cMZ**2d0*coupl(nGC_96) + 2d0*  &
                       cima*coupl(nGC_107)**2d0 + cima*coupl(nGC_123)**2d0)/(  &
                       16d0*pi**2d0)
      coupl(nGC_1205) = coupl(nGC_1058) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZuR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
      coupl(nGC_1203) = coupl(nGC_1058) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZuL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
      coupl(nGC_1201) = -coupl(nGC_1037) - coupl(nGC_59)*dZH_QED2/2d0 - coupl( &
                        nGC_59)*dZWMinus_QED2/2d0
      coupl(nGC_1200) = coupl(nGC_106)*dZH_QED2/2d0 + coupl(nGC_973)
      coupl(nGC_1208) = coupl(nGC_139)*dZcL_QCD2/2d0 + coupl(nGC_139)*dZsR_QCD2&
                        /2d0 + coupl(nGC_989)
      coupl(nGC_730) = (Nc*cMB**2d0*cima*coupl(nGC_78)**2d0 + Nc*cMB**2d0*cima*&
                       coupl(nGC_82)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_79)**2d0&
                        + Nc*cMC**2d0*cima*coupl(nGC_83)**2d0 + Nc*cMD**2d0*   &
                       cima*coupl(nGC_78)**2d0 + Nc*cMD**2d0*cima*coupl(nGC_82 &
                       )**2d0 + Nc*cMS**2d0*cima*coupl(nGC_78)**2d0 + Nc*cMS** &
                       2d0*cima*coupl(nGC_82)**2d0 + Nc*cMT**2d0*cima*coupl(   &
                       nGC_79)**2d0 + Nc*cMT**2d0*cima*coupl(nGC_83)**2d0 + Nc*&
                       cMU**2d0*cima*coupl(nGC_79)**2d0 + Nc*cMU**2d0*cima*    &
                       coupl(nGC_83)**2d0 + cME**2d0*cima*coupl(nGC_80)**2d0 + &
                       cME**2d0*cima*coupl(nGC_85)**2d0 + cMM**2d0*cima*coupl( &
                       nGC_80)**2d0 + cMM**2d0*cima*coupl(nGC_85)**2d0 + cMTA**&
                       2d0*cima*coupl(nGC_80)**2d0 + cMTA**2d0*cima*coupl(     &
                       nGC_85)**2d0 + cMW**2d0*cima*coupl(nGC_236)**2d0 + cMW**&
                       2d0*cima*coupl(nGC_64)**2d0 - cMW**2d0*coupl(nGC_56))/( &
                       8d0*pi**2d0)
      coupl(nGC_759) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_62)**2d0 - 3d0*Nc*coupl( &
                       nGC_2)*coupl(nGC_62)**2d0 - coupl(nGC_236)*coupl(nGC_3)*&
                       coupl(nGC_63) - coupl(nGC_240)*coupl(nGC_3)*coupl(nGC_4 &
                       ) + 3d0*coupl(nGC_4)*coupl(nGC_62)**2d0)/(24d0*pi**2d0)
      coupl(nGC_758) = (Nc*coupl(nGC_1)*coupl(nGC_124)**2d0 + Nc*coupl(nGC_1)* &
                       coupl(nGC_127)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_130)**  &
                       2d0 + Nc*coupl(nGC_1)*coupl(nGC_139)**2d0 + Nc*coupl(   &
                       nGC_1)*coupl(nGC_142)**2d0 + Nc*coupl(nGC_1)*coupl(     &
                       nGC_148)**2d0 - Nc*coupl(nGC_124)**2d0*coupl(nGC_2) - Nc&
                       *coupl(nGC_127)**2d0*coupl(nGC_2) - Nc*coupl(nGC_130)** &
                       2d0*coupl(nGC_2) - Nc*coupl(nGC_139)**2d0*coupl(nGC_2   &
                       ) - Nc*coupl(nGC_142)**2d0*coupl(nGC_2) - Nc*coupl(     &
                       nGC_148)**2d0*coupl(nGC_2) + coupl(nGC_133)**2d0*coupl( &
                       nGC_4) + coupl(nGC_136)**2d0*coupl(nGC_4) + coupl(      &
                       nGC_145)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_755) = (coupl(nGC_133)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*   &
                       coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**2d0&
                       )/(32d0*pi**2d0)
      coupl(nGC_754) = (coupl(nGC_136)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*   &
                       coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**2d0&
                       )/(32d0*pi**2d0)
      coupl(nGC_757) = (-Nc*cMB*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62) - Nc*&
                       cMC*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_62) - Nc*cMD* &
                       coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMS*coupl&
                       (nGC_139)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMT*coupl(    &
                       nGC_1)*coupl(nGC_142)*coupl(nGC_62) - Nc*cMU*coupl(nGC_1&
                       )*coupl(nGC_148)*coupl(nGC_62) + 2d0*cima*coupl(nGC_110 &
                       )*coupl(nGC_318) + 2d0*cima*coupl(nGC_74)*coupl(nGC_99  &
                       ) + 2d0*coupl(nGC_110)*coupl(nGC_240)*coupl(nGC_3) + 2d0&
                       *coupl(nGC_236)*coupl(nGC_3)*coupl(nGC_99))/(16d0*pi**  &
                       2d0)
      coupl(nGC_756) = (-Nc*cMB*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62) - Nc*&
                       cMC*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_62) - Nc*cMD* &
                       coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMS*coupl&
                       (nGC_139)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMT*coupl(    &
                       nGC_1)*coupl(nGC_142)*coupl(nGC_62) - Nc*cMU*coupl(nGC_1&
                       )*coupl(nGC_148)*coupl(nGC_62) + 2d0*cima*coupl(nGC_110 &
                       )*coupl(nGC_318) + 2d0*cima*coupl(nGC_74)*coupl(nGC_99  &
                       ) + 2d0*coupl(nGC_110)*coupl(nGC_228)*coupl(nGC_240) +  &
                       2d0*coupl(nGC_240)*coupl(nGC_254)*coupl(nGC_99))/(16d0* &
                       pi**2d0)
      coupl(nGC_882) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 + 9d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**2d0 - &
                       3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 - 2d0* &
                       cima*coupl(nGC_228)*coupl(nGC_240)**2d0*coupl(nGC_3) -  &
                       2d0*cima*coupl(nGC_236)*coupl(nGC_3)**2d0*coupl(nGC_63  &
                       ) - 2d0*cima*coupl(nGC_240)**2d0*coupl(nGC_254)*coupl(  &
                       nGC_64) - 2d0*cima*coupl(nGC_240)*coupl(nGC_3)**2d0*    &
                       coupl(nGC_4) + 3d0*cima*coupl(nGC_318)**2d0 - 3d0*cima* &
                       coupl(nGC_4)**2d0*coupl(nGC_62)**2d0 + 3d0*cima*coupl(  &
                       nGC_74)**2d0 + 3d0*coupl(nGC_236)*coupl(nGC_3)*coupl(   &
                       nGC_74) + 3d0*coupl(nGC_240)*coupl(nGC_3)*coupl(nGC_318 &
                       ) + 3d0*coupl(nGC_3)*coupl(nGC_318)*coupl(nGC_4) + 3d0* &
                       coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_74))/(24d0*pi**2d0)
      coupl(nGC_914) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_62 &
                       )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(     &
                       nGC_125)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl&
                       (nGC_124)*coupl(nGC_125)*coupl(nGC_62)*coupl(nGC_83) +  &
                       5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_224)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_224&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_127)*coupl(nGC_224)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_130)*coupl(nGC_131)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_139)*coupl(nGC_140)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_306)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_306&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_142)*coupl(nGC_306)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_290)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_290&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_148)*coupl(nGC_290)*coupl(nGC_62)*coupl(nGC_83) +   &
                       6d0*cima*coupl(nGC_13)*coupl(nGC_55) + 5d0*cima*coupl(  &
                       nGC_133)*coupl(nGC_134)*coupl(nGC_62)*coupl(nGC_80) -   &
                       4d0*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_62)*   &
                       coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*coupl(nGC_134)* &
                       coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*coupl(nGC_136)*  &
                       coupl(nGC_137)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*  &
                       coupl(nGC_136)*coupl(nGC_137)*coupl(nGC_62)*coupl(nGC_85&
                       ) - 4d0*cima*coupl(nGC_136)*coupl(nGC_137)*coupl(nGC_62 &
                       )*coupl(nGC_86) + 5d0*cima*coupl(nGC_145)*coupl(nGC_146 &
                       )*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_145)*&
                       coupl(nGC_146)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*  &
                       coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_62)*coupl(nGC_86&
                       ) + 6d0*cima*coupl(nGC_232)*coupl(nGC_68) + 6d0*coupl(  &
                       nGC_13)*coupl(nGC_236)*coupl(nGC_254) + 6d0*coupl(      &
                       nGC_228)*coupl(nGC_236)*coupl(nGC_68))/(48d0*pi**2d0)
      coupl(nGC_1108) = coupl(nGC_1029) + coupl(nGC_7)*dZA_QED2/2d0 + coupl(   &
                        nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_75)*dZZA_QED2/2d0
      coupl(nGC_1109) = coupl(nGC_1060) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZtL_QCD2
      coupl(nGC_1105) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +   &
                        coupl(nGC_1059) + coupl(nGC_78)*dZZA_QED2/2d0
      coupl(nGC_1100) = coupl(nGC_1050) + coupl(nGC_54)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_54)*dZZ_QED2/2d0 + coupl(nGC_75)*dZAZ_QED2/  &
                        2d0
      coupl(nGC_1101) = coupl(nGC_1066) + coupl(nGC_86)*dZZ_QED2/2d0 + coupl(  &
                        nGC_86)*dZnu_tauL_QED2
      coupl(nGC_1102) = coupl(nGC_1049) + coupl(nGC_14)*dZH_QED2/2d0 + coupl(  &
                        nGC_14)*dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZ_QED2/2d0 &
                         + coupl(nGC_69)*dZAZ_QED2/2d0
      coupl(nGC_1103) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +   &
                        coupl(nGC_1059) + coupl(nGC_82)*dZZA_QED2/2d0
      coupl(nGC_1221) = -coupl(nGC_1018) - coupl(nGC_150)*dZuL_QCD2/2d0 - coupl&
                        (nGC_150)*dZuR_QCD2/2d0
      coupl(nGC_1220) = -coupl(nGC_1017) - coupl(nGC_150)*dZuL_QED2/2d0 - coupl&
                        (nGC_150)*dZuR_QED2/2d0
      coupl(nGC_1186) = coupl(nGC_5)*dZWMinus_QED2/4d0 + coupl(nGC_976)/2d0
      coupl(nGC_899) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_126)*    &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*&
                       coupl(nGC_128)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62 &
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(      &
                       nGC_143)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_148)*coupl(nGC_149)*coupl(nGC_62) - 4d0*Nc*cima*    &
                       coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_2)* &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132&
                       )*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_139&
                       )*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_2)* &
                       coupl(nGC_62) + cima*coupl(nGC_133)*coupl(nGC_135)*coupl&
                       (nGC_4)*coupl(nGC_62) + cima*coupl(nGC_136)*coupl(      &
                       nGC_138)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(   &
                       nGC_14)*coupl(nGC_74) + cima*coupl(nGC_145)*coupl(      &
                       nGC_147)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(   &
                       nGC_318)*coupl(nGC_69) + 6d0*coupl(nGC_14)*coupl(nGC_240&
                       )*coupl(nGC_254) + 6d0*coupl(nGC_228)*coupl(nGC_240)*   &
                       coupl(nGC_69))/(48d0*pi**2d0)
      coupl(nGC_1225) = coupl(nGC_1067) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*dZtauMinusR_QED2
      coupl(nGC_892) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_78) + Nc*cima*coupl&
                       (nGC_1)**3d0*coupl(nGC_82) + Nc*cima*coupl(nGC_2)**3d0* &
                       coupl(nGC_79) + Nc*cima*coupl(nGC_2)**3d0*coupl(nGC_83  &
                       ) - 2d0*cima*coupl(nGC_236)*coupl(nGC_240)**3d0 - 2d0*  &
                       cima*coupl(nGC_3)**3d0*coupl(nGC_64) + cima*coupl(nGC_4 &
                       )**3d0*coupl(nGC_80) + cima*coupl(nGC_4)**3d0*coupl(    &
                       nGC_85) + cima*coupl(nGC_77)*coupl(nGC_9) + coupl(      &
                       nGC_236)*coupl(nGC_240)*coupl(nGC_9) + coupl(nGC_240)** &
                       2d0*coupl(nGC_77) + coupl(nGC_3)**2d0*coupl(nGC_77) +   &
                       coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_893) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_78)**2d0 + Nc*cima*&
                       coupl(nGC_1)**2d0*coupl(nGC_82)**2d0 + Nc*cima*coupl(   &
                       nGC_2)**2d0*coupl(nGC_79)**2d0 + Nc*cima*coupl(nGC_2)** &
                       2d0*coupl(nGC_83)**2d0 - 2d0*cima*coupl(nGC_236)**2d0*  &
                       coupl(nGC_240)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*coupl( &
                       nGC_64)**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_80)**2d0&
                        + cima*coupl(nGC_4)**2d0*coupl(nGC_85)**2d0 + cima*    &
                       coupl(nGC_56)*coupl(nGC_9) + coupl(nGC_236)**2d0*coupl( &
                       nGC_9) + coupl(nGC_240)**2d0*coupl(nGC_56) + coupl(nGC_3&
                       )**2d0*coupl(nGC_56) + coupl(nGC_64)**2d0*coupl(nGC_9   &
                       ))/(8d0*pi**2d0)
      coupl(nGC_890) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(    &
                       nGC_82) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*  &
                       coupl(nGC_83) + 9d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62)**&
                       2d0*coupl(nGC_82) - 6d0*Nc*cima*coupl(nGC_2)*coupl(     &
                       nGC_62)**2d0*coupl(nGC_83) - 4d0*cima*coupl(nGC_228)*   &
                       coupl(nGC_236)*coupl(nGC_240)*coupl(nGC_3) + 6d0*cima*  &
                       coupl(nGC_232)*coupl(nGC_318) - 4d0*cima*coupl(nGC_236)*&
                       coupl(nGC_240)*coupl(nGC_254)*coupl(nGC_64) - 4d0*cima* &
                       coupl(nGC_236)*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_64  &
                       ) - 4d0*cima*coupl(nGC_240)*coupl(nGC_3)*coupl(nGC_4)*  &
                       coupl(nGC_64) - 6d0*cima*coupl(nGC_4)*coupl(nGC_62)**2d0&
                       *coupl(nGC_85) + 9d0*cima*coupl(nGC_4)*coupl(nGC_62)**  &
                       2d0*coupl(nGC_86) + 6d0*cima*coupl(nGC_55)*coupl(nGC_74 &
                       ) + 6d0*coupl(nGC_228)*coupl(nGC_236)*coupl(nGC_318) +  &
                       6d0*coupl(nGC_232)*coupl(nGC_240)*coupl(nGC_3) + 6d0*   &
                       coupl(nGC_236)*coupl(nGC_254)*coupl(nGC_74) + 6d0*coupl(&
                       nGC_240)*coupl(nGC_55)*coupl(nGC_64))/(48d0*pi**2d0)
      coupl(nGC_1189) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdR_QED2 +   &
                        coupl(nGC_1059) + coupl(nGC_78)*dZZA_QED2/2d0
      coupl(nGC_800) = (coupl(nGC_148)**2d0*coupl(nGC_82) + coupl(nGC_149)**2d0&
                       *coupl(nGC_83) + coupl(nGC_150)*coupl(nGC_290)*coupl(   &
                       nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*    &
                       coupl(nGC_79)**3d0)/(32d0*pi**2d0)
      coupl(nGC_805) = (coupl(nGC_142)**2d0*coupl(nGC_82) + coupl(nGC_143)**2d0&
                       *coupl(nGC_83) + coupl(nGC_144)*coupl(nGC_306)*coupl(   &
                       nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*    &
                       coupl(nGC_79)**3d0)/(32d0*pi**2d0)
      coupl(nGC_804) = (coupl(nGC_124)**2d0*coupl(nGC_78) + coupl(nGC_143)**2d0&
                       *coupl(nGC_79) + coupl(nGC_144)*coupl(nGC_306)*coupl(   &
                       nGC_79) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*    &
                       coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**  &
                       2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi**  &
                       2d0)
      coupl(nGC_806) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_131)*  &
                       coupl(nGC_238)*coupl(nGC_78) + coupl(nGC_132)**2d0*coupl&
                       (nGC_78) + coupl(nGC_148)**2d0*coupl(nGC_79) + 2d0*coupl&
                       (nGC_236)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62)**2d0*  &
                       coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi**2d0)
      coupl(nGC_808) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_130)** &
                       2d0*coupl(nGC_83) + coupl(nGC_131)*coupl(nGC_238)*coupl(&
                       nGC_82) + coupl(nGC_132)**2d0*coupl(nGC_82) + 4d0*coupl(&
                       nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1139) = coupl(nGC_16)*dZWMinus_QED2/2d0 + coupl(nGC_16)*       &
                        dZZ_QED2/2d0 + coupl(nGC_72)*dZAZ_QED2/2d0 + coupl(    &
                        nGC_956)
      coupl(nGC_1409) = -coupl(nGC_1090) - coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_1130) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +   &
                        coupl(nGC_1059) + coupl(nGC_78)*dZZA_QED2/2d0
      coupl(nGC_886) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_125)*coupl(   &
                       nGC_222) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131)*&
                       coupl(nGC_238) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(   &
                       nGC_140)*coupl(nGC_258) - 2d0*Nc*cima*coupl(nGC_129)*   &
                       coupl(nGC_2)**2d0*coupl(nGC_224) - 2d0*Nc*cima*coupl(   &
                       nGC_144)*coupl(nGC_2)**2d0*coupl(nGC_306) - 2d0*Nc*cima*&
                       coupl(nGC_150)*coupl(nGC_2)**2d0*coupl(nGC_290) - 2d0*  &
                       cima*coupl(nGC_134)*coupl(nGC_310)*coupl(nGC_4)**2d0 -  &
                       2d0*cima*coupl(nGC_137)*coupl(nGC_230)*coupl(nGC_4)**2d0&
                        - 2d0*cima*coupl(nGC_146)*coupl(nGC_270)*coupl(nGC_4)**&
                       2d0 + cima*coupl(nGC_47)*coupl(nGC_9) + coupl(nGC_240)**&
                       2d0*coupl(nGC_47) + coupl(nGC_3)**2d0*coupl(nGC_47))/(  &
                       8d0*pi**2d0)
      coupl(nGC_1430) = -coupl(nGC_783)
      coupl(nGC_769) = (coupl(nGC_1)*coupl(nGC_130)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_62)**2d0 + coupl(nGC_149)**2d0*coupl(nGC_2) + &
                       coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_290) + 4d0*coupl( &
                       nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0 + 2d0*&
                       coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1126) = coupl(nGC_1067) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*dZmuMinusR_QED2
      coupl(nGC_707) = cima*(-3d0*Nc*coupl(nGC_62)**2d0 - coupl(nGC_228)*coupl(&
                       nGC_3) - coupl(nGC_236)*coupl(nGC_63) - coupl(nGC_240)* &
                       coupl(nGC_4) - coupl(nGC_254)*coupl(nGC_64) - 3d0*coupl(&
                       nGC_62)**2d0)/(48d0*pi**2d0)
      coupl(nGC_1122) = coupl(nGC_70)*dZH_QED2/2d0 + coupl(nGC_968)
      coupl(nGC_1120) = coupl(nGC_1060) + coupl(nGC_19)*dZcR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_834) = coupl(nGC_19)*sq2*(-coupl(nGC_142)**2d0 - coupl(nGC_143 &
                       )**2d0 - coupl(nGC_144)*coupl(nGC_306) - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_835) = coupl(nGC_19)*sq2*(coupl(nGC_124)**2d0 + coupl(nGC_143  &
                       )**2d0 + coupl(nGC_144)*coupl(nGC_306) + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0)
      coupl(nGC_836) = coupl(nGC_19)*sq2*(coupl(nGC_142)**2d0 + coupl(nGC_143  &
                       )**2d0 + coupl(nGC_144)*coupl(nGC_306) + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_708) = cima*(coupl(nGC_228)*coupl(nGC_3) + coupl(nGC_236)*coupl&
                       (nGC_63) + coupl(nGC_240)*coupl(nGC_4) + coupl(nGC_254)*&
                       coupl(nGC_64))/(48d0*pi**2d0)
      coupl(nGC_833) = coupl(nGC_19)*sq2*(-coupl(nGC_124)**2d0 - coupl(nGC_143 &
                       )**2d0 - coupl(nGC_144)*coupl(nGC_306) - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_938) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_125)*coupl( &
                       nGC_222) + coupl(nGC_129)*coupl(nGC_224) + coupl(nGC_131&
                       )*coupl(nGC_238) + coupl(nGC_140)*coupl(nGC_258) + coupl&
                       (nGC_144)*coupl(nGC_306) + coupl(nGC_150)*coupl(nGC_290 &
                       ))/(16d0*pi**2d0*Nc)
      coupl(nGC_934) = cima*(20d0*Nc*coupl(nGC_125)**2d0*coupl(nGC_222)**2d0 + &
                       20d0*Nc*coupl(nGC_129)**2d0*coupl(nGC_224)**2d0 + 20d0* &
                       Nc*coupl(nGC_131)**2d0*coupl(nGC_238)**2d0 + 20d0*Nc*   &
                       coupl(nGC_140)**2d0*coupl(nGC_258)**2d0 + 20d0*Nc*coupl(&
                       nGC_144)**2d0*coupl(nGC_306)**2d0 + 20d0*Nc*coupl(      &
                       nGC_150)**2d0*coupl(nGC_290)**2d0 + 20d0*coupl(nGC_134  &
                       )**2d0*coupl(nGC_310)**2d0 + 20d0*coupl(nGC_137)**2d0*  &
                       coupl(nGC_230)**2d0 + 20d0*coupl(nGC_146)**2d0*coupl(   &
                       nGC_270)**2d0 + 6d0*coupl(nGC_47)**2d0 + 3d0*coupl(     &
                       nGC_96)**2d0)/(16d0*pi**2d0)
      coupl(nGC_937) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_125)*coupl(&
                       nGC_222) - coupl(nGC_129)*coupl(nGC_224) - coupl(nGC_131&
                       )*coupl(nGC_238) - coupl(nGC_140)*coupl(nGC_258) - coupl&
                       (nGC_144)*coupl(nGC_306) - coupl(nGC_150)*coupl(nGC_290 &
                       ))/(16d0*pi**2d0)
      coupl(nGC_932) = cima*(10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_125)*coupl( &
                       nGC_222) + 10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_144)*  &
                       coupl(nGC_306) + 10d0*Nc*coupl(nGC_124)*coupl(nGC_125)* &
                       coupl(nGC_142)*coupl(nGC_144) + 10d0*Nc*coupl(nGC_124)* &
                       coupl(nGC_142)*coupl(nGC_222)*coupl(nGC_306) + 10d0*Nc* &
                       coupl(nGC_125)*coupl(nGC_142)**2d0*coupl(nGC_222) + 10d0&
                       *Nc*coupl(nGC_127)**2d0*coupl(nGC_129)*coupl(nGC_224) + &
                       10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_140)*coupl(nGC_258&
                       ) + 10d0*Nc*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_139 &
                       )*coupl(nGC_140) + 10d0*Nc*coupl(nGC_127)*coupl(nGC_139 &
                       )*coupl(nGC_224)*coupl(nGC_258) + 10d0*Nc*coupl(nGC_129 &
                       )*coupl(nGC_139)**2d0*coupl(nGC_224) + 10d0*Nc*coupl(   &
                       nGC_130)**2d0*coupl(nGC_131)*coupl(nGC_238) + 10d0*Nc*  &
                       coupl(nGC_130)**2d0*coupl(nGC_150)*coupl(nGC_290) + 10d0&
                       *Nc*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_148)*coupl( &
                       nGC_150) + 10d0*Nc*coupl(nGC_130)*coupl(nGC_148)*coupl( &
                       nGC_238)*coupl(nGC_290) + 10d0*Nc*coupl(nGC_131)*coupl( &
                       nGC_148)**2d0*coupl(nGC_238) + 10d0*Nc*coupl(nGC_139)** &
                       2d0*coupl(nGC_140)*coupl(nGC_258) + 10d0*Nc*coupl(      &
                       nGC_142)**2d0*coupl(nGC_144)*coupl(nGC_306) + 10d0*Nc*  &
                       coupl(nGC_148)**2d0*coupl(nGC_150)*coupl(nGC_290) + 12d0&
                       *coupl(nGC_13)*coupl(nGC_16) + 10d0*coupl(nGC_133)**2d0*&
                       coupl(nGC_134)*coupl(nGC_310) + 10d0*coupl(nGC_136)**2d0&
                       *coupl(nGC_137)*coupl(nGC_230) + 10d0*coupl(nGC_145)**  &
                       2d0*coupl(nGC_146)*coupl(nGC_270) + 6d0*coupl(nGC_47)** &
                       2d0 + 12d0*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(     &
                       nGC_95)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_1325) = coupl(nGC_1058) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZtR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
      coupl(nGC_1248) = -coupl(nGC_1048) - coupl(nGC_4)*dZAZ_QED2/2d0 - coupl( &
                        nGC_85)*dZZ_QED2/2d0
      coupl(nGC_1320) = -coupl(nGC_1044) - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl( &
                        nGC_64)*dZWMinus_QED2 - coupl(nGC_64)*dZZ_QED2/2d0
      coupl(nGC_1322) = coupl(nGC_1048) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_85)*dZZ_QED2/2d0
      coupl(nGC_1323) = coupl(nGC_1058) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZtL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
      coupl(nGC_1243) = coupl(nGC_1012) + coupl(nGC_137)*dZmuMinusL_QED2/2d0 + &
                        coupl(nGC_137)*dZmuMinusR_QED2/2d0
      coupl(nGC_1242) = -coupl(nGC_1001) - coupl(nGC_125)*dZbL_QCD2/2d0 - coupl&
                        (nGC_125)*dZbR_QCD2/2d0
      coupl(nGC_1241) = -coupl(nGC_1000) - coupl(nGC_125)*dZbL_QED2/2d0 - coupl&
                        (nGC_125)*dZbR_QED2/2d0
      coupl(nGC_1240) = coupl(nGC_1001) + coupl(nGC_125)*dZbL_QCD2/2d0 + coupl(&
                        nGC_125)*dZbR_QCD2/2d0
      coupl(nGC_1328) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusR_QED2&
                         + coupl(nGC_80)*dZZA_QED2/2d0 + coupl(nGC_978)
      coupl(nGC_1244) = -coupl(nGC_1012) - coupl(nGC_137)*dZmuMinusL_QED2/2d0  &
                         - coupl(nGC_137)*dZmuMinusR_QED2/2d0
      coupl(nGC_779) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_140)*   &
                       coupl(nGC_258) + coupl(nGC_1)*coupl(nGC_141)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_127)**2d0*  &
                       coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 + 2d0&
                       *coupl(nGC_240)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_717) = cima*sq2**2d0*(Nc*coupl(nGC_276)**2d0 - 6d0*coupl(nGC_19&
                       )**2d0)/(96d0*pi**2d0)
      coupl(nGC_820) = coupl(nGC_62)*(coupl(nGC_254)*coupl(nGC_86) + coupl(    &
                       nGC_4)**2d0 + coupl(nGC_63)*coupl(nGC_85) + 2d0*coupl(  &
                       nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_898) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_222)*    &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*&
                       coupl(nGC_129)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_130)*coupl(nGC_238)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_258)*coupl(nGC_62 &
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(      &
                       nGC_144)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_148)*coupl(nGC_150)*coupl(nGC_62) - 4d0*Nc*cima*    &
                       coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_222)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_2)* &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_2)*&
                       coupl(nGC_238)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_139&
                       )*coupl(nGC_2)*coupl(nGC_258)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_2)* &
                       coupl(nGC_62) + cima*coupl(nGC_133)*coupl(nGC_310)*coupl&
                       (nGC_4)*coupl(nGC_62) + cima*coupl(nGC_136)*coupl(      &
                       nGC_230)*coupl(nGC_4)*coupl(nGC_62) + cima*coupl(nGC_145&
                       )*coupl(nGC_270)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima* &
                       coupl(nGC_16)*coupl(nGC_74) + 6d0*cima*coupl(nGC_318)*  &
                       coupl(nGC_72) + 6d0*coupl(nGC_16)*coupl(nGC_236)*coupl( &
                       nGC_3) + 6d0*coupl(nGC_240)*coupl(nGC_3)*coupl(nGC_72   &
                       ))/(48d0*pi**2d0)
      coupl(nGC_1187) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +   &
                        coupl(nGC_1059) + coupl(nGC_82)*dZZA_QED2/2d0
      coupl(nGC_1391) = coupl(nGC_1090) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_901) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_222)*   &
                       coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*    &
                       coupl(nGC_222)*coupl(nGC_82) - Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_131)*coupl(nGC_238)*coupl(nGC_78) - Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_238)*coupl(nGC_82 &
                       ) - Nc*cima*coupl(nGC_1)*coupl(nGC_140)*coupl(nGC_258)* &
                       coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_140)*    &
                       coupl(nGC_258)*coupl(nGC_82) - Nc*cima*coupl(nGC_129)*  &
                       coupl(nGC_2)*coupl(nGC_224)*coupl(nGC_79) - Nc*cima*    &
                       coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_224)*coupl(nGC_83 &
                       ) - Nc*cima*coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_306)* &
                       coupl(nGC_79) - Nc*cima*coupl(nGC_144)*coupl(nGC_2)*    &
                       coupl(nGC_306)*coupl(nGC_83) - Nc*cima*coupl(nGC_150)*  &
                       coupl(nGC_2)*coupl(nGC_290)*coupl(nGC_79) - Nc*cima*    &
                       coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_290)*coupl(nGC_83 &
                       ) - cima*coupl(nGC_134)*coupl(nGC_310)*coupl(nGC_4)*    &
                       coupl(nGC_80) - cima*coupl(nGC_134)*coupl(nGC_310)*coupl&
                       (nGC_4)*coupl(nGC_85) - cima*coupl(nGC_137)*coupl(      &
                       nGC_230)*coupl(nGC_4)*coupl(nGC_80) - cima*coupl(nGC_137&
                       )*coupl(nGC_230)*coupl(nGC_4)*coupl(nGC_85) - cima*coupl&
                       (nGC_146)*coupl(nGC_270)*coupl(nGC_4)*coupl(nGC_80) -   &
                       cima*coupl(nGC_146)*coupl(nGC_270)*coupl(nGC_4)*coupl(  &
                       nGC_85) + cima*coupl(nGC_47)*coupl(nGC_77) + coupl(     &
                       nGC_236)*coupl(nGC_240)*coupl(nGC_47) + coupl(nGC_3)*   &
                       coupl(nGC_47)*coupl(nGC_64))/(8d0*pi**2d0)
      coupl(nGC_902) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_125)*    &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*&
                       coupl(nGC_224)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_62 &
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(      &
                       nGC_306)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_148)*coupl(nGC_290)*coupl(nGC_62) - 4d0*Nc*cima*    &
                       coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_127)*coupl(nGC_2)*coupl(nGC_224)* &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131&
                       )*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_139&
                       )*coupl(nGC_140)*coupl(nGC_2)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_306)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_148)*coupl(nGC_2)*coupl(nGC_290)* &
                       coupl(nGC_62) + 6d0*cima*coupl(nGC_13)*coupl(nGC_74) +  &
                       cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_4)*coupl(  &
                       nGC_62) + cima*coupl(nGC_136)*coupl(nGC_137)*coupl(nGC_4&
                       )*coupl(nGC_62) + cima*coupl(nGC_145)*coupl(nGC_146)*   &
                       coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(nGC_318)*   &
                       coupl(nGC_68) + 6d0*coupl(nGC_13)*coupl(nGC_240)*coupl( &
                       nGC_254) + 6d0*coupl(nGC_228)*coupl(nGC_240)*coupl(     &
                       nGC_68))/(48d0*pi**2d0)
      coupl(nGC_903) = (-3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 +   &
                       9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(     &
                       nGC_83) - 3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83)**&
                       2d0 - 2d0*cima*coupl(nGC_228)*coupl(nGC_236)**2d0*coupl(&
                       nGC_3) + 3d0*cima*coupl(nGC_232)**2d0 - 2d0*cima*coupl( &
                       nGC_236)**2d0*coupl(nGC_254)*coupl(nGC_64) - 2d0*cima*  &
                       coupl(nGC_236)*coupl(nGC_63)*coupl(nGC_64)**2d0 - 2d0*  &
                       cima*coupl(nGC_240)*coupl(nGC_4)*coupl(nGC_64)**2d0 +   &
                       3d0*cima*coupl(nGC_55)**2d0 - 3d0*cima*coupl(nGC_62)**  &
                       2d0*coupl(nGC_85)**2d0 + 9d0*cima*coupl(nGC_62)**2d0*   &
                       coupl(nGC_85)*coupl(nGC_86) - 3d0*cima*coupl(nGC_62)**  &
                       2d0*coupl(nGC_86)**2d0 + 3d0*coupl(nGC_232)*coupl(      &
                       nGC_240)*coupl(nGC_64) + 3d0*coupl(nGC_232)*coupl(nGC_4 &
                       )*coupl(nGC_64) + 3d0*coupl(nGC_236)*coupl(nGC_55)*coupl&
                       (nGC_64) + 3d0*coupl(nGC_55)*coupl(nGC_63)*coupl(nGC_64 &
                       ))/(24d0*pi**2d0)
      coupl(nGC_904) = (9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 -    &
                       15d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(    &
                       nGC_83) + 9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83)**&
                       2d0 - 2d0*cima*coupl(nGC_228)*coupl(nGC_236)**2d0*coupl(&
                       nGC_3) - 2d0*cima*coupl(nGC_236)**2d0*coupl(nGC_254)*   &
                       coupl(nGC_64) - 2d0*cima*coupl(nGC_236)*coupl(nGC_63)*  &
                       coupl(nGC_64)**2d0 - 2d0*cima*coupl(nGC_240)*coupl(nGC_4&
                       )*coupl(nGC_64)**2d0 + 3d0*cima*coupl(nGC_324)*coupl(   &
                       nGC_56) + 9d0*cima*coupl(nGC_62)**2d0*coupl(nGC_85)**2d0&
                        - 15d0*cima*coupl(nGC_62)**2d0*coupl(nGC_85)*coupl(    &
                       nGC_86) + 9d0*cima*coupl(nGC_62)**2d0*coupl(nGC_86)**2d0&
                        + 3d0*coupl(nGC_236)**2d0*coupl(nGC_324) + 3d0*coupl(  &
                       nGC_236)*coupl(nGC_56)*coupl(nGC_63) + 3d0*coupl(nGC_240&
                       )*coupl(nGC_4)*coupl(nGC_56) + 3d0*coupl(nGC_324)*coupl(&
                       nGC_64)**2d0)/(24d0*pi**2d0)
      coupl(nGC_905) = (-3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 +   &
                       9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(     &
                       nGC_83) - 3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83)**&
                       2d0 - 2d0*cima*coupl(nGC_228)*coupl(nGC_236)**2d0*coupl(&
                       nGC_3) + 3d0*cima*coupl(nGC_232)**2d0 - 2d0*cima*coupl( &
                       nGC_236)**2d0*coupl(nGC_254)*coupl(nGC_64) - 2d0*cima*  &
                       coupl(nGC_236)*coupl(nGC_63)*coupl(nGC_64)**2d0 - 2d0*  &
                       cima*coupl(nGC_240)*coupl(nGC_4)*coupl(nGC_64)**2d0 +   &
                       3d0*cima*coupl(nGC_55)**2d0 - 3d0*cima*coupl(nGC_62)**  &
                       2d0*coupl(nGC_85)**2d0 + 9d0*cima*coupl(nGC_62)**2d0*   &
                       coupl(nGC_85)*coupl(nGC_86) - 3d0*cima*coupl(nGC_62)**  &
                       2d0*coupl(nGC_86)**2d0 + 3d0*coupl(nGC_228)*coupl(      &
                       nGC_232)*coupl(nGC_236) + 3d0*coupl(nGC_232)*coupl(     &
                       nGC_236)*coupl(nGC_3) + 3d0*coupl(nGC_236)*coupl(nGC_254&
                       )*coupl(nGC_55) + 3d0*coupl(nGC_236)*coupl(nGC_55)*coupl&
                       (nGC_64))/(24d0*pi**2d0)
      coupl(nGC_907) = (-8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_222)*coupl(nGC_78&
                       )**2d0 + 10d0*Nc*cima*coupl(nGC_125)*coupl(nGC_222)*    &
                       coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_125 &
                       )*coupl(nGC_222)*coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(&
                       nGC_129)*coupl(nGC_224)*coupl(nGC_79)**2d0 + 10d0*Nc*   &
                       cima*coupl(nGC_129)*coupl(nGC_224)*coupl(nGC_79)*coupl( &
                       nGC_83) - 8d0*Nc*cima*coupl(nGC_129)*coupl(nGC_224)*    &
                       coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl(nGC_131)*coupl(  &
                       nGC_238)*coupl(nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_131&
                       )*coupl(nGC_238)*coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*  &
                       cima*coupl(nGC_131)*coupl(nGC_238)*coupl(nGC_82)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_140)*coupl(nGC_258)*coupl(nGC_78  &
                       )**2d0 + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_258)*    &
                       coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_140 &
                       )*coupl(nGC_258)*coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(&
                       nGC_144)*coupl(nGC_306)*coupl(nGC_79)**2d0 + 10d0*Nc*   &
                       cima*coupl(nGC_144)*coupl(nGC_306)*coupl(nGC_79)*coupl( &
                       nGC_83) - 8d0*Nc*cima*coupl(nGC_144)*coupl(nGC_306)*    &
                       coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl(nGC_150)*coupl(  &
                       nGC_290)*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(nGC_150&
                       )*coupl(nGC_290)*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*  &
                       cima*coupl(nGC_150)*coupl(nGC_290)*coupl(nGC_83)**2d0 - &
                       8d0*cima*coupl(nGC_134)*coupl(nGC_310)*coupl(nGC_80)**  &
                       2d0 + 10d0*cima*coupl(nGC_134)*coupl(nGC_310)*coupl(    &
                       nGC_80)*coupl(nGC_85) - 8d0*cima*coupl(nGC_134)*coupl(  &
                       nGC_310)*coupl(nGC_85)**2d0 - 8d0*cima*coupl(nGC_137)*  &
                       coupl(nGC_230)*coupl(nGC_80)**2d0 + 10d0*cima*coupl(    &
                       nGC_137)*coupl(nGC_230)*coupl(nGC_80)*coupl(nGC_85) -   &
                       8d0*cima*coupl(nGC_137)*coupl(nGC_230)*coupl(nGC_85)**  &
                       2d0 - 8d0*cima*coupl(nGC_146)*coupl(nGC_270)*coupl(     &
                       nGC_80)**2d0 + 10d0*cima*coupl(nGC_146)*coupl(nGC_270)* &
                       coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*coupl(nGC_146)*  &
                       coupl(nGC_270)*coupl(nGC_85)**2d0 + 3d0*cima*coupl(     &
                       nGC_47)*coupl(nGC_56) + 3d0*coupl(nGC_236)**2d0*coupl(  &
                       nGC_47) + 3d0*coupl(nGC_47)*coupl(nGC_64)**2d0)/(24d0*pi&
                       **2d0)
      coupl(nGC_1259) = coupl(nGC_1058) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZcL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
      coupl(nGC_1313) = coupl(nGC_1019) + coupl(nGC_129)*dZcL_QED2/2d0 + coupl(&
                        nGC_129)*dZcR_QED2/2d0
      coupl(nGC_1315) = -coupl(nGC_1019) - coupl(nGC_129)*dZcL_QED2/2d0 - coupl&
                        (nGC_129)*dZcR_QED2/2d0
      coupl(nGC_1314) = coupl(nGC_1020) + coupl(nGC_129)*dZcL_QCD2/2d0 + coupl(&
                        nGC_129)*dZcR_QCD2/2d0
      coupl(nGC_1316) = -coupl(nGC_1020) - coupl(nGC_129)*dZcL_QCD2/2d0 - coupl&
                        (nGC_129)*dZcR_QCD2/2d0
      coupl(nGC_1319) = coupl(nGC_6)*dZWMinus_QED2/4d0 + coupl(nGC_977)/2d0
      coupl(nGC_1318) = -coupl(nGC_1089) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_787) = (Nc*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_78) - Nc*   &
                       coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_82) - Nc*coupl( &
                       nGC_126)*coupl(nGC_222)*coupl(nGC_78) + Nc*coupl(nGC_126&
                       )*coupl(nGC_222)*coupl(nGC_82) + Nc*coupl(nGC_128)*coupl&
                       (nGC_129)*coupl(nGC_79) - Nc*coupl(nGC_128)*coupl(      &
                       nGC_129)*coupl(nGC_83) - Nc*coupl(nGC_128)*coupl(nGC_224&
                       )*coupl(nGC_79) + Nc*coupl(nGC_128)*coupl(nGC_224)*coupl&
                       (nGC_83) + Nc*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_78&
                       ) - Nc*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_82) - Nc*&
                       coupl(nGC_132)*coupl(nGC_238)*coupl(nGC_78) + Nc*coupl( &
                       nGC_132)*coupl(nGC_238)*coupl(nGC_82) + Nc*coupl(nGC_140&
                       )*coupl(nGC_141)*coupl(nGC_78) - Nc*coupl(nGC_140)*coupl&
                       (nGC_141)*coupl(nGC_82) - Nc*coupl(nGC_141)*coupl(      &
                       nGC_258)*coupl(nGC_78) + Nc*coupl(nGC_141)*coupl(nGC_258&
                       )*coupl(nGC_82) + Nc*coupl(nGC_143)*coupl(nGC_144)*coupl&
                       (nGC_79) - Nc*coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_83&
                       ) - Nc*coupl(nGC_143)*coupl(nGC_306)*coupl(nGC_79) + Nc*&
                       coupl(nGC_143)*coupl(nGC_306)*coupl(nGC_83) + Nc*coupl( &
                       nGC_149)*coupl(nGC_150)*coupl(nGC_79) - Nc*coupl(nGC_149&
                       )*coupl(nGC_150)*coupl(nGC_83) - Nc*coupl(nGC_149)*coupl&
                       (nGC_290)*coupl(nGC_79) + Nc*coupl(nGC_149)*coupl(      &
                       nGC_290)*coupl(nGC_83) + coupl(nGC_134)*coupl(nGC_135)* &
                       coupl(nGC_80) - coupl(nGC_134)*coupl(nGC_135)*coupl(    &
                       nGC_85) - coupl(nGC_135)*coupl(nGC_310)*coupl(nGC_80) + &
                       coupl(nGC_135)*coupl(nGC_310)*coupl(nGC_85) + coupl(    &
                       nGC_137)*coupl(nGC_138)*coupl(nGC_80) - coupl(nGC_137)* &
                       coupl(nGC_138)*coupl(nGC_85) - coupl(nGC_138)*coupl(    &
                       nGC_230)*coupl(nGC_80) + coupl(nGC_138)*coupl(nGC_230)* &
                       coupl(nGC_85) + coupl(nGC_146)*coupl(nGC_147)*coupl(    &
                       nGC_80) - coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_85) - &
                       coupl(nGC_147)*coupl(nGC_270)*coupl(nGC_80) + coupl(    &
                       nGC_147)*coupl(nGC_270)*coupl(nGC_85))/(24d0*pi**2d0)
      coupl(nGC_917) = (18d0*Nc*cima*coupl(nGC_62)**4d0 - 4d0*cima*coupl(      &
                       nGC_228)**2d0*coupl(nGC_3)**2d0 - 8d0*cima*coupl(nGC_228&
                       )*coupl(nGC_236)*coupl(nGC_4)*coupl(nGC_64) - 8d0*cima* &
                       coupl(nGC_228)*coupl(nGC_240)*coupl(nGC_3)*coupl(nGC_4  &
                       ) - 8d0*cima*coupl(nGC_228)*coupl(nGC_254)*coupl(nGC_3)*&
                       coupl(nGC_64) - 4d0*cima*coupl(nGC_236)**2d0*coupl(     &
                       nGC_63)**2d0 - 8d0*cima*coupl(nGC_236)*coupl(nGC_240)*  &
                       coupl(nGC_4)*coupl(nGC_63) - 8d0*cima*coupl(nGC_236)*   &
                       coupl(nGC_254)*coupl(nGC_63)*coupl(nGC_64) - 4d0*cima*  &
                       coupl(nGC_240)**2d0*coupl(nGC_4)**2d0 - 8d0*cima*coupl( &
                       nGC_240)*coupl(nGC_254)*coupl(nGC_3)*coupl(nGC_63) - 4d0&
                       *cima*coupl(nGC_254)**2d0*coupl(nGC_64)**2d0 + 6d0*cima*&
                       coupl(nGC_324)**2d0 + 3d0*cima*coupl(nGC_56)**2d0 + 18d0&
                       *cima*coupl(nGC_62)**4d0 + 6d0*cima*coupl(nGC_77)**2d0  &
                        + 3d0*cima*coupl(nGC_9)**2d0 + 6d0*coupl(nGC_228)*coupl&
                       (nGC_3)*coupl(nGC_324) + 6d0*coupl(nGC_228)*coupl(nGC_3 &
                       )*coupl(nGC_9) + 6d0*coupl(nGC_228)*coupl(nGC_64)*coupl(&
                       nGC_77) + 6d0*coupl(nGC_236)*coupl(nGC_324)*coupl(nGC_63&
                       ) + 6d0*coupl(nGC_236)*coupl(nGC_4)*coupl(nGC_77) + 6d0*&
                       coupl(nGC_236)*coupl(nGC_56)*coupl(nGC_63) + 6d0*coupl( &
                       nGC_240)*coupl(nGC_324)*coupl(nGC_4) + 6d0*coupl(nGC_240&
                       )*coupl(nGC_4)*coupl(nGC_9) + 6d0*coupl(nGC_240)*coupl( &
                       nGC_63)*coupl(nGC_77) + 6d0*coupl(nGC_254)*coupl(nGC_3)*&
                       coupl(nGC_77) + 6d0*coupl(nGC_254)*coupl(nGC_324)*coupl(&
                       nGC_64) + 6d0*coupl(nGC_254)*coupl(nGC_56)*coupl(nGC_64 &
                       ))/(48d0*pi**2d0)
      coupl(nGC_916) = (-30d0*Nc*cima*coupl(nGC_62)**4d0 - 4d0*cima*coupl(     &
                       nGC_228)**2d0*coupl(nGC_3)**2d0 - 8d0*cima*coupl(nGC_228&
                       )*coupl(nGC_236)*coupl(nGC_4)*coupl(nGC_64) - 8d0*cima* &
                       coupl(nGC_228)*coupl(nGC_240)*coupl(nGC_3)*coupl(nGC_4  &
                       ) - 8d0*cima*coupl(nGC_228)*coupl(nGC_254)*coupl(nGC_3)*&
                       coupl(nGC_64) - 4d0*cima*coupl(nGC_236)**2d0*coupl(     &
                       nGC_63)**2d0 - 8d0*cima*coupl(nGC_236)*coupl(nGC_240)*  &
                       coupl(nGC_4)*coupl(nGC_63) - 8d0*cima*coupl(nGC_236)*   &
                       coupl(nGC_254)*coupl(nGC_63)*coupl(nGC_64) - 4d0*cima*  &
                       coupl(nGC_240)**2d0*coupl(nGC_4)**2d0 - 8d0*cima*coupl( &
                       nGC_240)*coupl(nGC_254)*coupl(nGC_3)*coupl(nGC_63) - 4d0&
                       *cima*coupl(nGC_254)**2d0*coupl(nGC_64)**2d0 + 3d0*cima*&
                       coupl(nGC_51)**2d0 - 30d0*cima*coupl(nGC_62)**4d0 + 6d0*&
                       coupl(nGC_228)*coupl(nGC_4)*coupl(nGC_51) + 6d0*coupl(  &
                       nGC_236)*coupl(nGC_51)*coupl(nGC_64) + 6d0*coupl(nGC_240&
                       )*coupl(nGC_3)*coupl(nGC_51) + 6d0*coupl(nGC_254)*coupl(&
                       nGC_51)*coupl(nGC_63))/(48d0*pi**2d0)
      coupl(nGC_723) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_78) - 3d0*Nc*coupl(&
                       nGC_1)*coupl(nGC_82) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_79 &
                       ) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_83) - coupl(nGC_236)* &
                       coupl(nGC_240) - coupl(nGC_3)*coupl(nGC_64) - 3d0*coupl(&
                       nGC_4)*coupl(nGC_80) - 3d0*coupl(nGC_4)*coupl(nGC_85))/(&
                       48d0*pi**2d0)
      coupl(nGC_913) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62 &
                       )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(     &
                       nGC_126)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl&
                       (nGC_124)*coupl(nGC_126)*coupl(nGC_62)*coupl(nGC_83) +  &
                       5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_127)*coupl(nGC_128)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_130)*coupl(nGC_132)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_139)*coupl(nGC_141)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_142)*coupl(nGC_143)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_148)*coupl(nGC_149)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*cima*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_62)*   &
                       coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl(nGC_135)* &
                       coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*  &
                       coupl(nGC_135)*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*  &
                       coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62)*coupl(nGC_80&
                       ) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62 &
                       )*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138 &
                       )*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_14)* &
                       coupl(nGC_55) + 5d0*cima*coupl(nGC_145)*coupl(nGC_147)* &
                       coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_145)*  &
                       coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*  &
                       coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_86&
                       ) + 6d0*cima*coupl(nGC_232)*coupl(nGC_69) + 6d0*coupl(  &
                       nGC_14)*coupl(nGC_236)*coupl(nGC_254) + 6d0*coupl(      &
                       nGC_228)*coupl(nGC_236)*coupl(nGC_69))/(48d0*pi**2d0)
      coupl(nGC_912) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_222)*coupl(nGC_62 &
                       )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(     &
                       nGC_222)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl&
                       (nGC_124)*coupl(nGC_222)*coupl(nGC_62)*coupl(nGC_83) +  &
                       5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_129&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_127)*coupl(nGC_129)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_238)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_238&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_130)*coupl(nGC_238)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_258)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_258&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_139)*coupl(nGC_258)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_142)*coupl(nGC_144)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_148)*coupl(nGC_150)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*cima*coupl(nGC_133)*coupl(nGC_310)*coupl(nGC_62)*   &
                       coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl(nGC_310)* &
                       coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*  &
                       coupl(nGC_310)*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*  &
                       coupl(nGC_136)*coupl(nGC_230)*coupl(nGC_62)*coupl(nGC_80&
                       ) - 4d0*cima*coupl(nGC_136)*coupl(nGC_230)*coupl(nGC_62 &
                       )*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)*coupl(nGC_230 &
                       )*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*coupl(nGC_145)*&
                       coupl(nGC_270)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*  &
                       coupl(nGC_145)*coupl(nGC_270)*coupl(nGC_62)*coupl(nGC_85&
                       ) - 4d0*cima*coupl(nGC_145)*coupl(nGC_270)*coupl(nGC_62 &
                       )*coupl(nGC_86) + 6d0*cima*coupl(nGC_16)*coupl(nGC_55   &
                       ) + 6d0*cima*coupl(nGC_232)*coupl(nGC_72) + 6d0*coupl(  &
                       nGC_16)*coupl(nGC_236)*coupl(nGC_64) + 6d0*coupl(nGC_240&
                       )*coupl(nGC_64)*coupl(nGC_72))/(48d0*pi**2d0)
      coupl(nGC_1147) = coupl(nGC_1027) + coupl(nGC_143)*dZH_QED2/2d0 + coupl( &
                        nGC_143)*dZtL_QED2/2d0 + coupl(nGC_143)*dZtR_QED2/2d0
      coupl(nGC_919) = (-8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_222)*coupl(nGC_62&
                       )**2d0 - 8d0*Nc*cima*coupl(nGC_129)*coupl(nGC_224)*coupl&
                       (nGC_62)**2d0 - 8d0*Nc*cima*coupl(nGC_131)*coupl(nGC_238&
                       )*coupl(nGC_62)**2d0 - 8d0*Nc*cima*coupl(nGC_140)*coupl(&
                       nGC_258)*coupl(nGC_62)**2d0 - 8d0*Nc*cima*coupl(nGC_144 &
                       )*coupl(nGC_306)*coupl(nGC_62)**2d0 - 8d0*Nc*cima*coupl(&
                       nGC_150)*coupl(nGC_290)*coupl(nGC_62)**2d0 - 8d0*cima*  &
                       coupl(nGC_134)*coupl(nGC_310)*coupl(nGC_62)**2d0 - 8d0* &
                       cima*coupl(nGC_137)*coupl(nGC_230)*coupl(nGC_62)**2d0 - &
                       8d0*cima*coupl(nGC_146)*coupl(nGC_270)*coupl(nGC_62)**  &
                       2d0 + 6d0*cima*coupl(nGC_324)*coupl(nGC_47) + 3d0*cima* &
                       coupl(nGC_56)*coupl(nGC_96) + 6d0*coupl(nGC_236)*coupl( &
                       nGC_47)*coupl(nGC_63) + 6d0*coupl(nGC_240)*coupl(nGC_4)*&
                       coupl(nGC_47) + 6d0*coupl(nGC_254)*coupl(nGC_64)*coupl( &
                       nGC_96))/(48d0*pi**2d0)
      coupl(nGC_918) = (-8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_62)**2d0 -  &
                       8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_62)**2d0 - 8d0&
                       *Nc*cima*coupl(nGC_132)**2d0*coupl(nGC_62)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_141)**2d0*coupl(nGC_62)**2d0 - 8d0*Nc*  &
                       cima*coupl(nGC_143)**2d0*coupl(nGC_62)**2d0 - 8d0*Nc*   &
                       cima*coupl(nGC_149)**2d0*coupl(nGC_62)**2d0 - 8d0*cima* &
                       coupl(nGC_135)**2d0*coupl(nGC_62)**2d0 - 8d0*cima*coupl(&
                       nGC_138)**2d0*coupl(nGC_62)**2d0 - 8d0*cima*coupl(      &
                       nGC_147)**2d0*coupl(nGC_62)**2d0 + 6d0*cima*coupl(      &
                       nGC_324)*coupl(nGC_47) + 3d0*cima*coupl(nGC_56)*coupl(  &
                       nGC_96) + 6d0*coupl(nGC_236)*coupl(nGC_47)*coupl(nGC_63 &
                       ) + 6d0*coupl(nGC_240)*coupl(nGC_4)*coupl(nGC_47) + 6d0*&
                       coupl(nGC_254)*coupl(nGC_64)*coupl(nGC_96))/(48d0*pi**  &
                       2d0)
      coupl(nGC_1266) = coupl(nGC_1060) + coupl(nGC_19)*dZbL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1261) = coupl(nGC_1058) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZcR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
      coupl(nGC_852) = (2d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_126) + 8d0*Nc*&
                       cMB*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_222) + 2d0* &
                       Nc*cMB*coupl(nGC_126)*coupl(nGC_222)**2d0 + 2d0*Nc*cMC* &
                       coupl(nGC_128)*coupl(nGC_129)**2d0 + 8d0*Nc*cMC*coupl(  &
                       nGC_128)*coupl(nGC_129)*coupl(nGC_224) + 2d0*Nc*cMC*    &
                       coupl(nGC_128)*coupl(nGC_224)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_131)**2d0*coupl(nGC_132) + 8d0*Nc*cMD*coupl(nGC_131 &
                       )*coupl(nGC_132)*coupl(nGC_238) + 2d0*Nc*cMD*coupl(     &
                       nGC_132)*coupl(nGC_238)**2d0 + 2d0*Nc*cMS*coupl(nGC_140 &
                       )**2d0*coupl(nGC_141) + 8d0*Nc*cMS*coupl(nGC_140)*coupl(&
                       nGC_141)*coupl(nGC_258) + 2d0*Nc*cMS*coupl(nGC_141)*    &
                       coupl(nGC_258)**2d0 + 2d0*Nc*cMT*coupl(nGC_143)*coupl(  &
                       nGC_144)**2d0 + 8d0*Nc*cMT*coupl(nGC_143)*coupl(nGC_144 &
                       )*coupl(nGC_306) + 2d0*Nc*cMT*coupl(nGC_143)*coupl(     &
                       nGC_306)**2d0 + 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_150 &
                       )**2d0 + 8d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_150)*coupl(&
                       nGC_290) + 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_290)**2d0&
                        + 2d0*cME*coupl(nGC_134)**2d0*coupl(nGC_135) + 8d0*cME*&
                       coupl(nGC_134)*coupl(nGC_135)*coupl(nGC_310) + 2d0*cME* &
                       coupl(nGC_135)*coupl(nGC_310)**2d0 + 2d0*cMM*coupl(     &
                       nGC_137)**2d0*coupl(nGC_138) + 8d0*cMM*coupl(nGC_137)*  &
                       coupl(nGC_138)*coupl(nGC_230) + 2d0*cMM*coupl(nGC_138)* &
                       coupl(nGC_230)**2d0 + 2d0*cMTA*coupl(nGC_146)**2d0*coupl&
                       (nGC_147) + 8d0*cMTA*coupl(nGC_146)*coupl(nGC_147)*coupl&
                       (nGC_270) + 2d0*cMTA*coupl(nGC_147)*coupl(nGC_270)**2d0 &
                        + 2d0*cima*coupl(nGC_107)*coupl(nGC_47) + cima*coupl(  &
                       nGC_123)*coupl(nGC_96))/(16d0*pi**2d0)
      coupl(nGC_798) = (coupl(nGC_130)**2d0*coupl(nGC_78) + coupl(nGC_149)**2d0&
                       *coupl(nGC_79) + coupl(nGC_150)*coupl(nGC_290)*coupl(   &
                       nGC_79) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*    &
                       coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**  &
                       2d0*coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi**  &
                       2d0)
      coupl(nGC_795) = (coupl(nGC_136)**2d0*coupl(nGC_86) + coupl(nGC_137)*    &
                       coupl(nGC_230)*coupl(nGC_85) + coupl(nGC_138)**2d0*coupl&
                       (nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) + 4d0*   &
                       coupl(nGC_80)**3d0)/(32d0*pi**2d0)
      coupl(nGC_794) = (coupl(nGC_137)*coupl(nGC_230)*coupl(nGC_80) + coupl(   &
                       nGC_138)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_236)*coupl( &
                       nGC_62)**2d0 + 4d0*coupl(nGC_4)**2d0*coupl(nGC_85) + 4d0&
                       *coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85)** &
                       3d0)/(32d0*pi**2d0)
      coupl(nGC_796) = (coupl(nGC_146)*coupl(nGC_270)*coupl(nGC_80) + coupl(   &
                       nGC_147)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_236)*coupl( &
                       nGC_62)**2d0 + 4d0*coupl(nGC_4)**2d0*coupl(nGC_85) + 4d0&
                       *coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85)** &
                       3d0)/(32d0*pi**2d0)
      coupl(nGC_792) = (coupl(nGC_134)*coupl(nGC_310)*coupl(nGC_80) + coupl(   &
                       nGC_135)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_236)*coupl( &
                       nGC_62)**2d0 + 4d0*coupl(nGC_4)**2d0*coupl(nGC_85) + 4d0&
                       *coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85)** &
                       3d0)/(32d0*pi**2d0)
      coupl(nGC_1128) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_1059) + coupl(nGC_82)*dZZA_QED2/2d0
      coupl(nGC_709) = (Nc*cMB**2d0*cima*coupl(nGC_62)**2d0 + Nc*cMC**2d0*cima*&
                       coupl(nGC_62)**2d0 + Nc*cMD**2d0*cima*coupl(nGC_62)**2d0&
                        + Nc*cMS**2d0*cima*coupl(nGC_62)**2d0 + Nc*cMT**2d0*   &
                       cima*coupl(nGC_62)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_62 &
                       )**2d0 + cME**2d0*cima*coupl(nGC_62)**2d0 + cMM**2d0*   &
                       cima*coupl(nGC_62)**2d0 + cMTA**2d0*cima*coupl(nGC_62)**&
                       2d0 + cMW**2d0*cima*coupl(nGC_228)*coupl(nGC_3) + cMW** &
                       2d0*cima*coupl(nGC_236)*coupl(nGC_63) + cMW**2d0*cima*  &
                       coupl(nGC_240)*coupl(nGC_4) + cMW**2d0*cima*coupl(      &
                       nGC_254)*coupl(nGC_64) - 2d0*cMW**2d0*coupl(nGC_324) +  &
                       cMZ**2d0*cima*coupl(nGC_236)*coupl(nGC_63) + cMZ**2d0*  &
                       cima*coupl(nGC_254)*coupl(nGC_64) - cMZ**2d0*coupl(     &
                       nGC_56))/(16d0*pi**2d0)
      coupl(nGC_1370) = coupl(nGC_5)*dZAZ_QED2/4d0 + coupl(nGC_66)*dZZ_QED2/4d0&
                         + coupl(nGC_979)/2d0
      coupl(nGC_1167) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_72)*dZA_QED2/  &
                        2d0 + coupl(nGC_72)*dZWMinus_QED2/2d0 + coupl(nGC_965)
      coupl(nGC_870) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_125) - coupl(nGC_124)* &
                       coupl(nGC_142)*coupl(nGC_306) - coupl(nGC_125)**2d0*    &
                       coupl(nGC_222) + 8d0*coupl(nGC_125)*coupl(nGC_78)*coupl(&
                       nGC_82) - coupl(nGC_126)**2d0*coupl(nGC_222))/(32d0*pi**&
                       2d0)
      coupl(nGC_873) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(   &
                       nGC_1)*coupl(nGC_4) + coupl(nGC_2)*coupl(nGC_228) +     &
                       coupl(nGC_254)*coupl(nGC_83) + coupl(nGC_63)*coupl(     &
                       nGC_82) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**2d0&
                       )
      coupl(nGC_875) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(   &
                       nGC_1)*coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_240) -     &
                       coupl(nGC_236)*coupl(nGC_83) - coupl(nGC_64)*coupl(     &
                       nGC_82) + 2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**2d0&
                       )
      coupl(nGC_876) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl(  &
                       nGC_124)*coupl(nGC_126)*coupl(nGC_143) - coupl(nGC_124)*&
                       coupl(nGC_222)*coupl(nGC_306) + 8d0*coupl(nGC_142)*coupl&
                       (nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_1280) = coupl(nGC_93)*dZH_QED2 + coupl(nGC_955)
      coupl(nGC_1355) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1065) + coupl(  &
                        nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZbR_QED2
      coupl(nGC_1425) = -coupl(nGC_787)
      coupl(nGC_1424) = -coupl(nGC_759)
      coupl(nGC_1423) = -coupl(nGC_758)
      coupl(nGC_1421) = -coupl(nGC_818)
      coupl(nGC_1113) = coupl(nGC_15)*dZH_QED2/2d0 + coupl(nGC_960)
      coupl(nGC_1429) = -coupl(nGC_850)
      coupl(nGC_1428) = -coupl(nGC_851)
      coupl(nGC_1214) = coupl(nGC_1060) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZuR_QCD2
      coupl(nGC_1212) = coupl(nGC_1060) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZuL_QCD2
      coupl(nGC_1218) = coupl(nGC_1017) + coupl(nGC_150)*dZuL_QED2/2d0 + coupl(&
                        nGC_150)*dZuR_QED2/2d0
      coupl(nGC_1219) = coupl(nGC_1018) + coupl(nGC_150)*dZuL_QCD2/2d0 + coupl(&
                        nGC_150)*dZuR_QCD2/2d0
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
