!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 22:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_979) = coupl(nGC_567)*dZee_QED2 + coupl(nGC_568)*dsw_QED2 +    &
                       coupl(nGC_569)*dcw_QED2
      coupl(nGC_978) = coupl(nGC_570)*dZee_QED2
      coupl(nGC_878) = (8d0*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_124)*coupl(nGC_78)*coupl(nGC_83) - coupl(     &
                       nGC_125)*coupl(nGC_142)*coupl(nGC_144) - coupl(nGC_126)*&
                       coupl(nGC_142)*coupl(nGC_143))/(32d0*pi**2d0)
      coupl(nGC_879) = coupl(nGC_124)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1289) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_1288) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_1287) = coupl(nGC_81)*dZZA_QED2/2d0
      coupl(nGC_871) = coupl(nGC_125)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1285) = coupl(nGC_1016) + coupl(nGC_147)*dZH_QED2/2d0 + coupl( &
                        nGC_147)*dZtauMinusL_QED2/2d0 + coupl(nGC_147)*        &
                        dZtauMinusR_QED2/2d0
      coupl(nGC_874) = coupl(nGC_19)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_1281) = coupl(nGC_1061) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_62)*dZnu_tauL_QED2/2d0 + coupl(nGC_62)*      &
                        dZtauMinusL_QED2/2d0
      coupl(nGC_1041) = coupl(nGC_626)*dZee_QED2 + coupl(nGC_627)*dsw_QED2 +   &
                        coupl(nGC_628)*dcw_QED2
      coupl(nGC_1040) = coupl(nGC_523)*dZee_QED2 + coupl(nGC_524)*dsw_QED2 +   &
                        coupl(nGC_525)*dcw_QED2
      coupl(nGC_1043) = coupl(nGC_579)*dZee_QED2
      coupl(nGC_1284) = coupl(nGC_1040) + coupl(nGC_57)*dZZ_QED2 + coupl(nGC_76&
                        )*dZAZ_QED2
      coupl(nGC_1044) = coupl(nGC_564)*dZee_QED2 + coupl(nGC_565)*dsw_QED2 +   &
                        coupl(nGC_566)*dcw_QED2
      coupl(nGC_1046) = coupl(nGC_620)*dZee_QED2 + coupl(nGC_621)*dsw_QED2 +   &
                        coupl(nGC_622)*dcw_QED2
      coupl(nGC_1049) = coupl(nGC_486)*dZee_QED2 + coupl(nGC_487)*dcw_QED2
      coupl(nGC_1048) = coupl(nGC_695)*dZee_QED2 + coupl(nGC_696)*dsw_QED2 +   &
                        coupl(nGC_697)*dcw_QED2
      coupl(nGC_1363) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_1364) = 3d0*coupl(nGC_18)*dZg_QCD2/2d0 + coupl(nGC_981)
      coupl(nGC_1365) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*              &
                        dZmuMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/2d0 + coupl( &
                        nGC_978)
      coupl(nGC_1366) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*              &
                        dZmuMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/2d0 + coupl( &
                        nGC_978)
      coupl(nGC_1367) = -coupl(nGC_1035) - coupl(nGC_3)*dZA_QED2/2d0 - coupl(  &
                        nGC_3)*dZWMinus_QED2 - coupl(nGC_64)*dZZA_QED2/2d0
      coupl(nGC_877) = coupl(nGC_142)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1369) = coupl(nGC_17)*dZg_QCD2/4d0 + coupl(nGC_983)/2d0
      coupl(nGC_1042) = coupl(nGC_606)*dsw_QED2 + coupl(nGC_607)*dZee_QED2 +   &
                        coupl(nGC_608)*dvev_QED1
      coupl(nGC_1045) = coupl(nGC_685)*dZee_QED2 + coupl(nGC_686)*dsw_QED2
      coupl(nGC_1230) = coupl(nGC_1087) + coupl(nGC_MW)*dZWMinus_QED2
      coupl(nGC_1216) = coupl(nGC_1043) - coupl(nGC_77)*dZZA_QED2/2d0 + coupl( &
                        nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_1217) = -2d0*coupl(nGC_1043) + coupl(nGC_77)*dZZA_QED2 - 2d0*  &
                        coupl(nGC_8)*dZA_QED2 - 2d0*coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_1047) = coupl(nGC_463)*dZee_QED2 + coupl(nGC_464)*dsw_QED2 +   &
                        coupl(nGC_465)*dcw_QED2
      coupl(nGC_1360) = coupl(nGC_1080) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl( &
                        nGC_MD)*dZdR_QED2/2d0
      coupl(nGC_1361) = coupl(nGC_1081) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_781) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_125)*   &
                       coupl(nGC_222) + coupl(nGC_1)*coupl(nGC_126)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_142)**2d0*  &
                       coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 + 2d0&
                       *coupl(nGC_240)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1362) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_1138) = coupl(nGC_13)*dZZA_QED2/2d0 + coupl(nGC_68)*dZA_QED2/  &
                        2d0 + coupl(nGC_68)*dZWMinus_QED2/2d0 + coupl(nGC_966)
      coupl(nGC_1133) = coupl(nGC_1063) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZtL_QED2
      coupl(nGC_1132) = coupl(nGC_86)*dZZA_QED2/2d0
      coupl(nGC_1135) = coupl(nGC_1062) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZtR_QED2
      coupl(nGC_1137) = -coupl(nGC_1033) - coupl(nGC_61)*dZWMinus_QED2/2d0
      coupl(nGC_1136) = coupl(nGC_79)*dZtR_QCD2
      coupl(nGC_764) = coupl(nGC_4)*(coupl(nGC_134)*coupl(nGC_310) + coupl(    &
                       nGC_135)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_80&
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_765) = (coupl(nGC_137)*coupl(nGC_230)*coupl(nGC_4) + coupl(    &
                       nGC_138)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_240)*coupl(  &
                       nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)*&
                       coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_766) = coupl(nGC_4)*(coupl(nGC_137)*coupl(nGC_230) + coupl(    &
                       nGC_138)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_80&
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_767) = (coupl(nGC_146)*coupl(nGC_270)*coupl(nGC_4) + coupl(    &
                       nGC_147)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_240)*coupl(  &
                       nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)*&
                       coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_760) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_78) - Nc*&
                       cMB*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_82) - Nc*cMC* &
                       coupl(nGC_128)*coupl(nGC_2)*coupl(nGC_79) - Nc*cMC*coupl&
                       (nGC_128)*coupl(nGC_2)*coupl(nGC_83) - Nc*cMD*coupl(    &
                       nGC_1)*coupl(nGC_132)*coupl(nGC_78) - Nc*cMD*coupl(nGC_1&
                       )*coupl(nGC_132)*coupl(nGC_82) - Nc*cMS*coupl(nGC_1)*   &
                       coupl(nGC_141)*coupl(nGC_78) - Nc*cMS*coupl(nGC_1)*coupl&
                       (nGC_141)*coupl(nGC_82) - Nc*cMT*coupl(nGC_143)*coupl(  &
                       nGC_2)*coupl(nGC_79) - Nc*cMT*coupl(nGC_143)*coupl(nGC_2&
                       )*coupl(nGC_83) - Nc*cMU*coupl(nGC_149)*coupl(nGC_2)*   &
                       coupl(nGC_79) - Nc*cMU*coupl(nGC_149)*coupl(nGC_2)*coupl&
                       (nGC_83) - cME*coupl(nGC_135)*coupl(nGC_4)*coupl(nGC_80 &
                       ) - cME*coupl(nGC_135)*coupl(nGC_4)*coupl(nGC_85) - cMM*&
                       coupl(nGC_138)*coupl(nGC_4)*coupl(nGC_80) - cMM*coupl(  &
                       nGC_138)*coupl(nGC_4)*coupl(nGC_85) - cMTA*coupl(nGC_147&
                       )*coupl(nGC_4)*coupl(nGC_80) - cMTA*coupl(nGC_147)*coupl&
                       (nGC_4)*coupl(nGC_85) + cima*coupl(nGC_107)*coupl(nGC_77&
                       ) + coupl(nGC_107)*coupl(nGC_236)*coupl(nGC_240) + coupl&
                       (nGC_107)*coupl(nGC_3)*coupl(nGC_64))/(8d0*pi**2d0)
      coupl(nGC_761) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_126) - 2d0*Nc* &
                       cMC*coupl(nGC_128)*coupl(nGC_2)**2d0 - 2d0*Nc*cMD*coupl(&
                       nGC_1)**2d0*coupl(nGC_132) - 2d0*Nc*cMS*coupl(nGC_1)**  &
                       2d0*coupl(nGC_141) - 2d0*Nc*cMT*coupl(nGC_143)*coupl(   &
                       nGC_2)**2d0 - 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_2)**  &
                       2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_4)**2d0 - 2d0*cMM&
                       *coupl(nGC_138)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                       nGC_147)*coupl(nGC_4)**2d0 + cima*coupl(nGC_107)*coupl( &
                       nGC_9) + coupl(nGC_107)*coupl(nGC_240)**2d0 + coupl(    &
                       nGC_107)*coupl(nGC_3)**2d0)/(8d0*pi**2d0)
      coupl(nGC_762) = (coupl(nGC_145)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*   &
                       coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**2d0&
                       )/(32d0*pi**2d0)
      coupl(nGC_763) = (coupl(nGC_134)*coupl(nGC_310)*coupl(nGC_4) + coupl(    &
                       nGC_135)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_240)*coupl(  &
                       nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)*&
                       coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_768) = coupl(nGC_4)*(coupl(nGC_146)*coupl(nGC_270) + coupl(    &
                       nGC_147)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_80&
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_838) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                       nGC_130)**2d0 - coupl(nGC_131)*coupl(nGC_238) - coupl(  &
                       nGC_132)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0*Nc&
                       )
      coupl(nGC_839) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_131&
                       )*coupl(nGC_238) + coupl(nGC_132)**2d0 + coupl(nGC_148  &
                       )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_82)**2d0&
                       )/(64d0*pi**2d0)
      coupl(nGC_837) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                       nGC_131)*coupl(nGC_238) - coupl(nGC_132)**2d0 - coupl(  &
                       nGC_148)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(     &
                       nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_830) = coupl(nGC_19)*sq2*(coupl(nGC_127)**2d0 + coupl(nGC_128  &
                       )**2d0 + coupl(nGC_129)*coupl(nGC_224) + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_831) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_126) - cMC* &
                       coupl(nGC_128) - cMD*coupl(nGC_132) - cMS*coupl(nGC_141 &
                       ) - cMT*coupl(nGC_143) - cMU*coupl(nGC_149))/(16d0*pi** &
                       2d0)
      coupl(nGC_832) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_126) + cMC*  &
                       coupl(nGC_128) + cMD*coupl(nGC_132) + cMS*coupl(nGC_141 &
                       ) + cMT*coupl(nGC_143) + cMU*coupl(nGC_149))/(16d0*pi** &
                       2d0*Nc)
      coupl(nGC_1005) = coupl(nGC_597)*dys_QED1_QCD2
      coupl(nGC_1004) = coupl(nGC_597)*dys_QED3
      coupl(nGC_1007) = coupl(nGC_595)*dyb_QED1_QCD2
      coupl(nGC_1006) = coupl(nGC_595)*dyb_QED3
      coupl(nGC_1001) = coupl(nGC_548)*dyb_QED1_QCD2
      coupl(nGC_1000) = coupl(nGC_548)*dyb_QED3
      coupl(nGC_1418) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_1419) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_1416) = coupl(nGC_1076) + coupl(nGC_MC)*dZcL_QED2/2d0 + coupl( &
                        nGC_MC)*dZcR_QED2/2d0
      coupl(nGC_1417) = coupl(nGC_1077) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_1414) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_1415) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_1411) = coupl(nGC_1086) + coupl(nGC_MZ)*dZZ_QED2
      coupl(nGC_908) = (-4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_78)**2d0 +  &
                       5d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_78)*coupl(    &
                       nGC_83) - 4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_83  &
                       )**2d0 - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_79)**&
                       2d0 + 5d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_79)*    &
                       coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(  &
                       nGC_82)**2d0 - 4d0*Nc*cima*coupl(nGC_130)**2d0*coupl(   &
                       nGC_78)**2d0 + 5d0*Nc*cima*coupl(nGC_130)**2d0*coupl(   &
                       nGC_78)*coupl(nGC_83) - 4d0*Nc*cima*coupl(nGC_130)**2d0*&
                       coupl(nGC_83)**2d0 - 4d0*Nc*cima*coupl(nGC_139)**2d0*   &
                       coupl(nGC_78)**2d0 + 5d0*Nc*cima*coupl(nGC_139)**2d0*   &
                       coupl(nGC_78)*coupl(nGC_83) - 4d0*Nc*cima*coupl(nGC_139 &
                       )**2d0*coupl(nGC_83)**2d0 - 4d0*Nc*cima*coupl(nGC_142)**&
                       2d0*coupl(nGC_79)**2d0 + 5d0*Nc*cima*coupl(nGC_142)**2d0&
                       *coupl(nGC_79)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_142&
                       )**2d0*coupl(nGC_82)**2d0 - 4d0*Nc*cima*coupl(nGC_148)**&
                       2d0*coupl(nGC_79)**2d0 + 5d0*Nc*cima*coupl(nGC_148)**2d0&
                       *coupl(nGC_79)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_148&
                       )**2d0*coupl(nGC_82)**2d0 - 4d0*cima*coupl(nGC_133)**2d0&
                       *coupl(nGC_80)**2d0 + 5d0*cima*coupl(nGC_133)**2d0*coupl&
                       (nGC_80)*coupl(nGC_86) - 4d0*cima*coupl(nGC_133)**2d0*  &
                       coupl(nGC_86)**2d0 - 4d0*cima*coupl(nGC_136)**2d0*coupl(&
                       nGC_80)**2d0 + 5d0*cima*coupl(nGC_136)**2d0*coupl(nGC_80&
                       )*coupl(nGC_86) - 4d0*cima*coupl(nGC_136)**2d0*coupl(   &
                       nGC_86)**2d0 - 4d0*cima*coupl(nGC_145)**2d0*coupl(nGC_80&
                       )**2d0 + 5d0*cima*coupl(nGC_145)**2d0*coupl(nGC_80)*    &
                       coupl(nGC_86) - 4d0*cima*coupl(nGC_145)**2d0*coupl(     &
                       nGC_86)**2d0 + 3d0*cima*coupl(nGC_47)*coupl(nGC_56) +   &
                       3d0*coupl(nGC_236)**2d0*coupl(nGC_47) + 3d0*coupl(nGC_47&
                       )*coupl(nGC_64)**2d0)/(24d0*pi**2d0)
      coupl(nGC_909) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +   &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_900) = (Nc*cima*coupl(nGC_1)*coupl(nGC_78)**3d0 + Nc*cima*coupl&
                       (nGC_1)*coupl(nGC_82)**3d0 + Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_79)**3d0 + Nc*cima*coupl(nGC_2)*coupl(nGC_83)**3d0  &
                        - 2d0*cima*coupl(nGC_236)**3d0*coupl(nGC_240) - 2d0*   &
                       cima*coupl(nGC_3)*coupl(nGC_64)**3d0 + cima*coupl(nGC_4 &
                       )*coupl(nGC_80)**3d0 + cima*coupl(nGC_4)*coupl(nGC_85)**&
                       3d0 + cima*coupl(nGC_56)*coupl(nGC_77) + coupl(nGC_236  &
                       )**2d0*coupl(nGC_77) + coupl(nGC_236)*coupl(nGC_240)*   &
                       coupl(nGC_56) + coupl(nGC_3)*coupl(nGC_56)*coupl(nGC_64 &
                       ) + coupl(nGC_64)**2d0*coupl(nGC_77))/(8d0*pi**2d0)
      coupl(nGC_906) = (-8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_78)**2d0 +  &
                       10d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_78)*coupl(   &
                       nGC_82) - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_82  &
                       )**2d0 - 8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_79)**&
                       2d0 + 10d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_79)*   &
                       coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(  &
                       nGC_83)**2d0 - 8d0*Nc*cima*coupl(nGC_132)**2d0*coupl(   &
                       nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_132)**2d0*coupl(  &
                       nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_132)**2d0*&
                       coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_141)**2d0*   &
                       coupl(nGC_78)**2d0 + 10d0*Nc*cima*coupl(nGC_141)**2d0*  &
                       coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_141 &
                       )**2d0*coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_143)**&
                       2d0*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(nGC_143)**  &
                       2d0*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*coupl(    &
                       nGC_143)**2d0*coupl(nGC_83)**2d0 - 8d0*Nc*cima*coupl(   &
                       nGC_149)**2d0*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(  &
                       nGC_149)**2d0*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*&
                       coupl(nGC_149)**2d0*coupl(nGC_83)**2d0 - 8d0*cima*coupl(&
                       nGC_135)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*coupl(     &
                       nGC_135)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*   &
                       coupl(nGC_135)**2d0*coupl(nGC_85)**2d0 - 8d0*cima*coupl(&
                       nGC_138)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*coupl(     &
                       nGC_138)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*   &
                       coupl(nGC_138)**2d0*coupl(nGC_85)**2d0 - 8d0*cima*coupl(&
                       nGC_147)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*coupl(     &
                       nGC_147)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*   &
                       coupl(nGC_147)**2d0*coupl(nGC_85)**2d0 + 3d0*cima*coupl(&
                       nGC_47)*coupl(nGC_56) + 3d0*coupl(nGC_236)**2d0*coupl(  &
                       nGC_47) + 3d0*coupl(nGC_47)*coupl(nGC_64)**2d0)/(24d0*pi&
                       **2d0)
      coupl(nGC_1312) = coupl(nGC_1054) + coupl(nGC_90)*dZAZ_QED2 + coupl(     &
                        nGC_95)*dZZ_QED2
      coupl(nGC_1250) = coupl(nGC_148)*dZdL_QCD2/2d0 + coupl(nGC_148)*dZuR_QCD2&
                        /2d0 + coupl(nGC_985)
      coupl(nGC_1252) = coupl(nGC_130)*dZdR_QCD2/2d0 + coupl(nGC_130)*dZuL_QCD2&
                        /2d0 + coupl(nGC_987)
      coupl(nGC_1253) = -coupl(nGC_1088) - coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_1254) = coupl(nGC_122)*dZH_QED2/2d0 + coupl(nGC_970)
      coupl(nGC_1255) = coupl(nGC_1063) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZcL_QED2
      coupl(nGC_1257) = coupl(nGC_1062) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZcR_QED2
      coupl(nGC_1155) = coupl(nGC_62)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_1127) = coupl(nGC_1047) + coupl(nGC_81)*dZH_QED2/2d0 + coupl(  &
                        nGC_81)*dZZ_QED2/2d0
      coupl(nGC_1089) = coupl(nGC_210)*dMW2_QED2
      coupl(nGC_999) = coupl(nGC_596)*dys_QED1_QCD2
      coupl(nGC_998) = coupl(nGC_596)*dys_QED3
      coupl(nGC_1286) = -coupl(nGC_6)*dZWMinus_QED2/4d0 - coupl(nGC_977)/2d0
      coupl(nGC_1179) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_90)*dZZA_QED2 +     &
                        coupl(nGC_975)
      coupl(nGC_737) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(     &
                       nGC_83))/(8d0*pi**2d0)
      coupl(nGC_1174) = -coupl(nGC_6)*dZA_QED2/4d0 - coupl(nGC_65)*dZZA_QED2/  &
                        4d0 - coupl(nGC_977)/2d0
      coupl(nGC_735) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(     &
                       nGC_85))/(8d0*pi**2d0)
      coupl(nGC_1176) = -coupl(nGC_1034) - coupl(nGC_60)*dZH_QED2/2d0 - coupl( &
                        nGC_60)*dZWMinus_QED2/2d0
      coupl(nGC_1171) = coupl(nGC_140)*dZsL_QCD2/2d0 + coupl(nGC_140)*dZsR_QCD2&
                        /2d0 + coupl(nGC_999)
      coupl(nGC_1170) = coupl(nGC_140)*dZsL_QED2/2d0 + coupl(nGC_140)*dZsR_QED2&
                        /2d0 + coupl(nGC_998)
      coupl(nGC_731) = cima*(-coupl(nGC_62)**2d0 - coupl(nGC_86)**2d0)/(16d0*pi&
                       **2d0)
      coupl(nGC_1172) = -coupl(nGC_140)*dZsL_QED2/2d0 - coupl(nGC_140)*        &
                        dZsR_QED2/2d0 - coupl(nGC_998)
      coupl(nGC_1211) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_85)*dZZA_QED2/2d0&
                         + coupl(nGC_978)
      coupl(nGC_1175) = coupl(nGC_1015) + coupl(nGC_138)*dZH_QED2/2d0 + coupl( &
                        nGC_138)*dZmuMinusL_QED2/2d0 + coupl(nGC_138)*         &
                        dZmuMinusR_QED2/2d0
      coupl(nGC_736) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(    &
                       nGC_85))/(8d0*pi**2d0)
      coupl(nGC_1282) = coupl(nGC_1032) + coupl(nGC_110)*dZA_QED2/2d0 + coupl( &
                        nGC_110)*dZWMinus_QED2/2d0 + coupl(nGC_99)*dZZA_QED2/  &
                        2d0
      coupl(nGC_867) = coupl(nGC_144)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_866) = (-coupl(nGC_124)*coupl(nGC_142)*coupl(nGC_222) - coupl( &
                       nGC_143)**2d0*coupl(nGC_306) - coupl(nGC_144)**2d0*coupl&
                       (nGC_306) + 8d0*coupl(nGC_144)*coupl(nGC_2)**2d0 + 8d0* &
                       coupl(nGC_144)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**  &
                       2d0)
      coupl(nGC_865) = coupl(nGC_19)**2d0*coupl(nGC_306)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_734) = cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_863) = (-coupl(nGC_146)**2d0*coupl(nGC_270) + 8d0*coupl(nGC_146&
                       )*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_146)*coupl(nGC_80)* &
                       coupl(nGC_85) - coupl(nGC_147)**2d0*coupl(nGC_270))/(   &
                       32d0*pi**2d0)
      coupl(nGC_949) = (cima*coupl(nGC_20)**2d0 + 2d0*cima*coupl(nGC_20)*coupl(&
                       nGC_284) - cima*coupl(nGC_276)**4d0*sq2**4d0 + cima*    &
                       coupl(nGC_284)**2d0 - 2d0*coupl(nGC_20)*coupl(nGC_276)**&
                       2d0*sq2**2d0 - 2d0*coupl(nGC_276)**2d0*coupl(nGC_284)*  &
                       sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_860) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_126) - coupl(nGC_124)* &
                       coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_125)**2d0*    &
                       coupl(nGC_126) - coupl(nGC_126)**3d0 + 8d0*coupl(nGC_126&
                       )*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_815) = coupl(nGC_62)*(-Nc*coupl(nGC_124)*coupl(nGC_126) + Nc*  &
                       coupl(nGC_127)*coupl(nGC_128) - Nc*coupl(nGC_130)*coupl(&
                       nGC_132) - Nc*coupl(nGC_139)*coupl(nGC_141) + Nc*coupl( &
                       nGC_142)*coupl(nGC_143) + Nc*coupl(nGC_148)*coupl(      &
                       nGC_149) - coupl(nGC_133)*coupl(nGC_135) - coupl(nGC_136&
                       )*coupl(nGC_138) - coupl(nGC_145)*coupl(nGC_147))/(24d0*&
                       pi**2d0)
      coupl(nGC_733) = cima*(-coupl(nGC_4)**2d0 - coupl(nGC_62)**2d0 - coupl(  &
                       nGC_85)**2d0)/(16d0*pi**2d0)
      coupl(nGC_946) = (3d0*Nc*cima*coupl(nGC_20)**2d0 - Nc*cima*coupl(nGC_276 &
                       )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_284)**2d0 - 3d0*&
                       Nc*coupl(nGC_20)*coupl(nGC_276)**2d0*sq2**2d0 - 3d0*Nc* &
                       coupl(nGC_276)**2d0*coupl(nGC_284)*sq2**2d0 + 9d0*cima* &
                       coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_947) = (-Nc*cima*coupl(nGC_20)*coupl(nGC_278) + Nc*cima*coupl( &
                       nGC_276)**4d0*sq2**4d0 - Nc*cima*coupl(nGC_278)*coupl(  &
                       nGC_284) + Nc*coupl(nGC_20)*coupl(nGC_276)**2d0*sq2**2d0&
                        + Nc*coupl(nGC_276)**2d0*coupl(nGC_278)*sq2**2d0 + Nc* &
                       coupl(nGC_276)**2d0*coupl(nGC_284)*sq2**2d0 - cima*coupl&
                       (nGC_19)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_940) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_78) - coupl&
                       (nGC_79) - coupl(nGC_82) - coupl(nGC_83))/(64d0*pi**2d0*&
                       Nc)
      coupl(nGC_941) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_78) + coupl(&
                       nGC_79) + coupl(nGC_82) + coupl(nGC_83))/(32d0*pi**2d0* &
                       Nc**2d0)
      coupl(nGC_869) = coupl(nGC_19)**2d0*coupl(nGC_222)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_868) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_222) - coupl(nGC_124)* &
                       coupl(nGC_142)*coupl(nGC_144) - coupl(nGC_125)*coupl(   &
                       nGC_126)**2d0 - coupl(nGC_125)*coupl(nGC_222)**2d0 + 8d0&
                       *coupl(nGC_222)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi** &
                       2d0)
      coupl(nGC_1354) = coupl(nGC_82)*dZbL_QCD2
      coupl(nGC_1357) = -coupl(nGC_5)*dZA_QED2/4d0 - coupl(nGC_66)*dZZA_QED2/  &
                        4d0 - coupl(nGC_976)/2d0
      coupl(nGC_1327) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusL_QED2&
                         + coupl(nGC_85)*dZZA_QED2/2d0 + coupl(nGC_978)
      coupl(nGC_1298) = coupl(nGC_1089) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_1299) = coupl(nGC_131)*dZdL_QED2/2d0 + coupl(nGC_131)*dZdR_QED2&
                        /2d0 + coupl(nGC_996)
      coupl(nGC_1353) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1064) + coupl(  &
                        nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZbL_QED2
      coupl(nGC_1352) = coupl(nGC_1034) + coupl(nGC_60)*dZH_QED2/2d0 + coupl(  &
                        nGC_60)*dZWMinus_QED2/2d0
      coupl(nGC_1294) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*              &
                        dZtauMinusL_QED2 + coupl(nGC_85)*dZZA_QED2/2d0 + coupl(&
                        nGC_978)
      coupl(nGC_1295) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*              &
                        dZtauMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/2d0 + coupl(&
                        nGC_978)
      coupl(nGC_1296) = coupl(nGC_962) + coupl(nGC_HHGG)
      coupl(nGC_1297) = coupl(nGC_22)*dZH_QED2 + coupl(nGC_962) + coupl(       &
                        nGC_HHGG)
      coupl(nGC_1290) = coupl(nGC_1084) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl( &
                        nGC_MB)*dZbR_QED2/2d0
      coupl(nGC_1358) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_1197) = coupl(nGC_1042) + coupl(nGC_107)*dZH_QED2/2d0 + coupl( &
                        nGC_107)*dZWMinus_QED2
      coupl(nGC_1196) = coupl(nGC_1014) + coupl(nGC_135)*dZH_QED2/2d0 + coupl( &
                        nGC_135)*dZeMinusL_QED2/2d0 + coupl(nGC_135)*          &
                        dZeMinusR_QED2/2d0
      coupl(nGC_1195) = coupl(nGC_1031) + coupl(nGC_14)*dZZA_QED2/2d0 + coupl( &
                        nGC_69)*dZA_QED2/2d0 + coupl(nGC_69)*dZH_QED2/2d0 +    &
                        coupl(nGC_69)*dZWMinus_QED2/2d0
      coupl(nGC_1194) = -coupl(nGC_4)*dZA_QED2/2d0 - coupl(nGC_85)*dZZA_QED2/  &
                        2d0 - coupl(nGC_978)
      coupl(nGC_1193) = coupl(nGC_1040) + coupl(nGC_57)*dZWMinus_QED2
      coupl(nGC_1192) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_1041) + coupl( &
                        nGC_57)*dZZA_QED2/2d0 + coupl(nGC_76)*dZA_QED2/2d0 +   &
                        coupl(nGC_76)*dZZ_QED2/2d0
      coupl(nGC_1191) = coupl(nGC_1053) + coupl(nGC_96)*dZH_QED2 + coupl(nGC_96&
                        )*dZZ_QED2
      coupl(nGC_1055) = coupl(nGC_549)*dsw_QED2 + coupl(nGC_550)*dZee_QED2 +   &
                        coupl(nGC_551)*dcw_QED2 + coupl(nGC_552)*dvev_QED1
      coupl(nGC_1052) = coupl(nGC_460)*dZee_QED2 + coupl(nGC_461)*dsw_QED2 +   &
                        coupl(nGC_462)*dcw_QED2
      coupl(nGC_1050) = coupl(nGC_466)*dZee_QED2 + coupl(nGC_467)*dsw_QED2 +   &
                        coupl(nGC_468)*dcw_QED2
      coupl(nGC_1198) = coupl(nGC_1061) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_62)*dZbL_QED2/2d0 + coupl(nGC_62)*dZtL_QED2/ &
                        2d0
      coupl(nGC_1247) = coupl(nGC_1003) + coupl(nGC_132)*dZdL_QCD2/2d0 + coupl(&
                        nGC_132)*dZdR_QCD2/2d0
      coupl(nGC_1329) = coupl(nGC_1006) + coupl(nGC_126)*dZH_QED2/2d0 + coupl( &
                        nGC_126)*dZbL_QED2/2d0 + coupl(nGC_126)*dZbR_QED2/2d0
      coupl(nGC_847) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_125&
                       )*coupl(nGC_222) + coupl(nGC_126)**2d0 + coupl(nGC_142  &
                       )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_82)**2d0&
                       )/(64d0*pi**2d0)
      coupl(nGC_1224) = coupl(nGC_1048) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZtauMinusL_QED2
      coupl(nGC_1226) = coupl(nGC_124)*dZbR_QED2/2d0 + coupl(nGC_124)*dZtL_QED2&
                        /2d0 + coupl(nGC_992)
      coupl(nGC_1229) = coupl(nGC_142)*dZbL_QCD2/2d0 + coupl(nGC_142)*dZtR_QCD2&
                        /2d0 + coupl(nGC_995)
      coupl(nGC_1228) = coupl(nGC_142)*dZbL_QED2/2d0 + coupl(nGC_142)*dZtR_QED2&
                        /2d0 + coupl(nGC_994)
      coupl(nGC_891) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(nGC_2&
                       )**4d0 - 2d0*cima*coupl(nGC_240)**4d0 - 2d0*cima*coupl( &
                       nGC_3)**4d0 + 2d0*cima*coupl(nGC_4)**4d0 + cima*coupl(  &
                       nGC_9)**2d0 + 2d0*coupl(nGC_240)**2d0*coupl(nGC_9) + 2d0&
                       *coupl(nGC_3)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_896) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_124)**2d0*coupl(   &
                       nGC_78) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_124)**2d0* &
                       coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127  &
                       )**2d0*coupl(nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl(  &
                       nGC_127)**2d0*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_1)* &
                       coupl(nGC_130)**2d0*coupl(nGC_78) + 5d0*Nc*cima*coupl(  &
                       nGC_1)*coupl(nGC_130)**2d0*coupl(nGC_83) - 8d0*Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_78) + 5d0*Nc*&
                       cima*coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*coupl(     &
                       nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0* &
                       coupl(nGC_82) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148  &
                       )**2d0*coupl(nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl(  &
                       nGC_148)**2d0*coupl(nGC_82) + 5d0*Nc*cima*coupl(nGC_124 &
                       )**2d0*coupl(nGC_2)*coupl(nGC_78) - 8d0*Nc*cima*coupl(  &
                       nGC_124)**2d0*coupl(nGC_2)*coupl(nGC_83) - 8d0*Nc*cima* &
                       coupl(nGC_127)**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc*&
                       cima*coupl(nGC_127)**2d0*coupl(nGC_2)*coupl(nGC_82) +   &
                       5d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)*coupl(     &
                       nGC_78) - 8d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)* &
                       coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_139)**2d0*coupl(  &
                       nGC_2)*coupl(nGC_78) - 8d0*Nc*cima*coupl(nGC_139)**2d0* &
                       coupl(nGC_2)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_142  &
                       )**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc*cima*coupl(  &
                       nGC_142)**2d0*coupl(nGC_2)*coupl(nGC_82) - 8d0*Nc*cima* &
                       coupl(nGC_148)**2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc*&
                       cima*coupl(nGC_148)**2d0*coupl(nGC_2)*coupl(nGC_82) -   &
                       8d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4)*coupl(nGC_80  &
                       ) + 5d0*cima*coupl(nGC_133)**2d0*coupl(nGC_4)*coupl(    &
                       nGC_86) - 8d0*cima*coupl(nGC_136)**2d0*coupl(nGC_4)*    &
                       coupl(nGC_80) + 5d0*cima*coupl(nGC_136)**2d0*coupl(nGC_4&
                       )*coupl(nGC_86) - 8d0*cima*coupl(nGC_145)**2d0*coupl(   &
                       nGC_4)*coupl(nGC_80) + 5d0*cima*coupl(nGC_145)**2d0*    &
                       coupl(nGC_4)*coupl(nGC_86) + 6d0*cima*coupl(nGC_47)*    &
                       coupl(nGC_77) + 6d0*coupl(nGC_236)*coupl(nGC_240)*coupl(&
                       nGC_47) + 6d0*coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_64   &
                       ))/(48d0*pi**2d0)
      coupl(nGC_897) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_126)*    &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*&
                       coupl(nGC_128)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62 &
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(      &
                       nGC_143)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(&
                       nGC_148)*coupl(nGC_149)*coupl(nGC_62) - 4d0*Nc*cima*    &
                       coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_2)* &
                       coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132&
                       )*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_139&
                       )*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_62) + Nc*cima*  &
                       coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_62 &
                       ) + Nc*cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_2)* &
                       coupl(nGC_62) + cima*coupl(nGC_133)*coupl(nGC_135)*coupl&
                       (nGC_4)*coupl(nGC_62) + cima*coupl(nGC_136)*coupl(      &
                       nGC_138)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(   &
                       nGC_14)*coupl(nGC_74) + cima*coupl(nGC_145)*coupl(      &
                       nGC_147)*coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(   &
                       nGC_318)*coupl(nGC_69) + 6d0*coupl(nGC_14)*coupl(nGC_236&
                       )*coupl(nGC_3) + 6d0*coupl(nGC_240)*coupl(nGC_3)*coupl( &
                       nGC_69))/(48d0*pi**2d0)
      coupl(nGC_894) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_78)**2d0 + Nc*cima*&
                       coupl(nGC_1)**2d0*coupl(nGC_82)**2d0 + Nc*cima*coupl(   &
                       nGC_2)**2d0*coupl(nGC_79)**2d0 + Nc*cima*coupl(nGC_2)** &
                       2d0*coupl(nGC_83)**2d0 - 2d0*cima*coupl(nGC_236)**2d0*  &
                       coupl(nGC_240)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*coupl( &
                       nGC_64)**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_80)**2d0&
                        + cima*coupl(nGC_4)**2d0*coupl(nGC_85)**2d0 + cima*    &
                       coupl(nGC_77)**2d0 + 2d0*coupl(nGC_236)*coupl(nGC_240)* &
                       coupl(nGC_77) + 2d0*coupl(nGC_3)*coupl(nGC_64)*coupl(   &
                       nGC_77))/(8d0*pi**2d0)
      coupl(nGC_895) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_126)**2d0*coupl(nGC_78 &
                       ) - Nc*cima*coupl(nGC_1)*coupl(nGC_126)**2d0*coupl(     &
                       nGC_82) - Nc*cima*coupl(nGC_1)*coupl(nGC_132)**2d0*coupl&
                       (nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_132)**2d0*    &
                       coupl(nGC_82) - Nc*cima*coupl(nGC_1)*coupl(nGC_141)**2d0&
                       *coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_141)**  &
                       2d0*coupl(nGC_82) - Nc*cima*coupl(nGC_128)**2d0*coupl(  &
                       nGC_2)*coupl(nGC_79) - Nc*cima*coupl(nGC_128)**2d0*coupl&
                       (nGC_2)*coupl(nGC_83) - Nc*cima*coupl(nGC_143)**2d0*    &
                       coupl(nGC_2)*coupl(nGC_79) - Nc*cima*coupl(nGC_143)**2d0&
                       *coupl(nGC_2)*coupl(nGC_83) - Nc*cima*coupl(nGC_149)**  &
                       2d0*coupl(nGC_2)*coupl(nGC_79) - Nc*cima*coupl(nGC_149  &
                       )**2d0*coupl(nGC_2)*coupl(nGC_83) - cima*coupl(nGC_135  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_80) - cima*coupl(nGC_135  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_85) - cima*coupl(nGC_138  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_80) - cima*coupl(nGC_138  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_85) - cima*coupl(nGC_147  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_80) - cima*coupl(nGC_147  &
                       )**2d0*coupl(nGC_4)*coupl(nGC_85) + cima*coupl(nGC_47)* &
                       coupl(nGC_77) + coupl(nGC_236)*coupl(nGC_240)*coupl(    &
                       nGC_47) + coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_64))/(8d0&
                       *pi**2d0)
      coupl(nGC_951) = (3d0*Nc*cima*coupl(nGC_20)**2d0 - Nc*cima*coupl(nGC_276 &
                       )**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_284)**2d0 - 6d0*&
                       Nc*coupl(nGC_20)*coupl(nGC_276)**2d0*sq2**2d0 + 9d0*cima&
                       *coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_819) = coupl(nGC_62)*(Nc*coupl(nGC_124)*coupl(nGC_125) - Nc*   &
                       coupl(nGC_127)*coupl(nGC_224) + Nc*coupl(nGC_130)*coupl(&
                       nGC_131) + Nc*coupl(nGC_139)*coupl(nGC_140) - Nc*coupl( &
                       nGC_142)*coupl(nGC_306) - Nc*coupl(nGC_148)*coupl(      &
                       nGC_290) + coupl(nGC_133)*coupl(nGC_134) + coupl(nGC_136&
                       )*coupl(nGC_137) + coupl(nGC_145)*coupl(nGC_146))/(24d0*&
                       pi**2d0)
      coupl(nGC_1124) = coupl(nGC_1010) + coupl(nGC_145)*dZnu_tauL_QED2/2d0 +  &
                        coupl(nGC_145)*dZtauMinusR_QED2/2d0
      coupl(nGC_1125) = coupl(nGC_1048) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZmuMinusL_QED2
      coupl(nGC_1123) = coupl(nGC_1041) + coupl(nGC_76)*dZWMinus_QED2
      coupl(nGC_1368) = coupl(nGC_1055) + coupl(nGC_123)*dZH_QED2/2d0 + coupl( &
                        nGC_123)*dZZ_QED2
      coupl(nGC_773) = (coupl(nGC_1)*coupl(nGC_127)**2d0 + coupl(nGC_128)**2d0*&
                       coupl(nGC_2) + coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_224&
                       ) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(     &
                       nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_772) = (coupl(nGC_1)*coupl(nGC_139)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_62)**2d0 + coupl(nGC_128)**2d0*coupl(nGC_2) + &
                       coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_224) + 4d0*coupl( &
                       nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0 + 2d0*&
                       coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_770) = (coupl(nGC_1)*coupl(nGC_148)**2d0 + coupl(nGC_149)**2d0*&
                       coupl(nGC_2) + coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_290&
                       ) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(     &
                       nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_777) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_131)*   &
                       coupl(nGC_238) + coupl(nGC_1)*coupl(nGC_132)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_130)**2d0*  &
                       coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_776) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_131)*   &
                       coupl(nGC_238) + coupl(nGC_1)*coupl(nGC_132)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_148)**2d0*  &
                       coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 + 2d0&
                       *coupl(nGC_240)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_775) = (coupl(nGC_1)*coupl(nGC_142)**2d0 + coupl(nGC_143)**2d0*&
                       coupl(nGC_2) + coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_306&
                       ) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(     &
                       nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_774) = (coupl(nGC_1)*coupl(nGC_124)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_62)**2d0 + coupl(nGC_143)**2d0*coupl(nGC_2) + &
                       coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_306) + 4d0*coupl( &
                       nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0 + 2d0*&
                       coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
      coupl(nGC_829) = coupl(nGC_19)*sq2*(coupl(nGC_128)**2d0 + coupl(nGC_129)*&
                       coupl(nGC_224) + coupl(nGC_139)**2d0 + 4d0*coupl(nGC_2  &
                       )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0)
      coupl(nGC_828) = coupl(nGC_19)*sq2*(-coupl(nGC_127)**2d0 - coupl(nGC_128 &
                       )**2d0 - coupl(nGC_129)*coupl(nGC_224) - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_823) = coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_276&
                       ) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_822) = coupl(nGC_19)*sq2*(-coupl(nGC_148)**2d0 - coupl(nGC_149 &
                       )**2d0 - coupl(nGC_150)*coupl(nGC_290) - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_821) = coupl(nGC_19)*sq2*(-coupl(nGC_130)**2d0 - coupl(nGC_149 &
                       )**2d0 - coupl(nGC_150)*coupl(nGC_290) - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_827) = coupl(nGC_19)*sq2*(-coupl(nGC_128)**2d0 - coupl(nGC_129 &
                       )*coupl(nGC_224) - coupl(nGC_139)**2d0 - 4d0*coupl(nGC_2&
                       )**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_826) = coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_276 &
                       ) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_825) = coupl(nGC_19)*sq2*(coupl(nGC_148)**2d0 + coupl(nGC_149  &
                       )**2d0 + coupl(nGC_150)*coupl(nGC_290) + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_824) = coupl(nGC_19)*sq2*(coupl(nGC_130)**2d0 + coupl(nGC_149  &
                       )**2d0 + coupl(nGC_150)*coupl(nGC_290) + 4d0*coupl(nGC_2&
                       )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83)**2d0&
                       )/(64d0*pi**2d0)
      coupl(nGC_1012) = coupl(nGC_593)*dym_QED3
      coupl(nGC_1398) = coupl(nGC_1073) + coupl(nGC_MTA)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_MTA)*dZtauMinusR_QED2/2d0
      coupl(nGC_1011) = coupl(nGC_444)*dye_QED3
      coupl(nGC_1017) = coupl(nGC_613)*dyup_QED3
      coupl(nGC_1018) = coupl(nGC_613)*dyup_QED1_QCD2
      coupl(nGC_1019) = coupl(nGC_586)*dyc_QED3
      coupl(nGC_1395) = coupl(nGC_1069) + coupl(nGC_MH)*dZH_QED2
      coupl(nGC_1394) = coupl(nGC_6)*dZA_QED2/4d0 + coupl(nGC_65)*dZZA_QED2/4d0&
                         + coupl(nGC_977)/2d0
      coupl(nGC_915) = (Nc*cima*coupl(nGC_78)**4d0 + Nc*cima*coupl(nGC_79)**4d0&
                        + Nc*cima*coupl(nGC_82)**4d0 + Nc*cima*coupl(nGC_83)** &
                       4d0 - 2d0*cima*coupl(nGC_236)**4d0 + cima*coupl(nGC_56  &
                       )**2d0 - 2d0*cima*coupl(nGC_64)**4d0 + cima*coupl(nGC_80&
                       )**4d0 + cima*coupl(nGC_85)**4d0 + cima*coupl(nGC_86)** &
                       4d0 + 2d0*coupl(nGC_236)**2d0*coupl(nGC_56) + 2d0*coupl(&
                       nGC_56)*coupl(nGC_64)**2d0)/(8d0*pi**2d0)
      coupl(nGC_911) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62 &
                       )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(     &
                       nGC_126)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl&
                       (nGC_124)*coupl(nGC_126)*coupl(nGC_62)*coupl(nGC_83) +  &
                       5d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_127)*coupl(nGC_128)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_130)*coupl(nGC_132)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62)*&
                       coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_139)*coupl(nGC_141)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_142)*coupl(nGC_143)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_62)*&
                       coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149&
                       )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(      &
                       nGC_148)*coupl(nGC_149)*coupl(nGC_62)*coupl(nGC_83) +   &
                       5d0*cima*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_62)*   &
                       coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl(nGC_135)* &
                       coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*  &
                       coupl(nGC_135)*coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*  &
                       coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62)*coupl(nGC_80&
                       ) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62 &
                       )*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138 &
                       )*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_14)* &
                       coupl(nGC_55) + 5d0*cima*coupl(nGC_145)*coupl(nGC_147)* &
                       coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_145)*  &
                       coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*  &
                       coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_86&
                       ) + 6d0*cima*coupl(nGC_232)*coupl(nGC_69) + 6d0*coupl(  &
                       nGC_14)*coupl(nGC_236)*coupl(nGC_64) + 6d0*coupl(nGC_240&
                       )*coupl(nGC_64)*coupl(nGC_69))/(48d0*pi**2d0)
      coupl(nGC_1027) = coupl(nGC_509)*dyt_QED3
      coupl(nGC_1263) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_859) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_126) - coupl(nGC_124)* &
                       coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_126)**3d0 -   &
                       coupl(nGC_126)*coupl(nGC_222)**2d0 + 8d0*coupl(nGC_126)*&
                       coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_856) = (-coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) - coupl( &
                       nGC_143)**3d0 + 8d0*coupl(nGC_143)*coupl(nGC_2)**2d0 -  &
                       coupl(nGC_143)*coupl(nGC_306)**2d0 + 8d0*coupl(nGC_143)*&
                       coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_857) = (-coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) - coupl( &
                       nGC_143)**3d0 - coupl(nGC_143)*coupl(nGC_144)**2d0 + 8d0&
                       *coupl(nGC_143)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_143)* &
                       coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_854) = coupl(nGC_147)*(-coupl(nGC_147)**2d0 - coupl(nGC_270)** &
                       2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(  &
                       nGC_85))/(32d0*pi**2d0)
      coupl(nGC_855) = coupl(nGC_147)*(-coupl(nGC_146)**2d0 - coupl(nGC_147)** &
                       2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(  &
                       nGC_85))/(32d0*pi**2d0)
      coupl(nGC_853) = (2d0*Nc*cMB*coupl(nGC_124)**2d0*coupl(nGC_126) + 2d0*Nc*&
                       cMB*coupl(nGC_124)*coupl(nGC_142)*coupl(nGC_143) + 2d0* &
                       Nc*cMB*coupl(nGC_126)*coupl(nGC_142)**2d0 + 2d0*Nc*cMC* &
                       coupl(nGC_127)**2d0*coupl(nGC_128) + 2d0*Nc*cMC*coupl(  &
                       nGC_127)*coupl(nGC_139)*coupl(nGC_141) + 2d0*Nc*cMC*    &
                       coupl(nGC_128)*coupl(nGC_139)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_130)**2d0*coupl(nGC_132) + 2d0*Nc*cMD*coupl(nGC_130 &
                       )*coupl(nGC_148)*coupl(nGC_149) + 2d0*Nc*cMD*coupl(     &
                       nGC_132)*coupl(nGC_148)**2d0 + 2d0*Nc*cMS*coupl(nGC_127 &
                       )**2d0*coupl(nGC_141) + 2d0*Nc*cMS*coupl(nGC_127)*coupl(&
                       nGC_128)*coupl(nGC_139) + 2d0*Nc*cMS*coupl(nGC_139)**2d0&
                       *coupl(nGC_141) + 2d0*Nc*cMT*coupl(nGC_124)**2d0*coupl( &
                       nGC_143) + 2d0*Nc*cMT*coupl(nGC_124)*coupl(nGC_126)*    &
                       coupl(nGC_142) + 2d0*Nc*cMT*coupl(nGC_142)**2d0*coupl(  &
                       nGC_143) + 2d0*Nc*cMU*coupl(nGC_130)**2d0*coupl(nGC_149 &
                       ) + 2d0*Nc*cMU*coupl(nGC_130)*coupl(nGC_132)*coupl(     &
                       nGC_148) + 2d0*Nc*cMU*coupl(nGC_148)**2d0*coupl(nGC_149 &
                       ) + 2d0*cME*coupl(nGC_133)**2d0*coupl(nGC_135) + 2d0*cMM&
                       *coupl(nGC_136)**2d0*coupl(nGC_138) + 2d0*cMTA*coupl(   &
                       nGC_145)**2d0*coupl(nGC_147) + 2d0*cima*coupl(nGC_107)* &
                       coupl(nGC_47) + 4d0*cima*coupl(nGC_110)*coupl(nGC_69) + &
                       cima*coupl(nGC_123)*coupl(nGC_95) + 4d0*cima*coupl(     &
                       nGC_14)*coupl(nGC_99))/(16d0*pi**2d0)
      coupl(nGC_850) = sq2**3d0*(-Nc*cima*coupl(nGC_276)**3d0 + 12d0*coupl(    &
                       nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_851) = sq2**3d0*(Nc*cima*coupl(nGC_276)**3d0 - 12d0*coupl(     &
                       nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_1067) = coupl(nGC_610)*dZee_QED2 + coupl(nGC_611)*dsw_QED2 +   &
                        coupl(nGC_612)*dcw_QED2
      coupl(nGC_1066) = coupl(nGC_469)*dZee_QED2 + coupl(nGC_470)*dsw_QED2 +   &
                        coupl(nGC_471)*dcw_QED2
      coupl(nGC_1065) = coupl(nGC_474)*dZee_QED2 + coupl(nGC_475)*dsw_QED2 +   &
                        coupl(nGC_476)*dcw_QED2
      coupl(nGC_1060) = coupl(nGC_174)*dZgs_QCD2
      coupl(nGC_1306) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1065) + coupl(  &
                        nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZdR_QED2
      coupl(nGC_1307) = coupl(nGC_78)*dZdR_QCD2
      coupl(nGC_1304) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1064) + coupl(  &
                        nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZdL_QED2
      coupl(nGC_1305) = coupl(nGC_82)*dZdL_QCD2
      coupl(nGC_1303) = -coupl(nGC_5)*dZWMinus_QED2/4d0 - coupl(nGC_976)/2d0
      coupl(nGC_1300) = coupl(nGC_131)*dZdL_QCD2/2d0 + coupl(nGC_131)*dZdR_QCD2&
                        /2d0 + coupl(nGC_997)
      coupl(nGC_1168) = coupl(nGC_1048) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZeMinusL_QED2
      coupl(nGC_1169) = coupl(nGC_1067) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*dZeMinusR_QED2
      coupl(nGC_742) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(     &
                       nGC_83))/(8d0*pi**2d0)
      coupl(nGC_1163) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_1046) + coupl( &
                        nGC_90)*dZA_QED2/2d0 + coupl(nGC_90)*dZZ_QED2/2d0 +    &
                        coupl(nGC_95)*dZZA_QED2/2d0
      coupl(nGC_1160) = coupl(nGC_1023) + coupl(nGC_149)*dZH_QED2/2d0 + coupl( &
                        nGC_149)*dZuL_QED2/2d0 + coupl(nGC_149)*dZuR_QED2/2d0
      coupl(nGC_1161) = coupl(nGC_1024) + coupl(nGC_149)*dZuL_QCD2/2d0 + coupl(&
                        nGC_149)*dZuR_QCD2/2d0
      coupl(nGC_1166) = -coupl(nGC_1013) - coupl(nGC_146)*dZtauMinusL_QED2/2d0 &
                         - coupl(nGC_146)*dZtauMinusR_QED2/2d0
      coupl(nGC_747) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_1164) = coupl(nGC_1009) + coupl(nGC_136)*dZmuMinusR_QED2/2d0 + &
                        coupl(nGC_136)*dZnu_muL_QED2/2d0
      coupl(nGC_1165) = coupl(nGC_1013) + coupl(nGC_146)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_146)*dZtauMinusR_QED2/2d0
      coupl(nGC_1118) = coupl(nGC_1060) + coupl(nGC_19)*dZcL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1117) = coupl(nGC_1030) + coupl(nGC_7)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_75)*dZWMinus_QED2/2d0 + coupl(nGC_75)*dZZ_QED2/2d0
      coupl(nGC_1116) = coupl(nGC_101)*dZH_QED2/2d0 + coupl(nGC_971) + coupl(  &
                        nGC_GGH)
      coupl(nGC_1115) = coupl(nGC_46)*dZH_QED2 + coupl(nGC_964)
      coupl(nGC_1114) = coupl(nGC_1030) + coupl(nGC_54)*dZZA_QED2/2d0 + coupl( &
                        nGC_75)*dZA_QED2/2d0 + coupl(nGC_75)*dZWMinus_QED2/2d0
      coupl(nGC_1111) = coupl(nGC_1060) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZtR_QCD2
      coupl(nGC_812) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_125)*  &
                       coupl(nGC_222)*coupl(nGC_78) + coupl(nGC_126)**2d0*coupl&
                       (nGC_78) + coupl(nGC_142)**2d0*coupl(nGC_79) + 2d0*coupl&
                       (nGC_236)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62)**2d0*  &
                       coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi**2d0)
      coupl(nGC_813) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_124)** &
                       2d0*coupl(nGC_83) + coupl(nGC_125)*coupl(nGC_222)*coupl(&
                       nGC_82) + coupl(nGC_126)**2d0*coupl(nGC_82) + 4d0*coupl(&
                       nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_810) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_127)** &
                       2d0*coupl(nGC_79) + coupl(nGC_140)*coupl(nGC_258)*coupl(&
                       nGC_78) + coupl(nGC_141)**2d0*coupl(nGC_78) + 2d0*coupl(&
                       nGC_236)*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_62)**2d0*   &
                       coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi**2d0)
      coupl(nGC_811) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_139)** &
                       2d0*coupl(nGC_83) + coupl(nGC_140)*coupl(nGC_258)*coupl(&
                       nGC_82) + coupl(nGC_141)**2d0*coupl(nGC_82) + 4d0*coupl(&
                       nGC_78)**3d0)/(32d0*pi**2d0)
      coupl(nGC_816) = coupl(nGC_62)*(-Nc*coupl(nGC_124)*coupl(nGC_222) + Nc*  &
                       coupl(nGC_127)*coupl(nGC_129) - Nc*coupl(nGC_130)*coupl(&
                       nGC_238) - Nc*coupl(nGC_139)*coupl(nGC_258) + Nc*coupl( &
                       nGC_142)*coupl(nGC_144) + Nc*coupl(nGC_148)*coupl(      &
                       nGC_150) - coupl(nGC_133)*coupl(nGC_310) - coupl(nGC_136&
                       )*coupl(nGC_230) - coupl(nGC_145)*coupl(nGC_270))/(24d0*&
                       pi**2d0)
      coupl(nGC_817) = coupl(nGC_62)*(-coupl(nGC_236)*coupl(nGC_86) - coupl(   &
                       nGC_3)*coupl(nGC_4) - coupl(nGC_64)*coupl(nGC_85) + 2d0*&
                       coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
      coupl(nGC_814) = (-2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_62)**2d0 - 2d0*Nc*&
                       cMC*coupl(nGC_128)*coupl(nGC_62)**2d0 - 2d0*Nc*cMD*coupl&
                       (nGC_132)*coupl(nGC_62)**2d0 - 2d0*Nc*cMS*coupl(nGC_141 &
                       )*coupl(nGC_62)**2d0 - 2d0*Nc*cMT*coupl(nGC_143)*coupl( &
                       nGC_62)**2d0 - 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_62)**&
                       2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_62)**2d0 - 2d0*  &
                       cMM*coupl(nGC_138)*coupl(nGC_62)**2d0 - 2d0*cMTA*coupl( &
                       nGC_147)*coupl(nGC_62)**2d0 + 2d0*cima*coupl(nGC_107)*  &
                       coupl(nGC_324) + cima*coupl(nGC_123)*coupl(nGC_56) + 2d0&
                       *coupl(nGC_107)*coupl(nGC_236)*coupl(nGC_63) + 2d0*coupl&
                       (nGC_107)*coupl(nGC_240)*coupl(nGC_4) + 2d0*coupl(      &
                       nGC_123)*coupl(nGC_254)*coupl(nGC_64))/(16d0*pi**2d0)
      coupl(nGC_721) = cima*coupl(nGC_276)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_952) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_284) - Nc*cima*    &
                       coupl(nGC_276)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_276)**  &
                       2d0*coupl(nGC_284)*sq2**2d0 + 9d0*cima*coupl(nGC_19)**  &
                       4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_818) = coupl(nGC_62)*(Nc*coupl(nGC_124)*coupl(nGC_126) - Nc*   &
                       coupl(nGC_127)*coupl(nGC_128) + Nc*coupl(nGC_130)*coupl(&
                       nGC_132) + Nc*coupl(nGC_139)*coupl(nGC_141) - Nc*coupl( &
                       nGC_142)*coupl(nGC_143) - Nc*coupl(nGC_148)*coupl(      &
                       nGC_149) + coupl(nGC_133)*coupl(nGC_135) + coupl(nGC_136&
                       )*coupl(nGC_138) + coupl(nGC_145)*coupl(nGC_147))/(24d0*&
                       pi**2d0)
      coupl(nGC_950) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_284) - Nc*cima*    &
                       coupl(nGC_276)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_20)*    &
                       coupl(nGC_276)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_276)**  &
                       2d0*coupl(nGC_284)*sq2**2d0 + 9d0*cima*coupl(nGC_19)**  &
                       4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_956) = coupl(nGC_504)*dZee_QED2 + coupl(nGC_505)*dcw_QED2
      coupl(nGC_955) = coupl(nGC_655)*dZee_QED2 + coupl(nGC_656)*dsw_QED2 +    &
                       coupl(nGC_657)*dcw_QED2
      coupl(nGC_1020) = coupl(nGC_586)*dyc_QED1_QCD2
      coupl(nGC_1343) = coupl(nGC_1060) + coupl(nGC_19)*dZdR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1340) = -coupl(nGC_6)*dZAZ_QED2/4d0 - coupl(nGC_65)*dZZ_QED2/  &
                        4d0 - coupl(nGC_980)/2d0
      coupl(nGC_1341) = coupl(nGC_1060) + coupl(nGC_19)*dZdL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1347) = coupl(nGC_66)*dZWMinus_QED2/4d0 + coupl(nGC_979)/2d0
      coupl(nGC_1345) = -coupl(nGC_5)*dZAZ_QED2/4d0 - coupl(nGC_66)*dZZ_QED2/  &
                        4d0 - coupl(nGC_979)/2d0
      coupl(nGC_724) = cima*(coupl(nGC_236)*coupl(nGC_240) + coupl(nGC_3)*coupl&
                       (nGC_64))/(48d0*pi**2d0)
      coupl(nGC_1348) = coupl(nGC_5)*dZA_QED2/4d0 + coupl(nGC_66)*dZZA_QED2/4d0&
                         + coupl(nGC_976)/2d0
      coupl(nGC_1349) = coupl(nGC_1066) + coupl(nGC_86)*dZZ_QED2/2d0 + coupl(  &
                        nGC_86)*dZnu_muL_QED2
      coupl(nGC_725) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_78) + Nc*cMB** &
                       2d0*cima*coupl(nGC_1)*coupl(nGC_82) + Nc*cMC**2d0*cima* &
                       coupl(nGC_2)*coupl(nGC_79) + Nc*cMC**2d0*cima*coupl(    &
                       nGC_2)*coupl(nGC_83) + Nc*cMD**2d0*cima*coupl(nGC_1)*   &
                       coupl(nGC_78) + Nc*cMD**2d0*cima*coupl(nGC_1)*coupl(    &
                       nGC_82) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_78) + &
                       Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_82) + Nc*cMT**  &
                       2d0*cima*coupl(nGC_2)*coupl(nGC_79) + Nc*cMT**2d0*cima* &
                       coupl(nGC_2)*coupl(nGC_83) + Nc*cMU**2d0*cima*coupl(    &
                       nGC_2)*coupl(nGC_79) + Nc*cMU**2d0*cima*coupl(nGC_2)*   &
                       coupl(nGC_83) + cME**2d0*cima*coupl(nGC_4)*coupl(nGC_80 &
                       ) + cME**2d0*cima*coupl(nGC_4)*coupl(nGC_85) + cMM**2d0*&
                       cima*coupl(nGC_4)*coupl(nGC_80) + cMM**2d0*cima*coupl(  &
                       nGC_4)*coupl(nGC_85) + cMTA**2d0*cima*coupl(nGC_4)*coupl&
                       (nGC_80) + cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_85) +  &
                       cMW**2d0*cima*coupl(nGC_236)*coupl(nGC_240) + cMW**2d0* &
                       cima*coupl(nGC_3)*coupl(nGC_64) - cMW**2d0*coupl(nGC_77 &
                       ))/(8d0*pi**2d0)
      coupl(nGC_1184) = coupl(nGC_62)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_1185) = coupl(nGC_6)*dZAZ_QED2/4d0 + coupl(nGC_65)*dZZ_QED2/4d0&
                         + coupl(nGC_980)/2d0
      coupl(nGC_1029) = coupl(nGC_585)*dZee_QED2
      coupl(nGC_1180) = coupl(nGC_1025) + coupl(nGC_128)*dZH_QED2/2d0 + coupl( &
                        nGC_128)*dZcL_QED2/2d0 + coupl(nGC_128)*dZcR_QED2/2d0
      coupl(nGC_726) = cima*(Nc*coupl(nGC_125)*coupl(nGC_222) + Nc*coupl(      &
                       nGC_129)*coupl(nGC_224) + Nc*coupl(nGC_131)*coupl(      &
                       nGC_238) + Nc*coupl(nGC_140)*coupl(nGC_258) + Nc*coupl( &
                       nGC_144)*coupl(nGC_306) + Nc*coupl(nGC_150)*coupl(      &
                       nGC_290) + coupl(nGC_134)*coupl(nGC_310) + coupl(nGC_137&
                       )*coupl(nGC_230) + coupl(nGC_146)*coupl(nGC_270))/(24d0*&
                       pi**2d0)
      coupl(nGC_1182) = coupl(nGC_1039) + coupl(nGC_49)*dZWMinus_QED2
      coupl(nGC_1183) = coupl(nGC_1061) + coupl(nGC_62)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_62)*dZcL_QED2/2d0 + coupl(nGC_62)*dZsL_QED2/ &
                        2d0
      coupl(nGC_727) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_125)*coupl(nGC_222) -  &
                       4d0*Nc*cMC**2d0*cima*coupl(nGC_129)*coupl(nGC_224) - 4d0&
                       *Nc*cMD**2d0*cima*coupl(nGC_131)*coupl(nGC_238) - 4d0*Nc&
                       *cMS**2d0*cima*coupl(nGC_140)*coupl(nGC_258) - 4d0*Nc*  &
                       cMT**2d0*cima*coupl(nGC_144)*coupl(nGC_306) - 4d0*Nc*cMU&
                       **2d0*cima*coupl(nGC_150)*coupl(nGC_290) - 4d0*cME**2d0*&
                       cima*coupl(nGC_134)*coupl(nGC_310) - 4d0*cMM**2d0*cima* &
                       coupl(nGC_137)*coupl(nGC_230) - 4d0*cMTA**2d0*cima*coupl&
                       (nGC_146)*coupl(nGC_270) - 2d0*cMW**2d0*coupl(nGC_47) - &
                       cMZ**2d0*coupl(nGC_96))/(16d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
