!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 22:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl6()
      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1164/))

      allocate(vertices(1856)%branchCT(0:0))
      call avCT(1856, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(557)%branchCT(0:0))
      call avCT(557, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1224, nGC_1225/))

      allocate(vertices(292)%branchCT(0:0))
      call avCT(292, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(294)%branchCT(0:0))
      call avCT(294, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(295)%branchCT(0:0))
      call avCT(295, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(268)%branchCT(0:1))
      call avCT(268, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1226, nGC_1228/))

      call avCT(268, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1227, nGC_1229/))

      allocate(vertices(3821)%branchCT(0:0))
      call avCT(3821, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1230, nGC_1231,        &
      nGC_1232/))

      allocate(vertices(1831)%branchCT(0:0))
      call avCT(1831, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_958/))

      allocate(vertices(3067)%branchCT(0:0))
      call avCT(3067, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2119)%branchCT(0:0))
      call avCT(2119, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1233, nGC_1234/))

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1235/))

      allocate(vertices(314)%branchCT(0:0))
      call avCT(314, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(316)%branchCT(0:0))
      call avCT(316, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(317)%branchCT(0:0))
      call avCT(317, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1217, nGC_1216,        &
      nGC_1216/))

      allocate(vertices(319)%branchCT(0:0))
      call avCT(319, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(320)%branchCT(0:0))
      call avCT(320, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1236/))

      allocate(vertices(321)%branchCT(0:0))
      call avCT(321, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(324)%branchCT(0:0))
      call avCT(324, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(3822)%branchCT(0:0))
      call avCT(3822, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_1237/))

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(329)%branchCT(0:0))
      call avCT(329, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1238/))

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(334)%branchCT(0:0))
      call avCT(334, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1224, nGC_1225/))

      allocate(vertices(2020)%branchCT(0:0))
      call avCT(2020, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(336)%branchCT(0:0))
      call avCT(336, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2538)%branchCT(0:0))
      call avCT(2538, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1115/))

      allocate(vertices(339)%branchCT(0:0))
      call avCT(339, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_964/))

      allocate(vertices(342)%branchCT(0:1))
      call avCT(342, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1239, nGC_1241/))

      call avCT(342, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1240, nGC_1242/))

      allocate(vertices(343)%branchCT(0:0))
      call avCT(343, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(345)%branchCT(0:0))
      call avCT(345, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1243, nGC_1244/))

      allocate(vertices(2494)%branchCT(0:0))
      call avCT(2494, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1097, nGC_1097,        &
      nGC_1098/))

      allocate(vertices(349)%branchCT(0:1))
      call avCT(349, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1147, nGC_1147/))

      call avCT(349, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1148, nGC_1148/))

      allocate(vertices(3823)%branchCT(0:0))
      call avCT(3823, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1132/))

      allocate(vertices(2135)%branchCT(0:0))
      call avCT(2135, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(621)%branchCT(0:0))
      call avCT(621, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(2158)%branchCT(0:0))
      call avCT(2158, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2496)%branchCT(0:0))
      call avCT(2496, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(356)%branchCT(0:0))
      call avCT(356, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2179)%branchCT(0:0))
      call avCT(2179, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2195)%branchCT(0:1))
      call avCT(2195, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_1154/))

      call avCT(2195, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_1155/))

      allocate(vertices(362)%branchCT(0:0))
      call avCT(362, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1245/))

      allocate(vertices(2241)%branchCT(0:0))
      call avCT(2241, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(366)%branchCT(0:1))
      call avCT(366, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1154/))

      call avCT(366, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1155/))

      allocate(vertices(367)%branchCT(0:1))
      call avCT(367, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1246, nGC_1246/))

      call avCT(367, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1247, nGC_1247/))

      allocate(vertices(3130)%branchCT(0:0))
      call avCT(3130, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1248/))

      allocate(vertices(372)%branchCT(0:1))
      call avCT(372, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1249, nGC_1251/))

      call avCT(372, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1250, nGC_1252/))

      allocate(vertices(2316)%branchCT(0:0))
      call avCT(2316, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(67)%branchCT(0:0))
      call avCT(67, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1115/))

      allocate(vertices(3824)%branchCT(0:0))
      call avCT(3824, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_1253/))

      allocate(vertices(376)%branchCT(0:0))
      call avCT(376, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1254/))

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(3825)%branchCT(0:0))
      call avCT(3825, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1132/))

      allocate(vertices(2356)%branchCT(0:0))
      call avCT(2356, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1235/))

      allocate(vertices(3435)%branchCT(0:0))
      call avCT(3435, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(3826)%branchCT(0:0))
      call avCT(3826, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1132/))

      allocate(vertices(2384)%branchCT(0:0))
      call avCT(2384, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(385)%branchCT(0:0))
      call avCT(385, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_964/))

      allocate(vertices(387)%branchCT(0:0))
      call avCT(387, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1253)%branchCT(0:0))
      call avCT(1253, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_974/))

      allocate(vertices(389)%branchCT(0:1))
      call avCT(389, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1228, nGC_1226/))

      call avCT(389, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1229, nGC_1227/))

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2352)%branchCT(0:0))
      call avCT(2352, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1202/))

      allocate(vertices(1851)%branchCT(0:0))
      call avCT(1851, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(396)%branchCT(0:1))
      call avCT(396, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1255, nGC_1257/))

      call avCT(396, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1256, nGC_1258/))

      allocate(vertices(398)%branchCT(0:1))
      call avCT(398, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1251, nGC_1249/))

      call avCT(398, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1252, nGC_1250/))

      allocate(vertices(1833)%branchCT(0:1))
      call avCT(1833, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1259, nGC_1261/))

      call avCT(1833, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1260, nGC_1262/))

      allocate(vertices(401)%branchCT(0:0))
      call avCT(401, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_964/))

      allocate(vertices(402)%branchCT(0:0))
      call avCT(402, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(3827)%branchCT(0:0))
      call avCT(3827, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1263, nGC_1264,        &
      nGC_1265/))

      allocate(vertices(2374)%branchCT(0:0))
      call avCT(2374, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(409)%branchCT(0:1))
      call avCT(409, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1198/))

      call avCT(409, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1199/))

      allocate(vertices(3149)%branchCT(0:3))
      call avCT(3149, 0, 28, 2, 0, FaVF0, (/3, 0/), (/nGC_1118, nGC_1120/))

      call avCT(3149, 1, 28, 2, 0, FaVF0, (/1, 2/), (/nGC_1119, nGC_1121/))

      call avCT(3149, 2, 29, 3, 0, FaVF0, (/3, 0/), (/nGC_1118, nGC_1120/))

      call avCT(3149, 3, 29, 3, 0, FaVF0, (/1, 2/), (/nGC_1119, nGC_1121/))

      allocate(vertices(412)%branchCT(0:0))
      call avCT(412, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1936)%branchCT(0:0))
      call avCT(1936, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_966/))

      allocate(vertices(416)%branchCT(0:0))
      call avCT(416, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2622)%branchCT(0:0))
      call avCT(2622, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(418)%branchCT(0:0))
      call avCT(418, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_974/))

      allocate(vertices(421)%branchCT(0:0))
      call avCT(421, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(3828)%branchCT(0:0))
      call avCT(3828, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1132/))

      allocate(vertices(424)%branchCT(0:0))
      call avCT(424, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_964/))

      allocate(vertices(425)%branchCT(0:0))
      call avCT(425, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1205)%branchCT(0:0))
      call avCT(1205, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1861)%branchCT(0:0))
      call avCT(1861, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2628)%branchCT(0:0))
      call avCT(2628, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1097, nGC_1098,        &
      nGC_1097/))

      allocate(vertices(439)%branchCT(0:0))
      call avCT(439, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_959/))

      allocate(vertices(440)%branchCT(0:0))
      call avCT(440, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(441)%branchCT(0:3))
      call avCT(441, 0, 28, 2, 0, FaVF0, (/1, 2/), (/nGC_1267, nGC_1269/))

      call avCT(441, 1, 28, 2, 0, FaVF0, (/3, 0/), (/nGC_1266, nGC_1268/))

      call avCT(441, 2, 29, 3, 0, FaVF0, (/1, 2/), (/nGC_1267, nGC_1269/))

      call avCT(441, 3, 29, 3, 0, FaVF0, (/3, 0/), (/nGC_1266, nGC_1268/))

      allocate(vertices(1068)%branchCT(0:0))
      call avCT(1068, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(443)%branchCT(0:0))
      call avCT(443, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1107/))

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(575)%branchCT(0:0))
      call avCT(575, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_969/))

      allocate(vertices(3712)%branchCT(0:0))
      call avCT(3712, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2835)%branchCT(0:0))
      call avCT(2835, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2860)%branchCT(0:0))
      call avCT(2860, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1098, nGC_1097,       &
      nGC_1097/))

      allocate(vertices(453)%branchCT(0:0))
      call avCT(453, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_1270/))

      allocate(vertices(3263)%branchCT(0:0))
      call avCT(3263, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_956/))

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2882)%branchCT(0:0))
      call avCT(2882, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2897)%branchCT(0:0))
      call avCT(2897, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(459)%branchCT(0:0))
      call avCT(459, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_955/))

      allocate(vertices(460)%branchCT(0:1))
      call avCT(460, 0, 36, 4, 0, UVUa0, (/3, 0/), (/nGC_1271/))

      call avCT(460, 1, 37, 5, 0, UVUa0, (/3, 0/), (/nGC_1271/))

      allocate(vertices(3829)%branchCT(0:0))
      call avCT(3829, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1272/))

      allocate(vertices(463)%branchCT(0:1))
      call avCT(463, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1187, nGC_1189/))

      call avCT(463, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1188, nGC_1190/))

      allocate(vertices(464)%branchCT(0:0))
      call avCT(464, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(3830)%branchCT(0:0))
      call avCT(3830, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1273/))

      allocate(vertices(466)%branchCT(0:3))
      call avCT(466, 0, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_1213, nGC_1215/))

      call avCT(466, 1, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_1212, nGC_1214/))

      call avCT(466, 2, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_1213, nGC_1215/))

      call avCT(466, 3, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_1212, nGC_1214/))

      allocate(vertices(467)%branchCT(0:0))
      call avCT(467, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(469)%branchCT(0:0))
      call avCT(469, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1274/))

      allocate(vertices(2997)%branchCT(0:0))
      call avCT(2997, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1275/))

      allocate(vertices(3761)%branchCT(0:0))
      call avCT(3761, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_967/))

      allocate(vertices(3831)%branchCT(0:0))
      call avCT(3831, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1230, nGC_1231,        &
      nGC_1232/))

      allocate(vertices(3042)%branchCT(0:0))
      call avCT(3042, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(481)%branchCT(0:1))
      call avCT(481, 0, 20, 1, 0, FaFV1, (/0, 3/), (/nGC_1276, nGC_1278/))

      call avCT(481, 1, 20, 1, 0, FaFV1, (/2, 1/), (/nGC_1277, nGC_1279/))

      allocate(vertices(482)%branchCT(0:0))
      call avCT(482, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(485)%branchCT(0:0))
      call avCT(485, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1280/))

      allocate(vertices(3092)%branchCT(0:0))
      call avCT(3092, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(3099)%branchCT(0:0))
      call avCT(3099, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(3832)%branchCT(0:0))
      call avCT(3832, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1132/))

      allocate(vertices(861)%branchCT(0:0))
      call avCT(861, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_967/))

      allocate(vertices(1271)%branchCT(0:0))
      call avCT(1271, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(491)%branchCT(0:0))
      call avCT(491, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(497)%branchCT(0:1))
      call avCT(497, 0, 20, 1, 0, FaFS0, (/0, 3/), (/nGC_1218, nGC_1220/))

      call avCT(497, 1, 20, 1, 0, FaFS0, (/2, 1/), (/nGC_1219, nGC_1221/))

      allocate(vertices(498)%branchCT(0:0))
      call avCT(498, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1238/))

      allocate(vertices(499)%branchCT(0:0))
      call avCT(499, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(3211)%branchCT(0:0))
      call avCT(3211, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(660)%branchCT(0:0))
      call avCT(660, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(3218)%branchCT(0:0))
      call avCT(3218, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(506)%branchCT(0:0))
      call avCT(506, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(507)%branchCT(0:1))
      call avCT(507, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1207, nGC_1209/))

      call avCT(507, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1208, nGC_1210/))

      allocate(vertices(798)%branchCT(0:0))
      call avCT(798, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(2910)%branchCT(0:0))
      call avCT(2910, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1281/))

      allocate(vertices(511)%branchCT(0:0))
      call avCT(511, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(512)%branchCT(0:0))
      call avCT(512, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(514)%branchCT(0:0))
      call avCT(514, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(517)%branchCT(0:3))
      call avCT(517, 0, 27, 3, 0, VFaF0, (/3, 0/), (/nGC_1118, nGC_1120/))

      call avCT(517, 1, 27, 3, 0, VFaF0, (/1, 2/), (/nGC_1119, nGC_1121/))

      call avCT(517, 2, 26, 2, 0, VFaF0, (/3, 0/), (/nGC_1118, nGC_1120/))

      call avCT(517, 3, 26, 2, 0, VFaF0, (/1, 2/), (/nGC_1119, nGC_1121/))

      allocate(vertices(518)%branchCT(0:0))
      call avCT(518, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(3317)%branchCT(0:0))
      call avCT(3317, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1254/))

      allocate(vertices(521)%branchCT(0:1))
      call avCT(521, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1183/))

      call avCT(521, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1184/))

      allocate(vertices(523)%branchCT(0:0))
      call avCT(523, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1282/))

      allocate(vertices(2777)%branchCT(0:0))
      call avCT(2777, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1368)%branchCT(0:0))
      call avCT(1368, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2529)%branchCT(0:0))
      call avCT(2529, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(530)%branchCT(0:0))
      call avCT(530, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1274/))

      allocate(vertices(90)%branchCT(0:0))
      call avCT(90, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1245/))

      allocate(vertices(534)%branchCT(0:0))
      call avCT(534, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(535)%branchCT(0:0))
      call avCT(535, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_974/))

      allocate(vertices(3431)%branchCT(0:0))
      call avCT(3431, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(539)%branchCT(0:0))
      call avCT(539, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(540)%branchCT(0:0))
      call avCT(540, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1164/))

      allocate(vertices(91)%branchCT(0:0))
      call avCT(91, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1115/))

      allocate(vertices(1050)%branchCT(0:0))
      call avCT(1050, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(542)%branchCT(0:0))
      call avCT(542, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_965/))

      allocate(vertices(3833)%branchCT(0:0))
      call avCT(3833, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1283/))

      allocate(vertices(3806)%branchCT(0:0))
      call avCT(3806, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_966/))

      allocate(vertices(3209)%branchCT(0:0))
      call avCT(3209, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1282)%branchCT(0:0))
      call avCT(1282, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1282/))

      allocate(vertices(3521)%branchCT(0:0))
      call avCT(3521, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(549)%branchCT(0:0))
      call avCT(549, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(551)%branchCT(0:0))
      call avCT(551, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(552)%branchCT(0:0))
      call avCT(552, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1107/))

      allocate(vertices(3588)%branchCT(0:0))
      call avCT(3588, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1216, nGC_1216,       &
      nGC_1217/))

      allocate(vertices(2681)%branchCT(0:1))
      call avCT(2681, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1147, nGC_1147/))

      call avCT(2681, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1148, nGC_1148/))

      allocate(vertices(2535)%branchCT(0:0))
      call avCT(2535, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1116/))

      allocate(vertices(556)%branchCT(0:0))
      call avCT(556, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1164/))

      allocate(vertices(559)%branchCT(0:1))
      call avCT(559, 0, 21, 1, 0, FaSF1, (/0, 3/), (/nGC_1147, nGC_1147/))

      call avCT(559, 1, 21, 1, 0, FaSF1, (/2, 1/), (/nGC_1148, nGC_1148/))

      allocate(vertices(1524)%branchCT(0:0))
      call avCT(1524, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1285, nGC_1285/))

      allocate(vertices(563)%branchCT(0:0))
      call avCT(563, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(564)%branchCT(0:1))
      call avCT(564, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1259, nGC_1261/))

      call avCT(564, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1260, nGC_1262/))

      allocate(vertices(1899)%branchCT(0:0))
      call avCT(1899, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(3662)%branchCT(0:5))
      call avCT(3662, 0, 73, 6, 0, UaVVU0, (/4, 0/), (/nGC_1178/))

      call avCT(3662, 1, 71, 6, 0, UaVVU0, (/4, 0/), (/nGC_1178/))

      call avCT(3662, 2, 72, 6, 0, UaVVU0, (/4, 0/), (/nGC_1178/))

      call avCT(3662, 3, 70, 6, 0, UaVVU0, (/4, 0/), (/nGC_1178/))

      call avCT(3662, 4, 74, 7, 0, UaVVU0, (/4, 0/), (/nGC_1177/))

      call avCT(3662, 5, 75, 7, 0, UaVVU0, (/4, 0/), (/nGC_1177/))

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(570)%branchCT(0:0))
      call avCT(570, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1286/))

      allocate(vertices(1289)%branchCT(0:0))
      call avCT(1289, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(3720)%branchCT(0:0))
      call avCT(3720, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1097, nGC_1097,       &
      nGC_1098/))

      allocate(vertices(1290)%branchCT(0:3))
      call avCT(1290, 0, 22, 2, 0, FaFV1, (/1, 2/), (/nGC_1267, nGC_1269/))

      call avCT(1290, 1, 22, 2, 0, FaFV1, (/3, 0/), (/nGC_1266, nGC_1268/))

      call avCT(1290, 2, 23, 3, 0, FaFV1, (/1, 2/), (/nGC_1267, nGC_1269/))

      call avCT(1290, 3, 23, 3, 0, FaFV1, (/3, 0/), (/nGC_1266, nGC_1268/))

      allocate(vertices(3834)%branchCT(0:0))
      call avCT(3834, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1287/))

      allocate(vertices(574)%branchCT(0:0))
      call avCT(574, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3758)%branchCT(0:0))
      call avCT(3758, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(579)%branchCT(0:0))
      call avCT(579, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(581)%branchCT(0:0))
      call avCT(581, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(3414)%branchCT(0:0))
      call avCT(3414, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(3500)%branchCT(0:0))
      call avCT(3500, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(3835)%branchCT(0:1))
      call avCT(3835, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_1288, nGC_1290,      &
      nGC_1290, nGC_1292/))

      call avCT(3835, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_1289, nGC_1291,      &
      nGC_1291, nGC_1293/))

      allocate(vertices(1375)%branchCT(0:0))
      call avCT(1375, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(590)%branchCT(0:0))
      call avCT(590, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1196, nGC_1196/))

      allocate(vertices(2169)%branchCT(0:0))
      call avCT(2169, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(592)%branchCT(0:0))
      call avCT(592, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(593)%branchCT(0:0))
      call avCT(593, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(594)%branchCT(0:1))
      call avCT(594, 0, 21, 1, 0, FaSF1, (/0, 3/), (/nGC_1226, nGC_1228/))

      call avCT(594, 1, 21, 1, 0, FaSF1, (/2, 1/), (/nGC_1227, nGC_1229/))

      allocate(vertices(3124)%branchCT(0:0))
      call avCT(3124, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(597)%branchCT(0:0))
      call avCT(597, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(598)%branchCT(0:0))
      call avCT(598, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1223/))

      allocate(vertices(3115)%branchCT(0:0))
      call avCT(3115, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(600)%branchCT(0:0))
      call avCT(600, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_959/))

      allocate(vertices(98)%branchCT(0:0))
      call avCT(98, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(151)%branchCT(0:0))
      call avCT(151, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(3219)%branchCT(0:0))
      call avCT(3219, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(611)%branchCT(0:0))
      call avCT(611, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(612)%branchCT(0:1))
      call avCT(612, 0, 21, 1, 0, FaSF1, (/0, 3/), (/nGC_1251, nGC_1249/))

      call avCT(612, 1, 21, 1, 0, FaSF1, (/2, 1/), (/nGC_1252, nGC_1250/))

      allocate(vertices(613)%branchCT(0:0))
      call avCT(613, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1294, nGC_1295/))

      allocate(vertices(615)%branchCT(0:0))
      call avCT(615, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1243, nGC_1244/))

      allocate(vertices(616)%branchCT(0:0))
      call avCT(616, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(617)%branchCT(0:0))
      call avCT(617, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1296/))

      allocate(vertices(2506)%branchCT(0:0))
      call avCT(2506, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(253)%branchCT(0:0))
      call avCT(253, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_957/))

      allocate(vertices(623)%branchCT(0:0))
      call avCT(623, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1297/))

      allocate(vertices(2686)%branchCT(0:0))
      call avCT(2686, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_958/))

      allocate(vertices(625)%branchCT(0:0))
      call avCT(625, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_964/))

      allocate(vertices(3224)%branchCT(0:0))
      call avCT(3224, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(630)%branchCT(0:0))
      call avCT(630, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_965/))

      allocate(vertices(3836)%branchCT(0:0))
      call avCT(3836, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_1298/))

      allocate(vertices(632)%branchCT(0:0))
      call avCT(632, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_956/))

      allocate(vertices(1902)%branchCT(0:0))
      call avCT(1902, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1297/))

      allocate(vertices(635)%branchCT(0:0))
      call avCT(635, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1150, nGC_1151,        &
      nGC_1151/))

      allocate(vertices(637)%branchCT(0:0))
      call avCT(637, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(640)%branchCT(0:0))
      call avCT(640, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1224, nGC_1225/))

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_964/))

      allocate(vertices(642)%branchCT(0:1))
      call avCT(642, 0, 21, 1, 0, FaSF1, (/0, 3/), (/nGC_1299, nGC_1301/))

      call avCT(642, 1, 21, 1, 0, FaSF1, (/2, 1/), (/nGC_1300, nGC_1302/))

      allocate(vertices(644)%branchCT(0:0))
      call avCT(644, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_966/))

      allocate(vertices(646)%branchCT(0:0))
      call avCT(646, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(3837)%branchCT(0:0))
      call avCT(3837, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1132/))

      allocate(vertices(648)%branchCT(0:0))
      call avCT(648, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1200/))

      allocate(vertices(462)%branchCT(0:0))
      call avCT(462, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(3487)%branchCT(0:0))
      call avCT(3487, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(658)%branchCT(0:0))
      call avCT(658, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1281/))

      allocate(vertices(503)%branchCT(0:0))
      call avCT(503, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(661)%branchCT(0:1))
      call avCT(661, 0, 20, 1, 0, FaFV1, (/0, 3/), (/nGC_1259, nGC_1261/))

      call avCT(661, 1, 20, 1, 0, FaFV1, (/2, 1/), (/nGC_1260, nGC_1262/))

      allocate(vertices(662)%branchCT(0:0))
      call avCT(662, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1303/))

      allocate(vertices(1801)%branchCT(0:0))
      call avCT(1801, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_967/))

      allocate(vertices(901)%branchCT(0:0))
      call avCT(901, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1164/))

      allocate(vertices(666)%branchCT(0:0))
      call avCT(666, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_957/))

      allocate(vertices(667)%branchCT(0:0))
      call avCT(667, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(668)%branchCT(0:0))
      call avCT(668, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(3838)%branchCT(0:0))
      call avCT(3838, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1132/))

      allocate(vertices(670)%branchCT(0:0))
      call avCT(670, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1235/))

      allocate(vertices(112)%branchCT(0:0))
      call avCT(112, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(672)%branchCT(0:0))
      call avCT(672, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(673)%branchCT(0:1))
      call avCT(673, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1218, nGC_1220/))

      call avCT(673, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1219, nGC_1221/))

      allocate(vertices(674)%branchCT(0:0))
      call avCT(674, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(675)%branchCT(0:0))
      call avCT(675, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(676)%branchCT(0:3))
      call avCT(676, 0, 30, 2, 0, FVFa0, (/1, 2/), (/nGC_1213, nGC_1215/))

      call avCT(676, 1, 30, 2, 0, FVFa0, (/3, 0/), (/nGC_1212, nGC_1214/))

      call avCT(676, 2, 31, 3, 0, FVFa0, (/1, 2/), (/nGC_1213, nGC_1215/))

      call avCT(676, 3, 31, 3, 0, FVFa0, (/3, 0/), (/nGC_1212, nGC_1214/))

      allocate(vertices(1311)%branchCT(0:0))
      call avCT(1311, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1254/))

      allocate(vertices(688)%branchCT(0:1))
      call avCT(688, 0, 20, 1, 0, FaFV1, (/0, 3/), (/nGC_1304, nGC_1306/))

      call avCT(688, 1, 20, 1, 0, FaFV1, (/2, 1/), (/nGC_1305, nGC_1307/))

      allocate(vertices(680)%branchCT(0:1))
      call avCT(680, 0, 21, 1, 0, FaSF1, (/0, 3/), (/nGC_1160, nGC_1160/))

      call avCT(680, 1, 21, 1, 0, FaSF1, (/2, 1/), (/nGC_1161, nGC_1161/))

      allocate(vertices(3839)%branchCT(0:0))
      call avCT(3839, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(682)%branchCT(0:0))
      call avCT(682, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(683)%branchCT(0:0))
      call avCT(683, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(3289)%branchCT(0:5))
      call avCT(3289, 0, 9, 6, 0, VVVV0, (/4, 0/), (/nGC_1308, nGC_1309,       &
      nGC_1308/))

      call avCT(3289, 1, 7, 6, 0, VVVV0, (/4, 0/), (/nGC_1308, nGC_1309,       &
      nGC_1308/))

      call avCT(3289, 2, 8, 6, 0, VVVV0, (/4, 0/), (/nGC_1309, nGC_1308,       &
      nGC_1308/))

      call avCT(3289, 3, 6, 6, 0, VVVV0, (/4, 0/), (/nGC_1309, nGC_1308,       &
      nGC_1308/))

      call avCT(3289, 4, 5, 7, 0, VVVV0, (/4, 0/), (/nGC_1310, nGC_1310,       &
      nGC_1311/))

      call avCT(3289, 5, 4, 7, 0, VVVV0, (/4, 0/), (/nGC_1310, nGC_1310,       &
      nGC_1311/))

      allocate(vertices(3840)%branchCT(0:0))
      call avCT(3840, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1132/))

      allocate(vertices(689)%branchCT(0:0))
      call avCT(689, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(690)%branchCT(0:1))
      call avCT(690, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1133, nGC_1135/))

      call avCT(690, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1134, nGC_1136/))

      allocate(vertices(3466)%branchCT(0:0))
      call avCT(3466, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(2797)%branchCT(0:0))
      call avCT(2797, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1216, nGC_1217,       &
      nGC_1216/))

      allocate(vertices(693)%branchCT(0:3))
      call avCT(693, 0, 24, 2, 0, VFFa1, (/1, 2/), (/nGC_1267, nGC_1269/))

      call avCT(693, 1, 24, 2, 0, VFFa1, (/3, 0/), (/nGC_1266, nGC_1268/))

      call avCT(693, 2, 25, 3, 0, VFFa1, (/1, 2/), (/nGC_1267, nGC_1269/))

      call avCT(693, 3, 25, 3, 0, VFFa1, (/3, 0/), (/nGC_1266, nGC_1268/))

      allocate(vertices(694)%branchCT(0:0))
      call avCT(694, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(3533)%branchCT(0:0))
      call avCT(3533, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(722)%branchCT(0:0))
      call avCT(722, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1312/))

      allocate(vertices(697)%branchCT(0:0))
      call avCT(697, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_1222/))

      allocate(vertices(1314)%branchCT(0:1))
      call avCT(1314, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_1183/))

      call avCT(1314, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_1184/))

      allocate(vertices(692)%branchCT(0:0))
      call avCT(692, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(700)%branchCT(0:0))
      call avCT(700, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1297/))

      allocate(vertices(707)%branchCT(0:0))
      call avCT(707, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(708)%branchCT(0:1))
      call avCT(708, 0, 21, 1, 0, FaSF1, (/0, 3/), (/nGC_1313, nGC_1315/))

      call avCT(708, 1, 21, 1, 0, FaSF1, (/2, 1/), (/nGC_1314, nGC_1316/))

      allocate(vertices(710)%branchCT(0:0))
      call avCT(710, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(711)%branchCT(0:0))
      call avCT(711, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_966/))

      allocate(vertices(712)%branchCT(0:0))
      call avCT(712, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1115/))

      allocate(vertices(1878)%branchCT(0:0))
      call avCT(1878, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1919)%branchCT(0:0))
      call avCT(1919, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(715)%branchCT(0:0))
      call avCT(715, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2078)%branchCT(0:1))
      call avCT(2078, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1180, nGC_1180/))

      call avCT(2078, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1181, nGC_1181/))

      allocate(vertices(2031)%branchCT(0:0))
      call avCT(2031, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(3447)%branchCT(0:0))
      call avCT(3447, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(723)%branchCT(0:0))
      call avCT(723, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(3841)%branchCT(0:0))
      call avCT(3841, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1287/))

      allocate(vertices(898)%branchCT(0:0))
      call avCT(898, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(730)%branchCT(0:0))
      call avCT(730, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1281/))

      allocate(vertices(1320)%branchCT(0:0))
      call avCT(1320, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(732)%branchCT(0:0))
      call avCT(732, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(735)%branchCT(0:0))
      call avCT(735, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(737)%branchCT(0:0))
      call avCT(737, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(2223)%branchCT(0:0))
      call avCT(2223, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(740)%branchCT(0:0))
      call avCT(740, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(741)%branchCT(0:0))
      call avCT(741, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1201/))

      allocate(vertices(744)%branchCT(0:0))
      call avCT(744, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1274/))

      allocate(vertices(746)%branchCT(0:0))
      call avCT(746, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(747)%branchCT(0:0))
      call avCT(747, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(749)%branchCT(0:0))
      call avCT(749, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(750)%branchCT(0:0))
      call avCT(750, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1016)%branchCT(0:0))
      call avCT(1016, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(753)%branchCT(0:0))
      call avCT(753, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2027)%branchCT(0:1))
      call avCT(2027, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1180, nGC_1180/))

      call avCT(2027, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1181, nGC_1181/))

      allocate(vertices(3251)%branchCT(0:0))
      call avCT(3251, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1297/))

      allocate(vertices(756)%branchCT(0:0))
      call avCT(756, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(759)%branchCT(0:0))
      call avCT(759, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(760)%branchCT(0:1))
      call avCT(760, 0, 20, 1, 0, FaFV0, (/0, 3/), (/nGC_1198/))

      call avCT(760, 1, 20, 1, 0, FaFV0, (/2, 1/), (/nGC_1199/))

      allocate(vertices(761)%branchCT(0:0))
      call avCT(761, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(3842)%branchCT(0:0))
      call avCT(3842, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1317/))

      allocate(vertices(762)%branchCT(0:0))
      call avCT(762, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(763)%branchCT(0:3))
      call avCT(763, 0, 27, 3, 0, VFaF0, (/1, 2/), (/nGC_1110, nGC_1112/))

      call avCT(763, 1, 27, 3, 0, VFaF0, (/3, 0/), (/nGC_1109, nGC_1111/))

      call avCT(763, 2, 26, 2, 0, VFaF0, (/1, 2/), (/nGC_1110, nGC_1112/))

      call avCT(763, 3, 26, 2, 0, VFaF0, (/3, 0/), (/nGC_1109, nGC_1111/))

      allocate(vertices(813)%branchCT(0:0))
      call avCT(813, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1122)%branchCT(0:0))
      call avCT(1122, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2308)%branchCT(0:0))
      call avCT(2308, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_956/))

      allocate(vertices(768)%branchCT(0:0))
      call avCT(768, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(769)%branchCT(0:0))
      call avCT(769, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1200/))

      allocate(vertices(3843)%branchCT(0:0))
      call avCT(3843, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_1318/))

      allocate(vertices(771)%branchCT(0:0))
      call avCT(771, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(773)%branchCT(0:0))
      call avCT(773, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2368)%branchCT(0:0))
      call avCT(2368, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1319/))

      allocate(vertices(775)%branchCT(0:0))
      call avCT(775, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1297/))

      allocate(vertices(776)%branchCT(0:0))
      call avCT(776, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1185/))

      allocate(vertices(780)%branchCT(0:1))
      call avCT(780, 0, 20, 1, 0, FaFS0, (/0, 3/), (/nGC_1207, nGC_1209/))

      call avCT(780, 1, 20, 1, 0, FaFS0, (/2, 1/), (/nGC_1208, nGC_1210/))

      allocate(vertices(782)%branchCT(0:0))
      call avCT(782, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_1320/))

      allocate(vertices(783)%branchCT(0:0))
      call avCT(783, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2187)%branchCT(0:0))
      call avCT(2187, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(560)%branchCT(0:0))
      call avCT(560, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(787)%branchCT(0:0))
      call avCT(787, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(790)%branchCT(0:0))
      call avCT(790, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1164/))

      allocate(vertices(1301)%branchCT(0:0))
      call avCT(1301, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1107/))

      allocate(vertices(2122)%branchCT(0:0))
      call avCT(2122, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1097, nGC_1097,       &
      nGC_1098/))

      allocate(vertices(795)%branchCT(0:0))
      call avCT(795, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_1320/))

      allocate(vertices(1325)%branchCT(0:0))
      call avCT(1325, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1328)%branchCT(0:0))
      call avCT(1328, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1321/))

      allocate(vertices(799)%branchCT(0:0))
      call avCT(799, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_956/))

      allocate(vertices(1439)%branchCT(0:0))
      call avCT(1439, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1238/))

      allocate(vertices(801)%branchCT(0:0))
      call avCT(801, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1373)%branchCT(0:0))
      call avCT(1373, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1322/))

      allocate(vertices(807)%branchCT(0:0))
      call avCT(807, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1233, nGC_1234/))

      allocate(vertices(808)%branchCT(0:0))
      call avCT(808, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2363)%branchCT(0:1))
      call avCT(2363, 0, 20, 1, 0, FaFV0, (/0, 3/), (/nGC_1183/))

      call avCT(2363, 1, 20, 1, 0, FaFV0, (/2, 1/), (/nGC_1184/))

      allocate(vertices(815)%branchCT(0:0))
      call avCT(815, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(816)%branchCT(0:0))
      call avCT(816, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(817)%branchCT(0:0))
      call avCT(817, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(820)%branchCT(0:0))
      call avCT(820, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_969/))

      allocate(vertices(821)%branchCT(0:0))
      call avCT(821, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(823)%branchCT(0:0))
      call avCT(823, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(824)%branchCT(0:0))
      call avCT(824, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1281/))

      allocate(vertices(825)%branchCT(0:0))
      call avCT(825, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(826)%branchCT(0:1))
      call avCT(826, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1323, nGC_1325/))

      call avCT(826, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1324, nGC_1326/))

      allocate(vertices(827)%branchCT(0:0))
      call avCT(827, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(3161)%branchCT(0:0))
      call avCT(3161, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1245/))

      allocate(vertices(828)%branchCT(0:0))
      call avCT(828, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(831)%branchCT(0:0))
      call avCT(831, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1469)%branchCT(0:0))
      call avCT(1469, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(834)%branchCT(0:0))
      call avCT(834, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(3007)%branchCT(0:0))
      call avCT(3007, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(835)%branchCT(0:0))
      call avCT(835, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1567)%branchCT(0:0))
      call avCT(1567, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(718)%branchCT(0:1))
      call avCT(718, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1251, nGC_1249/))

      call avCT(718, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1252, nGC_1250/))

      allocate(vertices(839)%branchCT(0:0))
      call avCT(839, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(840)%branchCT(0:0))
      call avCT(840, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(1146)%branchCT(0:0))
      call avCT(1146, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(719)%branchCT(0:0))
      call avCT(719, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(849)%branchCT(0:0))
      call avCT(849, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(853)%branchCT(0:0))
      call avCT(853, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(854)%branchCT(0:0))
      call avCT(854, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1321/))

      allocate(vertices(855)%branchCT(0:0))
      call avCT(855, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(857)%branchCT(0:0))
      call avCT(857, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(859)%branchCT(0:0))
      call avCT(859, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1327, nGC_1328/))

      allocate(vertices(863)%branchCT(0:0))
      call avCT(863, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1322/))

      allocate(vertices(3286)%branchCT(0:0))
      call avCT(3286, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(865)%branchCT(0:1))
      call avCT(865, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1133, nGC_1135/))

      call avCT(865, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1134, nGC_1136/))

      allocate(vertices(866)%branchCT(0:0))
      call avCT(866, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(867)%branchCT(0:0))
      call avCT(867, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(868)%branchCT(0:3))
      call avCT(868, 0, 27, 3, 0, VFaF0, (/1, 2/), (/nGC_1267, nGC_1269/))

      call avCT(868, 1, 27, 3, 0, VFaF0, (/3, 0/), (/nGC_1266, nGC_1268/))

      call avCT(868, 2, 26, 2, 0, VFaF0, (/1, 2/), (/nGC_1267, nGC_1269/))

      call avCT(868, 3, 26, 2, 0, VFaF0, (/3, 0/), (/nGC_1266, nGC_1268/))

      allocate(vertices(2893)%branchCT(0:0))
      call avCT(2893, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(870)%branchCT(0:0))
      call avCT(870, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1254/))

      allocate(vertices(1341)%branchCT(0:0))
      call avCT(1341, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(872)%branchCT(0:0))
      call avCT(872, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(2603)%branchCT(0:0))
      call avCT(2603, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1779)%branchCT(0:0))
      call avCT(1779, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(881)%branchCT(0:0))
      call avCT(881, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(882)%branchCT(0:1))
      call avCT(882, 0, 20, 1, 0, FaFS0, (/0, 3/), (/nGC_1228, nGC_1226/))

      call avCT(882, 1, 20, 1, 0, FaFS0, (/2, 1/), (/nGC_1229, nGC_1227/))

      allocate(vertices(3271)%branchCT(0:0))
      call avCT(3271, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1097, nGC_1098,       &
      nGC_1097/))

      allocate(vertices(884)%branchCT(0:0))
      call avCT(884, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(1819)%branchCT(0:0))
      call avCT(1819, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(887)%branchCT(0:1))
      call avCT(887, 0, 21, 1, 0, FaSF1, (/0, 3/), (/nGC_1329, nGC_1329/))

      call avCT(887, 1, 21, 1, 0, FaSF1, (/2, 1/), (/nGC_1330, nGC_1330/))

      allocate(vertices(765)%branchCT(0:0))
      call avCT(765, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(889)%branchCT(0:0))
      call avCT(889, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(533)%branchCT(0:0))
      call avCT(533, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(890)%branchCT(0:0))
      call avCT(890, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1319/))

      allocate(vertices(891)%branchCT(0:0))
      call avCT(891, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(892)%branchCT(0:0))
      call avCT(892, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(893)%branchCT(0:1))
      call avCT(893, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1255, nGC_1257/))

      call avCT(893, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1256, nGC_1258/))

      allocate(vertices(895)%branchCT(0:0))
      call avCT(895, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(728)%branchCT(0:0))
      call avCT(728, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(900)%branchCT(0:0))
      call avCT(900, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(902)%branchCT(0:0))
      call avCT(902, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(903)%branchCT(0:0))
      call avCT(903, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1197/))

      allocate(vertices(1346)%branchCT(0:0))
      call avCT(1346, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(907)%branchCT(0:0))
      call avCT(907, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1282/))

      allocate(vertices(909)%branchCT(0:0))
      call avCT(909, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_964/))

      allocate(vertices(910)%branchCT(0:0))
      call avCT(910, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(1981)%branchCT(0:0))
      call avCT(1981, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1107/))

      allocate(vertices(912)%branchCT(0:0))
      call avCT(912, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1285, nGC_1285/))

      allocate(vertices(914)%branchCT(0:0))
      call avCT(914, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2631)%branchCT(0:0))
      call avCT(2631, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1201/))

      allocate(vertices(3279)%branchCT(0:0))
      call avCT(3279, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_959/))

      allocate(vertices(918)%branchCT(0:0))
      call avCT(918, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2018)%branchCT(0:0))
      call avCT(2018, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1186/))

      allocate(vertices(920)%branchCT(0:0))
      call avCT(920, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(921)%branchCT(0:1))
      call avCT(921, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1331, nGC_1331/))

      call avCT(921, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1332, nGC_1332/))

      allocate(vertices(922)%branchCT(0:0))
      call avCT(922, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(923)%branchCT(0:0))
      call avCT(923, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2341)%branchCT(0:0))
      call avCT(2341, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1369)%branchCT(0:0))
      call avCT(1369, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1333, nGC_1333,       &
      nGC_1334/))

      allocate(vertices(927)%branchCT(0:1))
      call avCT(927, 0, 20, 1, 0, FaFS0, (/0, 3/), (/nGC_1209, nGC_1207/))

      call avCT(927, 1, 20, 1, 0, FaFS0, (/2, 1/), (/nGC_1210, nGC_1208/))

      allocate(vertices(3019)%branchCT(0:0))
      call avCT(3019, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_966/))

      allocate(vertices(2094)%branchCT(0:0))
      call avCT(2094, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_959/))

      allocate(vertices(932)%branchCT(0:0))
      call avCT(932, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_958/))

      allocate(vertices(933)%branchCT(0:0))
      call avCT(933, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2283)%branchCT(0:0))
      call avCT(2283, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2131)%branchCT(0:0))
      call avCT(2131, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1296/))

      allocate(vertices(2144)%branchCT(0:0))
      call avCT(2144, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1237)%branchCT(0:3))
      call avCT(1237, 0, 24, 2, 0, VFFa1, (/1, 2/), (/nGC_1110, nGC_1112/))

      call avCT(1237, 1, 24, 2, 0, VFFa1, (/3, 0/), (/nGC_1109, nGC_1111/))

      call avCT(1237, 2, 25, 3, 0, VFFa1, (/1, 2/), (/nGC_1110, nGC_1112/))

      call avCT(1237, 3, 25, 3, 0, VFFa1, (/3, 0/), (/nGC_1109, nGC_1111/))

      allocate(vertices(1351)%branchCT(0:0))
      call avCT(1351, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(942)%branchCT(0:0))
      call avCT(942, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(3581)%branchCT(0:0))
      call avCT(3581, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(2189)%branchCT(0:0))
      call avCT(2189, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(946)%branchCT(0:1))
      call avCT(946, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1239, nGC_1241/))

      call avCT(946, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1240, nGC_1242/))

      allocate(vertices(948)%branchCT(0:0))
      call avCT(948, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(949)%branchCT(0:1))
      call avCT(949, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1103, nGC_1105/))

      call avCT(949, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1104, nGC_1106/))

      allocate(vertices(950)%branchCT(0:0))
      call avCT(950, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1116/))

      allocate(vertices(3787)%branchCT(0:0))
      call avCT(3787, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(952)%branchCT(0:0))
      call avCT(952, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(3595)%branchCT(0:0))
      call avCT(3595, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1168, nGC_1169/))

      allocate(vertices(954)%branchCT(0:3))
      call avCT(954, 0, 22, 2, 0, FaFV1, (/1, 2/), (/nGC_1110, nGC_1112/))

      call avCT(954, 1, 22, 2, 0, FaFV1, (/3, 0/), (/nGC_1109, nGC_1111/))

      call avCT(954, 2, 23, 3, 0, FaFV1, (/1, 2/), (/nGC_1110, nGC_1112/))

      call avCT(954, 3, 23, 3, 0, FaFV1, (/3, 0/), (/nGC_1109, nGC_1111/))

      allocate(vertices(956)%branchCT(0:0))
      call avCT(956, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2258)%branchCT(0:0))
      call avCT(2258, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1243, nGC_1244/))

      allocate(vertices(959)%branchCT(0:0))
      call avCT(959, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1223/))

      allocate(vertices(961)%branchCT(0:0))
      call avCT(961, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1197/))

      allocate(vertices(2301)%branchCT(0:0))
      call avCT(2301, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(963)%branchCT(0:0))
      call avCT(963, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1127/))

      allocate(vertices(964)%branchCT(0:0))
      call avCT(964, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1312/))

      allocate(vertices(965)%branchCT(0:0))
      call avCT(965, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(966)%branchCT(0:1))
      call avCT(966, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1335, nGC_1337/))

      call avCT(966, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1336, nGC_1338/))

      allocate(vertices(967)%branchCT(0:0))
      call avCT(967, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2679)%branchCT(0:0))
      call avCT(2679, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_957/))

      allocate(vertices(970)%branchCT(0:3))
      call avCT(970, 0, 24, 2, 0, VFFa1, (/1, 2/), (/nGC_1213, nGC_1215/))

      call avCT(970, 1, 24, 2, 0, VFFa1, (/3, 0/), (/nGC_1212, nGC_1214/))

      call avCT(970, 2, 25, 3, 0, VFFa1, (/1, 2/), (/nGC_1213, nGC_1215/))

      call avCT(970, 3, 25, 3, 0, VFFa1, (/3, 0/), (/nGC_1212, nGC_1214/))

      allocate(vertices(1356)%branchCT(0:0))
      call avCT(1356, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(976)%branchCT(0:0))
      call avCT(976, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(977)%branchCT(0:0))
      call avCT(977, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_964/))

      allocate(vertices(981)%branchCT(0:0))
      call avCT(981, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1282/))

      allocate(vertices(983)%branchCT(0:3))
      call avCT(983, 0, 30, 2, 0, FVFa0, (/1, 2/), (/nGC_1157, nGC_1159/))

      call avCT(983, 1, 30, 2, 0, FVFa0, (/3, 0/), (/nGC_1156, nGC_1158/))

      call avCT(983, 2, 31, 3, 0, FVFa0, (/1, 2/), (/nGC_1157, nGC_1159/))

      call avCT(983, 3, 31, 3, 0, FVFa0, (/3, 0/), (/nGC_1156, nGC_1158/))

      allocate(vertices(984)%branchCT(0:0))
      call avCT(984, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2923)%branchCT(0:0))
      call avCT(2923, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1281/))

      allocate(vertices(2450)%branchCT(0:0))
      call avCT(2450, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(987)%branchCT(0:0))
      call avCT(987, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(988)%branchCT(0:0))
      call avCT(988, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_969/))

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(990)%branchCT(0:0))
      call avCT(990, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(991)%branchCT(0:1))
      call avCT(991, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_1198/))

      call avCT(991, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_1199/))

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_956/))

      allocate(vertices(3844)%branchCT(0:0))
      call avCT(3844, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(995)%branchCT(0:0))
      call avCT(995, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2514)%branchCT(0:0))
      call avCT(2514, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(1000)%branchCT(0:0))
      call avCT(1000, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1297/))

      allocate(vertices(1002)%branchCT(0:0))
      call avCT(1002, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2617)%branchCT(0:0))
      call avCT(2617, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2590)%branchCT(0:0))
      call avCT(2590, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2600)%branchCT(0:3))
      call avCT(2600, 0, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_1110, nGC_1112/))

      call avCT(2600, 1, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_1109, nGC_1111/))

      call avCT(2600, 2, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_1110, nGC_1112/))

      call avCT(2600, 3, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_1109, nGC_1111/))

      allocate(vertices(3578)%branchCT(0:0))
      call avCT(3578, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1098, nGC_1097,       &
      nGC_1097/))

      allocate(vertices(3519)%branchCT(0:0))
      call avCT(3519, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1015)%branchCT(0:1))
      call avCT(1015, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1170, nGC_1172/))

      call avCT(1015, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1171, nGC_1173/))

      allocate(vertices(1020)%branchCT(0:0))
      call avCT(1020, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_956/))

      allocate(vertices(2951)%branchCT(0:0))
      call avCT(2951, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1099/))

      allocate(vertices(2710)%branchCT(0:0))
      call avCT(2710, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1296/))

      allocate(vertices(1025)%branchCT(0:0))
      call avCT(1025, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(1026)%branchCT(0:0))
      call avCT(1026, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1312/))

      allocate(vertices(1027)%branchCT(0:0))
      call avCT(1027, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1281/))

      allocate(vertices(168)%branchCT(0:0))
      call avCT(168, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(1031)%branchCT(0:0))
      call avCT(1031, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(1034)%branchCT(0:0))
      call avCT(1034, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1339/))

      allocate(vertices(1036)%branchCT(0:0))
      call avCT(1036, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(3329)%branchCT(0:0))
      call avCT(3329, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1164/))

      allocate(vertices(1040)%branchCT(0:0))
      call avCT(1040, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(2832)%branchCT(0:0))
      call avCT(2832, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(1044)%branchCT(0:0))
      call avCT(1044, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1297/))

      allocate(vertices(2855)%branchCT(0:0))
      call avCT(2855, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2828)%branchCT(0:0))
      call avCT(2828, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(1047)%branchCT(0:0))
      call avCT(1047, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2879)%branchCT(0:0))
      call avCT(2879, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_958/))

      allocate(vertices(1049)%branchCT(0:0))
      call avCT(1049, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2904)%branchCT(0:0))
      call avCT(2904, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1051)%branchCT(0:0))
      call avCT(1051, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_956/))

      allocate(vertices(1053)%branchCT(0:0))
      call avCT(1053, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1101/))

      allocate(vertices(1054)%branchCT(0:0))
      call avCT(1054, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1103)%branchCT(0:0))
      call avCT(1103, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_969/))

      allocate(vertices(2965)%branchCT(0:0))
      call avCT(2965, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(1060)%branchCT(0:0))
      call avCT(1060, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1340/))

      allocate(vertices(1062)%branchCT(0:0))
      call avCT(1062, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(1065)%branchCT(0:0))
      call avCT(1065, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1280/))

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1296/))

      allocate(vertices(1689)%branchCT(0:0))
      call avCT(1689, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1125, nGC_1126/))

      allocate(vertices(3615)%branchCT(0:0))
      call avCT(3615, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_958/))

      allocate(vertices(1070)%branchCT(0:1))
      call avCT(1070, 0, 20, 1, 0, FaFS0, (/0, 3/), (/nGC_1246, nGC_1246/))

      call avCT(1070, 1, 20, 1, 0, FaFS0, (/2, 1/), (/nGC_1247, nGC_1247/))

      allocate(vertices(3845)%branchCT(0:0))
      call avCT(3845, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1073)%branchCT(0:0))
      call avCT(1073, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(1074)%branchCT(0:0))
      call avCT(1074, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1275/))

      allocate(vertices(419)%branchCT(0:0))
      call avCT(419, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1076)%branchCT(0:0))
      call avCT(1076, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(1078)%branchCT(0:0))
      call avCT(1078, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_965/))

      allocate(vertices(1079)%branchCT(0:0))
      call avCT(1079, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1168, nGC_1169/))

      allocate(vertices(1081)%branchCT(0:0))
      call avCT(1081, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_965/))

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1321/))

      allocate(vertices(1086)%branchCT(0:1))
      call avCT(1086, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1183/))

      call avCT(1086, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1184/))

      allocate(vertices(1088)%branchCT(0:0))
      call avCT(1088, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1091)%branchCT(0:0))
      call avCT(1091, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3252)%branchCT(0:0))
      call avCT(3252, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(3182)%branchCT(0:1))
      call avCT(3182, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1249, nGC_1251/))

      call avCT(3182, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1250, nGC_1252/))

      allocate(vertices(1095)%branchCT(0:0))
      call avCT(1095, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1216, nGC_1216,       &
      nGC_1217/))

      allocate(vertices(1097)%branchCT(0:0))
      call avCT(1097, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(1098)%branchCT(0:3))
      call avCT(1098, 0, 28, 2, 0, FaVF0, (/3, 0/), (/nGC_1341, nGC_1343/))

      call avCT(1098, 1, 28, 2, 0, FaVF0, (/1, 2/), (/nGC_1342, nGC_1344/))

      call avCT(1098, 2, 29, 3, 0, FaVF0, (/3, 0/), (/nGC_1341, nGC_1343/))

      call avCT(1098, 3, 29, 3, 0, FaVF0, (/1, 2/), (/nGC_1342, nGC_1344/))

      allocate(vertices(1099)%branchCT(0:0))
      call avCT(1099, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(3227)%branchCT(0:0))
      call avCT(3227, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1101)%branchCT(0:0))
      call avCT(1101, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1303/))

      allocate(vertices(1104)%branchCT(0:0))
      call avCT(1104, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(3268)%branchCT(0:0))
      call avCT(3268, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(1108)%branchCT(0:0))
      call avCT(1108, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_956/))

      allocate(vertices(1109)%branchCT(0:1))
      call avCT(1109, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1141, nGC_1143/))

      call avCT(1109, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1142, nGC_1144/))

      allocate(vertices(1110)%branchCT(0:0))
      call avCT(1110, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1112)%branchCT(0:0))
      call avCT(1112, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_956/))

      allocate(vertices(1113)%branchCT(0:0))
      call avCT(1113, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1281/))

      allocate(vertices(1114)%branchCT(0:0))
      call avCT(1114, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1115)%branchCT(0:0))
      call avCT(1115, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1116)%branchCT(0:0))
      call avCT(1116, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(1119)%branchCT(0:0))
      call avCT(1119, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1281/))

      allocate(vertices(1121)%branchCT(0:3))
      call avCT(1121, 0, 30, 2, 0, FVFa0, (/1, 2/), (/nGC_1110, nGC_1112/))

      call avCT(1121, 1, 30, 2, 0, FVFa0, (/3, 0/), (/nGC_1109, nGC_1111/))

      call avCT(1121, 2, 31, 3, 0, FVFa0, (/1, 2/), (/nGC_1110, nGC_1112/))

      call avCT(1121, 3, 31, 3, 0, FVFa0, (/3, 0/), (/nGC_1109, nGC_1111/))

      allocate(vertices(3764)%branchCT(0:0))
      call avCT(3764, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(1127)%branchCT(0:0))
      call avCT(1127, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(3370)%branchCT(0:0))
      call avCT(3370, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1131)%branchCT(0:0))
      call avCT(1131, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1153/))

      allocate(vertices(1132)%branchCT(0:0))
      call avCT(1132, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2382)%branchCT(0:0))
      call avCT(2382, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1345/))

      allocate(vertices(2100)%branchCT(0:0))
      call avCT(2100, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(3480)%branchCT(0:0))
      call avCT(3480, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(3492)%branchCT(0:0))
      call avCT(3492, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(1142)%branchCT(0:0))
      call avCT(1142, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1143)%branchCT(0:0))
      call avCT(1143, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2647)%branchCT(0:0))
      call avCT(2647, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1164/))

      allocate(vertices(1145)%branchCT(0:0))
      call avCT(1145, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(1231)%branchCT(0:0))
      call avCT(1231, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(1150)%branchCT(0:0))
      call avCT(1150, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(1152)%branchCT(0:0))
      call avCT(1152, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(3846)%branchCT(0:0))
      call avCT(3846, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1346/))

      allocate(vertices(1154)%branchCT(0:0))
      call avCT(1154, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1155)%branchCT(0:0))
      call avCT(1155, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_1320/))

      allocate(vertices(1157)%branchCT(0:0))
      call avCT(1157, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1347/))

      allocate(vertices(1994)%branchCT(0:0))
      call avCT(1994, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(3146)%branchCT(0:0))
      call avCT(3146, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1348/))

      allocate(vertices(3657)%branchCT(0:0))
      call avCT(3657, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_959/))

      allocate(vertices(653)%branchCT(0:1))
      call avCT(653, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1226, nGC_1228/))

      call avCT(653, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1227, nGC_1229/))

      allocate(vertices(1933)%branchCT(0:0))
      call avCT(1933, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1166)%branchCT(0:0))
      call avCT(1166, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(1167)%branchCT(0:1))
      call avCT(1167, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1133, nGC_1135/))

      call avCT(1167, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1134, nGC_1136/))

      allocate(vertices(1169)%branchCT(0:0))
      call avCT(1169, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(1170)%branchCT(0:0))
      call avCT(1170, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1171)%branchCT(0:0))
      call avCT(1171, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1153/))

      allocate(vertices(3727)%branchCT(0:0))
      call avCT(3727, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(1175)%branchCT(0:0))
      call avCT(1175, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(1176)%branchCT(0:1))
      call avCT(1176, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1304, nGC_1306/))

      call avCT(1176, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1305, nGC_1307/))

      allocate(vertices(1177)%branchCT(0:0))
      call avCT(1177, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2185)%branchCT(0:0))
      call avCT(2185, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(3809)%branchCT(0:0))
      call avCT(3809, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(1182)%branchCT(0:0))
      call avCT(1182, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1303/))

      allocate(vertices(1183)%branchCT(0:0))
      call avCT(1183, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1184)%branchCT(0:1))
      call avCT(1184, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1170, nGC_1172/))

      call avCT(1184, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1171, nGC_1173/))

      allocate(vertices(2907)%branchCT(0:0))
      call avCT(2907, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1188)%branchCT(0:0))
      call avCT(1188, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(2254)%branchCT(0:1))
      call avCT(2254, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1187, nGC_1189/))

      call avCT(2254, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1188, nGC_1190/))

      allocate(vertices(2714)%branchCT(0:0))
      call avCT(2714, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(3584)%branchCT(0:0))
      call avCT(3584, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1195)%branchCT(0:1))
      call avCT(1195, 0, 2, 4, 0, UaUV1, (/3, 0/), (/nGC_1271/))

      call avCT(1195, 1, 3, 5, 0, UaUV1, (/3, 0/), (/nGC_1271/))

      allocate(vertices(1196)%branchCT(0:0))
      call avCT(1196, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1197)%branchCT(0:0))
      call avCT(1197, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1198)%branchCT(0:0))
      call avCT(1198, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1200/))

      allocate(vertices(2002)%branchCT(0:0))
      call avCT(2002, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1200)%branchCT(0:0))
      call avCT(1200, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(1201)%branchCT(0:1))
      call avCT(1201, 0, 20, 1, 0, FaFV0, (/0, 3/), (/nGC_1183/))

      call avCT(1201, 1, 20, 1, 0, FaFV0, (/2, 1/), (/nGC_1184/))

      allocate(vertices(1202)%branchCT(0:0))
      call avCT(1202, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_957/))

      allocate(vertices(3847)%branchCT(0:0))
      call avCT(3847, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_GG/))

      allocate(vertices(2426)%branchCT(0:0))
      call avCT(2426, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(1204)%branchCT(0:1))
      call avCT(1204, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1128, nGC_1130/))

      call avCT(1204, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1129, nGC_1131/))

      allocate(vertices(2902)%branchCT(0:0))
      call avCT(2902, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(407)%branchCT(0:0))
      call avCT(407, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(2914)%branchCT(0:0))
      call avCT(2914, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2004)%branchCT(0:0))
      call avCT(2004, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(159)%branchCT(0:0))
      call avCT(159, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1215)%branchCT(0:0))
      call avCT(1215, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_969/))

      allocate(vertices(1397)%branchCT(0:0))
      call avCT(1397, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(3848)%branchCT(0:0))
      call avCT(3848, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1132/))

      allocate(vertices(566)%branchCT(0:0))
      call avCT(566, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(1222)%branchCT(0:0))
      call avCT(1222, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1223)%branchCT(0:0))
      call avCT(1223, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(1226)%branchCT(0:0))
      call avCT(1226, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(1227)%branchCT(0:0))
      call avCT(1227, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(3213)%branchCT(0:0))
      call avCT(3213, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_957/))

      allocate(vertices(270)%branchCT(0:0))
      call avCT(270, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(278)%branchCT(0:0))
      call avCT(278, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_959/))

      allocate(vertices(2008)%branchCT(0:0))
      call avCT(2008, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1115/))

      allocate(vertices(1235)%branchCT(0:0))
      call avCT(1235, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1236)%branchCT(0:0))
      call avCT(1236, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1349/))

      allocate(vertices(1240)%branchCT(0:0))
      call avCT(1240, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1241)%branchCT(0:0))
      call avCT(1241, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1242)%branchCT(0:0))
      call avCT(1242, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1223/))

      allocate(vertices(1243)%branchCT(0:0))
      call avCT(1243, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1244)%branchCT(0:0))
      call avCT(1244, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1285, nGC_1285/))

      allocate(vertices(3708)%branchCT(0:0))
      call avCT(3708, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(3849)%branchCT(0:1))
      call avCT(3849, 0, 16, 8, 0, VV1, (/2, 0/), (/nGC_1350, nGC_1351/))

      call avCT(3849, 1, 15, 1, 0, VV1, (/2, 0/), (/nGC_1350, nGC_1351/))

      allocate(vertices(1246)%branchCT(0:0))
      call avCT(1246, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(3343)%branchCT(0:0))
      call avCT(3343, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(1248)%branchCT(0:0))
      call avCT(1248, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1097, nGC_1098,       &
      nGC_1097/))

      allocate(vertices(1252)%branchCT(0:0))
      call avCT(1252, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(388)%branchCT(0:0))
      call avCT(388, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1124/))

      allocate(vertices(1255)%branchCT(0:1))
      call avCT(1255, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1329, nGC_1329/))

      call avCT(1255, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1330, nGC_1330/))

      allocate(vertices(1258)%branchCT(0:0))
      call avCT(1258, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_974/))

      allocate(vertices(1259)%branchCT(0:0))
      call avCT(1259, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(1261)%branchCT(0:0))
      call avCT(1261, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(3850)%branchCT(0:0))
      call avCT(3850, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1263)%branchCT(0:0))
      call avCT(1263, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(1264)%branchCT(0:0))
      call avCT(1264, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1268)%branchCT(0:1))
      call avCT(1268, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1276, nGC_1278/))

      call avCT(1268, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1277, nGC_1279/))

      allocate(vertices(2042)%branchCT(0:0))
      call avCT(2042, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1115/))

      allocate(vertices(2944)%branchCT(0:0))
      call avCT(2944, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1270)%branchCT(0:0))
      call avCT(1270, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1124/))

      allocate(vertices(490)%branchCT(0:0))
      call avCT(490, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_955/))

      allocate(vertices(1274)%branchCT(0:0))
      call avCT(1274, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(1275)%branchCT(0:0))
      call avCT(1275, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1137/))

      allocate(vertices(3282)%branchCT(0:0))
      call avCT(3282, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1278)%branchCT(0:0))
      call avCT(1278, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_974/))

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1280)%branchCT(0:0))
      call avCT(1280, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(2017)%branchCT(0:0))
      call avCT(2017, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_974/))

      allocate(vertices(2266)%branchCT(0:0))
      call avCT(2266, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1127/))

      allocate(vertices(1950)%branchCT(0:0))
      call avCT(1950, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(3291)%branchCT(0:0))
      call avCT(3291, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(1285)%branchCT(0:1))
      call avCT(1285, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1259, nGC_1261/))

      call avCT(1285, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1260, nGC_1262/))

      allocate(vertices(1286)%branchCT(0:0))
      call avCT(1286, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1287)%branchCT(0:0))
      call avCT(1287, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1282/))

      allocate(vertices(571)%branchCT(0:0))
      call avCT(571, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(3724)%branchCT(0:0))
      call avCT(3724, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1352/))

      allocate(vertices(2676)%branchCT(0:1))
      call avCT(2676, 0, 20, 1, 0, FaFV1, (/0, 3/), (/nGC_1353, nGC_1355/))

      call avCT(2676, 1, 20, 1, 0, FaFV1, (/2, 1/), (/nGC_1354, nGC_1356/))

      allocate(vertices(1886)%branchCT(0:0))
      call avCT(1886, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1107/))

      allocate(vertices(1296)%branchCT(0:0))
      call avCT(1296, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1101/))

      allocate(vertices(1297)%branchCT(0:0))
      call avCT(1297, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1348/))

      allocate(vertices(1299)%branchCT(0:0))
      call avCT(1299, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1300)%branchCT(0:0))
      call avCT(1300, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1282/))

      allocate(vertices(1302)%branchCT(0:0))
      call avCT(1302, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1125, nGC_1126/))

      allocate(vertices(1305)%branchCT(0:0))
      call avCT(1305, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1306)%branchCT(0:0))
      call avCT(1306, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1321/))

      allocate(vertices(1308)%branchCT(0:1))
      call avCT(1308, 0, 20, 1, 0, FaFS0, (/0, 3/), (/nGC_1331, nGC_1331/))

      call avCT(1308, 1, 20, 1, 0, FaFS0, (/2, 1/), (/nGC_1332, nGC_1332/))

      allocate(vertices(1309)%branchCT(0:0))
      call avCT(1309, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1107/))

      allocate(vertices(1992)%branchCT(0:0))
      call avCT(1992, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1153/))

      allocate(vertices(1313)%branchCT(0:1))
      call avCT(1313, 0, 20, 1, 0, FaFV1, (/0, 3/), (/nGC_1103, nGC_1105/))

      call avCT(1313, 1, 20, 1, 0, FaFV1, (/2, 1/), (/nGC_1104, nGC_1106/))

      allocate(vertices(862)%branchCT(0:0))
      call avCT(862, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1282/))

      allocate(vertices(1317)%branchCT(0:0))
      call avCT(1317, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(1416)%branchCT(0:0))
      call avCT(1416, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(731)%branchCT(0:0))
      call avCT(731, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2034)%branchCT(0:0))
      call avCT(2034, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1125, nGC_1126/))

      allocate(vertices(1323)%branchCT(0:0))
      call avCT(1323, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2682)%branchCT(0:0))
      call avCT(2682, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1326)%branchCT(0:0))
      call avCT(1326, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1327)%branchCT(0:1))
      call avCT(1327, 0, 21, 1, 0, FaVF1, (/0, 3/), (/nGC_1183/))

      call avCT(1327, 1, 21, 1, 0, FaVF1, (/2, 1/), (/nGC_1184/))

      allocate(vertices(2260)%branchCT(0:0))
      call avCT(2260, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(2025)%branchCT(0:0))
      call avCT(2025, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(969)%branchCT(0:0))
      call avCT(969, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(794)%branchCT(0:5))
      call avCT(794, 0, 117, 7, 0, VUUaV0, (/4, 0/), (/nGC_1177/))

      call avCT(794, 1, 116, 7, 0, VUUaV0, (/4, 0/), (/nGC_1177/))

      call avCT(794, 2, 113, 6, 0, VUUaV0, (/4, 0/), (/nGC_1178/))

      call avCT(794, 3, 112, 6, 0, VUUaV0, (/4, 0/), (/nGC_1178/))

      call avCT(794, 4, 115, 6, 0, VUUaV0, (/4, 0/), (/nGC_1178/))

      call avCT(794, 5, 114, 6, 0, VUUaV0, (/4, 0/), (/nGC_1178/))

      allocate(vertices(1334)%branchCT(0:0))
      call avCT(1334, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(1677)%branchCT(0:0))
      call avCT(1677, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1336)%branchCT(0:0))
      call avCT(1336, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_958/))

      allocate(vertices(1338)%branchCT(0:0))
      call avCT(1338, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_969/))

      allocate(vertices(1339)%branchCT(0:0))
      call avCT(1339, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(871)%branchCT(0:0))
      call avCT(871, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1343)%branchCT(0:0))
      call avCT(1343, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1099/))

      allocate(vertices(904)%branchCT(0:0))
      call avCT(904, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1151, nGC_1151,        &
      nGC_1150/))

      allocate(vertices(1347)%branchCT(0:1))
      call avCT(1347, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1141, nGC_1143/))

      call avCT(1347, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1142, nGC_1144/))

      allocate(vertices(1348)%branchCT(0:0))
      call avCT(1348, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1349)%branchCT(0:0))
      call avCT(1349, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(3126)%branchCT(0:0))
      call avCT(3126, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1352)%branchCT(0:0))
      call avCT(1352, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1153/))

      allocate(vertices(3009)%branchCT(0:0))
      call avCT(3009, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1282/))

      allocate(vertices(973)%branchCT(0:0))
      call avCT(973, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(1357)%branchCT(0:0))
      call avCT(1357, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1168)%branchCT(0:0))
      call avCT(1168, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1236/))

      allocate(vertices(1363)%branchCT(0:0))
      call avCT(1363, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1364)%branchCT(0:1))
      call avCT(1364, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_1183/))

      call avCT(1364, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_1184/))

      allocate(vertices(1365)%branchCT(0:0))
      call avCT(1365, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1366)%branchCT(0:0))
      call avCT(1366, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1349/))

      allocate(vertices(1367)%branchCT(0:0))
      call avCT(1367, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(2088)%branchCT(0:0))
      call avCT(2088, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(2690)%branchCT(0:0))
      call avCT(2690, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_955/))

      allocate(vertices(1085)%branchCT(0:0))
      call avCT(1085, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1615)%branchCT(0:0))
      call avCT(1615, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_967/))

      allocate(vertices(1376)%branchCT(0:0))
      call avCT(1376, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(2452)%branchCT(0:1))
      call avCT(2452, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1331, nGC_1331/))

      call avCT(2452, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1332, nGC_1332/))

      allocate(vertices(1424)%branchCT(0:5))
      call avCT(1424, 0, 123, 7, 0, VUVUa0, (/4, 0/), (/nGC_1177/))

      call avCT(1424, 1, 121, 6, 0, VUVUa0, (/4, 0/), (/nGC_1178/))

      call avCT(1424, 2, 119, 6, 0, VUVUa0, (/4, 0/), (/nGC_1178/))

      call avCT(1424, 3, 120, 6, 0, VUVUa0, (/4, 0/), (/nGC_1178/))

      call avCT(1424, 4, 118, 6, 0, VUVUa0, (/4, 0/), (/nGC_1178/))

      call avCT(1424, 5, 122, 7, 0, VUVUa0, (/4, 0/), (/nGC_1177/))

      allocate(vertices(1381)%branchCT(0:0))
      call avCT(1381, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(3851)%branchCT(0:0))
      call avCT(3851, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1138)%branchCT(0:5))
      call avCT(1138, 0, 104, 7, 0, VVUaU0, (/4, 0/), (/nGC_1177/))

      call avCT(1138, 1, 103, 6, 0, VVUaU0, (/4, 0/), (/nGC_1178/))

      call avCT(1138, 2, 102, 6, 0, VVUaU0, (/4, 0/), (/nGC_1178/))

      call avCT(1138, 3, 101, 6, 0, VVUaU0, (/4, 0/), (/nGC_1178/))

      call avCT(1138, 4, 100, 6, 0, VVUaU0, (/4, 0/), (/nGC_1178/))

      call avCT(1138, 5, 105, 7, 0, VVUaU0, (/4, 0/), (/nGC_1177/))

      allocate(vertices(1385)%branchCT(0:1))
      call avCT(1385, 0, 21, 1, 0, FaSF1, (/0, 3/), (/nGC_1209, nGC_1207/))

      call avCT(1385, 1, 21, 1, 0, FaSF1, (/2, 1/), (/nGC_1210, nGC_1208/))

      allocate(vertices(1388)%branchCT(0:0))
      call avCT(1388, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1312/))

      allocate(vertices(1390)%branchCT(0:0))
      call avCT(1390, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1254/))

      allocate(vertices(1393)%branchCT(0:0))
      call avCT(1393, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1151, nGC_1151,       &
      nGC_1150/))

      allocate(vertices(1395)%branchCT(0:0))
      call avCT(1395, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1396)%branchCT(0:0))
      call avCT(1396, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_969/))

      allocate(vertices(1216)%branchCT(0:0))
      call avCT(1216, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(1239)%branchCT(0:0))
      call avCT(1239, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(1400)%branchCT(0:0))
      call avCT(1400, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_969/))

      allocate(vertices(3026)%branchCT(0:0))
      call avCT(3026, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(608)%branchCT(0:0))
      call avCT(608, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1345/))

      allocate(vertices(1405)%branchCT(0:0))
      call avCT(1405, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_966/))

      allocate(vertices(1406)%branchCT(0:0))
      call avCT(1406, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1165, nGC_1166/))

      allocate(vertices(2695)%branchCT(0:0))
      call avCT(2695, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(1408)%branchCT(0:0))
      call avCT(1408, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1409)%branchCT(0:0))
      call avCT(1409, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1357/))

      allocate(vertices(1283)%branchCT(0:0))
      call avCT(1283, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1411)%branchCT(0:0))
      call avCT(1411, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1295)%branchCT(0:0))
      call avCT(1295, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(3241)%branchCT(0:0))
      call avCT(3241, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1168, nGC_1169/))

      allocate(vertices(1414)%branchCT(0:0))
      call avCT(1414, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(1319)%branchCT(0:0))
      call avCT(1319, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(1418)%branchCT(0:0))
      call avCT(1418, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1245/))

      allocate(vertices(1421)%branchCT(0:0))
      call avCT(1421, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_955/))

      allocate(vertices(1431)%branchCT(0:0))
      call avCT(1431, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(1379)%branchCT(0:0))
      call avCT(1379, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1401)%branchCT(0:0))
      call avCT(1401, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_965/))

      allocate(vertices(1428)%branchCT(0:0))
      call avCT(1428, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1352/))

      allocate(vertices(1430)%branchCT(0:0))
      call avCT(1430, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(1423)%branchCT(0:0))
      call avCT(1423, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1312/))

      allocate(vertices(1433)%branchCT(0:0))
      call avCT(1433, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1434)%branchCT(0:0))
      call avCT(1434, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(1435)%branchCT(0:1))
      call avCT(1435, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1154/))

      call avCT(1435, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1155/))

      allocate(vertices(1436)%branchCT(0:0))
      call avCT(1436, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(1437)%branchCT(0:0))
      call avCT(1437, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1116/))

      allocate(vertices(1438)%branchCT(0:0))
      call avCT(1438, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1440)%branchCT(0:0))
      call avCT(1440, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2046)%branchCT(0:0))
      call avCT(2046, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(1492)%branchCT(0:0))
      call avCT(1492, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(3373)%branchCT(0:0))
      call avCT(3373, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(1445)%branchCT(0:0))
      call avCT(1445, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(1820)%branchCT(0:1))
      call avCT(1820, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1323, nGC_1325/))

      call avCT(1820, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1324, nGC_1326/))

      allocate(vertices(1511)%branchCT(0:0))
      call avCT(1511, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_966/))

      allocate(vertices(1448)%branchCT(0:0))
      call avCT(1448, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1124/))

      allocate(vertices(1003)%branchCT(0:0))
      call avCT(1003, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3852)%branchCT(0:1))
      call avCT(3852, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_1358, nGC_1360,      &
      nGC_1360, nGC_1362/))

      call avCT(3852, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_1359, nGC_1361,      &
      nGC_1361, nGC_1363/))

      allocate(vertices(1450)%branchCT(0:0))
      call avCT(1450, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1124/))

      allocate(vertices(1451)%branchCT(0:0))
      call avCT(1451, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1115/))

      allocate(vertices(3638)%branchCT(0:0))
      call avCT(3638, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_966/))

      allocate(vertices(1454)%branchCT(0:1))
      call avCT(1454, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1255, nGC_1257/))

      call avCT(1454, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1256, nGC_1258/))

      allocate(vertices(1456)%branchCT(0:1))
      call avCT(1456, 0, 2, 4, 0, VVV0, (/3, 0/), (/nGC_1364/))

      call avCT(1456, 1, 3, 5, 0, VVV0, (/3, 0/), (/nGC_1364/))

      allocate(vertices(1575)%branchCT(0:0))
      call avCT(1575, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(1459)%branchCT(0:0))
      call avCT(1459, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(1463)%branchCT(0:0))
      call avCT(1463, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(1464)%branchCT(0:1))
      call avCT(1464, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1255, nGC_1257/))

      call avCT(1464, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1256, nGC_1258/))

      allocate(vertices(2999)%branchCT(0:0))
      call avCT(2999, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2460)%branchCT(0:0))
      call avCT(2460, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1472)%branchCT(0:0))
      call avCT(1472, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1365, nGC_1366/))

      allocate(vertices(1474)%branchCT(0:0))
      call avCT(1474, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_1367/))

      allocate(vertices(1476)%branchCT(0:0))
      call avCT(1476, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1124/))

      allocate(vertices(1478)%branchCT(0:0))
      call avCT(1478, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1349/))

      allocate(vertices(1712)%branchCT(0:0))
      call avCT(1712, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_966/))

      allocate(vertices(1480)%branchCT(0:0))
      call avCT(1480, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_974/))

      allocate(vertices(3853)%branchCT(0:0))
      call avCT(3853, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1482)%branchCT(0:0))
      call avCT(1482, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_974/))

      allocate(vertices(1486)%branchCT(0:0))
      call avCT(1486, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(1488)%branchCT(0:0))
      call avCT(1488, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1489)%branchCT(0:0))
      call avCT(1489, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1303/))

      allocate(vertices(1490)%branchCT(0:0))
      call avCT(1490, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1491)%branchCT(0:1))
      call avCT(1491, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1187, nGC_1189/))

      call avCT(1491, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1188, nGC_1190/))

      allocate(vertices(2744)%branchCT(0:5))
      call avCT(2744, 0, 64, 6, 0, UVUaV0, (/4, 0/), (/nGC_1178/))

      call avCT(2744, 1, 62, 6, 0, UVUaV0, (/4, 0/), (/nGC_1178/))

      call avCT(2744, 2, 65, 7, 0, UVUaV0, (/4, 0/), (/nGC_1177/))

      call avCT(2744, 3, 81, 6, 0, UVUaV0, (/4, 0/), (/nGC_1178/))

      call avCT(2744, 4, 80, 6, 0, UVUaV0, (/4, 0/), (/nGC_1178/))

      call avCT(2744, 5, 63, 7, 0, UVUaV0, (/4, 0/), (/nGC_1177/))

      allocate(vertices(1494)%branchCT(0:0))
      call avCT(1494, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(3854)%branchCT(0:0))
      call avCT(3854, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1273/))

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1497)%branchCT(0:0))
      call avCT(1497, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(2057)%branchCT(0:0))
      call avCT(2057, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1297/))

      allocate(vertices(1499)%branchCT(0:0))
      call avCT(1499, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_967/))

      allocate(vertices(1500)%branchCT(0:0))
      call avCT(1500, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(1501)%branchCT(0:0))
      call avCT(1501, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(1180)%branchCT(0:0))
      call avCT(1180, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1114/))

    end subroutine fill_vertices_mdl6
end module vertices_info6
