!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 22:48             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl7()
      allocate(vertices(1909)%branchCT(0:0))
      call avCT(1909, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_958/))

      allocate(vertices(1935)%branchCT(0:0))
      call avCT(1935, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1508)%branchCT(0:0))
      call avCT(1508, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1319/))

      allocate(vertices(2741)%branchCT(0:0))
      call avCT(2741, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1164/))

      allocate(vertices(1512)%branchCT(0:0))
      call avCT(1512, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(1514)%branchCT(0:0))
      call avCT(1514, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1202/))

      allocate(vertices(1017)%branchCT(0:0))
      call avCT(1017, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1987)%branchCT(0:0))
      call avCT(1987, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_958/))

      allocate(vertices(1517)%branchCT(0:1))
      call avCT(1517, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1226, nGC_1228/))

      call avCT(1517, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1227, nGC_1229/))

      allocate(vertices(3855)%branchCT(0:0))
      call avCT(3855, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1518)%branchCT(0:0))
      call avCT(1518, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1519)%branchCT(0:0))
      call avCT(1519, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1521)%branchCT(0:0))
      call avCT(1521, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(1523)%branchCT(0:0))
      call avCT(1523, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(1525)%branchCT(0:0))
      call avCT(1525, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(1526)%branchCT(0:1))
      call avCT(1526, 0, 20, 1, 0, FaFV1, (/0, 3/), (/nGC_1187, nGC_1189/))

      call avCT(1526, 1, 20, 1, 0, FaFV1, (/2, 1/), (/nGC_1188, nGC_1190/))

      allocate(vertices(2651)%branchCT(0:0))
      call avCT(2651, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2116)%branchCT(0:0))
      call avCT(2116, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(2127)%branchCT(0:0))
      call avCT(2127, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(1889)%branchCT(0:0))
      call avCT(1889, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(1537)%branchCT(0:0))
      call avCT(1537, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(3388)%branchCT(0:0))
      call avCT(3388, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1540)%branchCT(0:0))
      call avCT(1540, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_955/))

      allocate(vertices(3075)%branchCT(0:0))
      call avCT(3075, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1542)%branchCT(0:0))
      call avCT(1542, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(1544)%branchCT(0:0))
      call avCT(1544, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1545)%branchCT(0:0))
      call avCT(1545, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(1547)%branchCT(0:0))
      call avCT(1547, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1297/))

      allocate(vertices(1549)%branchCT(0:0))
      call avCT(1549, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1347/))

      allocate(vertices(1553)%branchCT(0:0))
      call avCT(1553, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(1557)%branchCT(0:0))
      call avCT(1557, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1153/))

      allocate(vertices(1558)%branchCT(0:0))
      call avCT(1558, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_974/))

      allocate(vertices(1560)%branchCT(0:0))
      call avCT(1560, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1334, nGC_1333,       &
      nGC_1333/))

      allocate(vertices(2320)%branchCT(0:0))
      call avCT(2320, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(2072)%branchCT(0:0))
      call avCT(2072, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(1563)%branchCT(0:0))
      call avCT(1563, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(836)%branchCT(0:0))
      call avCT(836, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(1568)%branchCT(0:0))
      call avCT(1568, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1115/))

      allocate(vertices(1570)%branchCT(0:1))
      call avCT(1570, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1299, nGC_1301/))

      call avCT(1570, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1300, nGC_1302/))

      allocate(vertices(3856)%branchCT(0:0))
      call avCT(3856, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(2412)%branchCT(0:0))
      call avCT(2412, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1574)%branchCT(0:0))
      call avCT(1574, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1576)%branchCT(0:0))
      call avCT(1576, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_955/))

      allocate(vertices(1580)%branchCT(0:0))
      call avCT(1580, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1581)%branchCT(0:0))
      call avCT(1581, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1582)%branchCT(0:0))
      call avCT(1582, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(1583)%branchCT(0:0))
      call avCT(1583, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1584)%branchCT(0:1))
      call avCT(1584, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1323, nGC_1325/))

      call avCT(1584, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1324, nGC_1326/))

      allocate(vertices(1585)%branchCT(0:0))
      call avCT(1585, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1586)%branchCT(0:0))
      call avCT(1586, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1588)%branchCT(0:0))
      call avCT(1588, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2526)%branchCT(0:0))
      call avCT(2526, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1202/))

      allocate(vertices(2536)%branchCT(0:0))
      call avCT(2536, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(1593)%branchCT(0:0))
      call avCT(1593, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_959/))

      allocate(vertices(1594)%branchCT(0:0))
      call avCT(1594, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2562)%branchCT(0:0))
      call avCT(2562, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1596)%branchCT(0:0))
      call avCT(1596, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(1598)%branchCT(0:0))
      call avCT(1598, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(1601)%branchCT(0:0))
      call avCT(1601, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_1367/))

      allocate(vertices(2627)%branchCT(0:0))
      call avCT(2627, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(1604)%branchCT(0:0))
      call avCT(1604, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1202/))

      allocate(vertices(2659)%branchCT(0:0))
      call avCT(2659, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_958/))

      allocate(vertices(2099)%branchCT(0:0))
      call avCT(2099, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1608)%branchCT(0:0))
      call avCT(1608, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(1609)%branchCT(0:0))
      call avCT(1609, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2097)%branchCT(0:0))
      call avCT(2097, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1368/))

      allocate(vertices(1612)%branchCT(0:0))
      call avCT(1612, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1613)%branchCT(0:0))
      call avCT(1613, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1614)%branchCT(0:0))
      call avCT(1614, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1297/))

      allocate(vertices(847)%branchCT(0:0))
      call avCT(847, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_966/))

      allocate(vertices(1618)%branchCT(0:0))
      call avCT(1618, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1620)%branchCT(0:0))
      call avCT(1620, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1621)%branchCT(0:1))
      call avCT(1621, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1183/))

      call avCT(1621, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1184/))

      allocate(vertices(2763)%branchCT(0:0))
      call avCT(2763, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1623)%branchCT(0:0))
      call avCT(1623, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(3408)%branchCT(0:0))
      call avCT(3408, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2784)%branchCT(0:0))
      call avCT(2784, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(1627)%branchCT(0:0))
      call avCT(1627, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(1629)%branchCT(0:0))
      call avCT(1629, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(1631)%branchCT(0:0))
      call avCT(1631, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2830)%branchCT(0:0))
      call avCT(2830, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_974/))

      allocate(vertices(1636)%branchCT(0:0))
      call avCT(1636, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1637)%branchCT(0:0))
      call avCT(1637, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1339/))

      allocate(vertices(1640)%branchCT(0:0))
      call avCT(1640, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(2876)%branchCT(0:0))
      call avCT(2876, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1642)%branchCT(0:0))
      call avCT(1642, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1303/))

      allocate(vertices(2890)%branchCT(0:1))
      call avCT(2890, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1331, nGC_1331/))

      call avCT(2890, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1332, nGC_1332/))

      allocate(vertices(1646)%branchCT(0:0))
      call avCT(1646, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(3857)%branchCT(0:0))
      call avCT(3857, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1132/))

      allocate(vertices(1649)%branchCT(0:0))
      call avCT(1649, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(1650)%branchCT(0:1))
      call avCT(1650, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1276, nGC_1278/))

      call avCT(1650, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1277, nGC_1279/))

      allocate(vertices(2938)%branchCT(0:0))
      call avCT(2938, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2745)%branchCT(0:0))
      call avCT(2745, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(1653)%branchCT(0:0))
      call avCT(1653, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2963)%branchCT(0:0))
      call avCT(2963, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_959/))

      allocate(vertices(1655)%branchCT(0:0))
      call avCT(1655, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(1656)%branchCT(0:0))
      call avCT(1656, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1186/))

      allocate(vertices(565)%branchCT(0:0))
      call avCT(565, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(1659)%branchCT(0:0))
      call avCT(1659, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1662)%branchCT(0:0))
      call avCT(1662, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(1663)%branchCT(0:0))
      call avCT(1663, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_959/))

      allocate(vertices(3564)%branchCT(0:0))
      call avCT(3564, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(1665)%branchCT(0:0))
      call avCT(1665, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_955/))

      allocate(vertices(1666)%branchCT(0:0))
      call avCT(1666, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1137/))

      allocate(vertices(2749)%branchCT(0:0))
      call avCT(2749, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(3132)%branchCT(0:0))
      call avCT(3132, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_958/))

      allocate(vertices(727)%branchCT(0:0))
      call avCT(727, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1672)%branchCT(0:0))
      call avCT(1672, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1097, nGC_1097,       &
      nGC_1098/))

      allocate(vertices(1673)%branchCT(0:0))
      call avCT(1673, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1294, nGC_1295/))

      allocate(vertices(3418)%branchCT(0:0))
      call avCT(3418, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(1676)%branchCT(0:0))
      call avCT(1676, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_969/))

      allocate(vertices(3151)%branchCT(0:0))
      call avCT(3151, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_958/))

      allocate(vertices(3153)%branchCT(0:0))
      call avCT(3153, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1319/))

      allocate(vertices(3163)%branchCT(0:0))
      call avCT(3163, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(3484)%branchCT(0:0))
      call avCT(3484, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(1686)%branchCT(0:0))
      call avCT(1686, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1368/))

      allocate(vertices(3858)%branchCT(0:1))
      call avCT(3858, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1288, nGC_1290,       &
      nGC_1290, nGC_1292/))

      call avCT(3858, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_1289, nGC_1291,       &
      nGC_1291, nGC_1293/))

      allocate(vertices(3859)%branchCT(0:0))
      call avCT(3859, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1694)%branchCT(0:0))
      call avCT(1694, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1099/))

      allocate(vertices(1696)%branchCT(0:0))
      call avCT(1696, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(1697)%branchCT(0:0))
      call avCT(1697, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1107/))

      allocate(vertices(1701)%branchCT(0:1))
      call avCT(1701, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_1198/))

      call avCT(1701, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_1199/))

      allocate(vertices(1702)%branchCT(0:0))
      call avCT(1702, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1703)%branchCT(0:0))
      call avCT(1703, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2071)%branchCT(0:0))
      call avCT(2071, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(1705)%branchCT(0:1))
      call avCT(1705, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1133, nGC_1135/))

      call avCT(1705, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1134, nGC_1136/))

      allocate(vertices(1706)%branchCT(0:0))
      call avCT(1706, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(3337)%branchCT(0:0))
      call avCT(3337, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1708)%branchCT(0:0))
      call avCT(1708, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1274/))

      allocate(vertices(1710)%branchCT(0:0))
      call avCT(1710, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_959/))

      allocate(vertices(3436)%branchCT(0:0))
      call avCT(3436, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1713)%branchCT(0:0))
      call avCT(1713, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(3354)%branchCT(0:1))
      call avCT(3354, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1203, nGC_1205/))

      call avCT(3354, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1204, nGC_1206/))

      allocate(vertices(1716)%branchCT(0:1))
      call avCT(1716, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1160, nGC_1160/))

      call avCT(1716, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1161, nGC_1161/))

      allocate(vertices(1378)%branchCT(0:0))
      call avCT(1378, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1186/))

      allocate(vertices(3860)%branchCT(0:0))
      call avCT(3860, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1721)%branchCT(0:0))
      call avCT(1721, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1722)%branchCT(0:0))
      call avCT(1722, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_964/))

      allocate(vertices(3413)%branchCT(0:0))
      call avCT(3413, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1223/))

      allocate(vertices(1725)%branchCT(0:0))
      call avCT(1725, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1176/))

      allocate(vertices(3446)%branchCT(0:0))
      call avCT(3446, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1312/))

      allocate(vertices(3461)%branchCT(0:0))
      call avCT(3461, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(822)%branchCT(0:0))
      call avCT(822, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1115/))

      allocate(vertices(1732)%branchCT(0:0))
      call avCT(1732, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1216, nGC_1216,       &
      nGC_1217/))

      allocate(vertices(1733)%branchCT(0:0))
      call avCT(1733, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(3634)%branchCT(0:0))
      call avCT(3634, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(3501)%branchCT(0:0))
      call avCT(3501, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2826)%branchCT(0:0))
      call avCT(2826, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(1738)%branchCT(0:0))
      call avCT(1738, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_974/))

      allocate(vertices(1739)%branchCT(0:0))
      call avCT(1739, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1740)%branchCT(0:0))
      call avCT(1740, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(3861)%branchCT(0:0))
      call avCT(3861, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1745)%branchCT(0:0))
      call avCT(1745, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(1746)%branchCT(0:1))
      call avCT(1746, 0, 34, 4, 0, UUaV1, (/3, 0/), (/nGC_1369/))

      call avCT(1746, 1, 35, 5, 0, UUaV1, (/3, 0/), (/nGC_1369/))

      allocate(vertices(2652)%branchCT(0:1))
      call avCT(2652, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1313, nGC_1315/))

      call avCT(2652, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1314, nGC_1316/))

      allocate(vertices(1748)%branchCT(0:0))
      call avCT(1748, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1153/))

      allocate(vertices(3580)%branchCT(0:0))
      call avCT(3580, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(1758)%branchCT(0:0))
      call avCT(1758, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1116/))

      allocate(vertices(1759)%branchCT(0:0))
      call avCT(1759, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(550)%branchCT(0:0))
      call avCT(550, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(1763)%branchCT(0:0))
      call avCT(1763, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1321/))

      allocate(vertices(1764)%branchCT(0:0))
      call avCT(1764, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(1765)%branchCT(0:0))
      call avCT(1765, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(1766)%branchCT(0:0))
      call avCT(1766, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(3694)%branchCT(0:0))
      call avCT(3694, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1769)%branchCT(0:0))
      call avCT(1769, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1770)%branchCT(0:0))
      call avCT(1770, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(3723)%branchCT(0:0))
      call avCT(3723, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1774)%branchCT(0:0))
      call avCT(1774, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1776)%branchCT(0:0))
      call avCT(1776, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1777)%branchCT(0:1))
      call avCT(1777, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1276, nGC_1278/))

      call avCT(1777, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1277, nGC_1279/))

      allocate(vertices(1780)%branchCT(0:0))
      call avCT(1780, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(1781)%branchCT(0:1))
      call avCT(1781, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1249, nGC_1251/))

      call avCT(1781, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1250, nGC_1252/))

      allocate(vertices(2397)%branchCT(0:0))
      call avCT(2397, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_969/))

      allocate(vertices(3790)%branchCT(0:0))
      call avCT(3790, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(3556)%branchCT(0:0))
      call avCT(3556, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1788)%branchCT(0:0))
      call avCT(1788, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(1005)%branchCT(0:0))
      call avCT(1005, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(2564)%branchCT(0:1))
      call avCT(2564, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1304, nGC_1306/))

      call avCT(2564, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1305, nGC_1307/))

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(51)%branchCT(0:0))
      call avCT(51, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1348/))

      allocate(vertices(1794)%branchCT(0:0))
      call avCT(1794, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1795)%branchCT(0:0))
      call avCT(1795, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(3862)%branchCT(0:1))
      call avCT(3862, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1358, nGC_1360,       &
      nGC_1360, nGC_1362/))

      call avCT(3862, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_1359, nGC_1361,       &
      nGC_1361, nGC_1363/))

      allocate(vertices(1798)%branchCT(0:0))
      call avCT(1798, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1334, nGC_1333,       &
      nGC_1333/))

      allocate(vertices(3398)%branchCT(0:0))
      call avCT(3398, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1282/))

      allocate(vertices(1800)%branchCT(0:0))
      call avCT(1800, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_967/))

      allocate(vertices(1802)%branchCT(0:0))
      call avCT(1802, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(3386)%branchCT(0:0))
      call avCT(3386, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(1807)%branchCT(0:0))
      call avCT(1807, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(1808)%branchCT(0:3))
      call avCT(1808, 0, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_1341, nGC_1343/))

      call avCT(1808, 1, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_1342, nGC_1344/))

      call avCT(1808, 2, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_1341, nGC_1343/))

      call avCT(1808, 3, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_1342, nGC_1344/))

      allocate(vertices(972)%branchCT(0:0))
      call avCT(972, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1810)%branchCT(0:0))
      call avCT(1810, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1194/))

      allocate(vertices(156)%branchCT(0:0))
      call avCT(156, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1813)%branchCT(0:0))
      call avCT(1813, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(1814)%branchCT(0:1))
      call avCT(1814, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1353, nGC_1355/))

      call avCT(1814, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1354, nGC_1356/))

      allocate(vertices(1815)%branchCT(0:0))
      call avCT(1815, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(1816)%branchCT(0:0))
      call avCT(1816, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(218)%branchCT(0:0))
      call avCT(218, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(3808)%branchCT(0:0))
      call avCT(3808, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(1823)%branchCT(0:0))
      call avCT(1823, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1824)%branchCT(0:0))
      call avCT(1824, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1339/))

      allocate(vertices(1825)%branchCT(0:0))
      call avCT(1825, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(1826)%branchCT(0:1))
      call avCT(1826, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1304, nGC_1306/))

      call avCT(1826, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1305, nGC_1307/))

      allocate(vertices(1827)%branchCT(0:0))
      call avCT(1827, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1099/))

      allocate(vertices(102)%branchCT(0:0))
      call avCT(102, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_1270/))

      allocate(vertices(2149)%branchCT(0:0))
      call avCT(2149, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2120)%branchCT(0:0))
      call avCT(2120, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(2139)%branchCT(0:0))
      call avCT(2139, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(3448)%branchCT(0:0))
      call avCT(3448, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1280/))

      allocate(vertices(3863)%branchCT(0:0))
      call avCT(3863, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1838)%branchCT(0:0))
      call avCT(1838, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1243, nGC_1244/))

      allocate(vertices(338)%branchCT(0:0))
      call avCT(338, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1840)%branchCT(0:0))
      call avCT(1840, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1202/))

      allocate(vertices(1842)%branchCT(0:0))
      call avCT(1842, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(1843)%branchCT(0:0))
      call avCT(1843, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1370/))

      allocate(vertices(1844)%branchCT(0:0))
      call avCT(1844, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1846)%branchCT(0:0))
      call avCT(1846, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1847)%branchCT(0:0))
      call avCT(1847, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1848)%branchCT(0:0))
      call avCT(1848, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1175, nGC_1175/))

      allocate(vertices(138)%branchCT(0:0))
      call avCT(138, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1164/))

      allocate(vertices(1850)%branchCT(0:0))
      call avCT(1850, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(160)%branchCT(0:0))
      call avCT(160, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(1854)%branchCT(0:0))
      call avCT(1854, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1285, nGC_1285/))

      allocate(vertices(1858)%branchCT(0:0))
      call avCT(1858, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1233, nGC_1234/))

      allocate(vertices(433)%branchCT(0:0))
      call avCT(433, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(1863)%branchCT(0:0))
      call avCT(1863, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1865)%branchCT(0:0))
      call avCT(1865, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(465)%branchCT(0:0))
      call avCT(465, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2291)%branchCT(0:0))
      call avCT(2291, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_966/))

      allocate(vertices(1178)%branchCT(0:0))
      call avCT(1178, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1333, nGC_1333,       &
      nGC_1334/))

      allocate(vertices(1874)%branchCT(0:0))
      call avCT(1874, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1236/))

      allocate(vertices(525)%branchCT(0:0))
      call avCT(525, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(522)%branchCT(0:0))
      call avCT(522, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1371/))

      allocate(vertices(1610)%branchCT(0:0))
      call avCT(1610, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1297/))

      allocate(vertices(1881)%branchCT(0:0))
      call avCT(1881, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(1882)%branchCT(0:0))
      call avCT(1882, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1371/))

      allocate(vertices(1883)%branchCT(0:0))
      call avCT(1883, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(2023)%branchCT(0:5))
      call avCT(2023, 0, 9, 6, 0, UaUVV0, (/4, 0/), (/nGC_1178/))

      call avCT(2023, 1, 7, 6, 0, UaUVV0, (/4, 0/), (/nGC_1178/))

      call avCT(2023, 2, 8, 6, 0, UaUVV0, (/4, 0/), (/nGC_1178/))

      call avCT(2023, 3, 6, 6, 0, UaUVV0, (/4, 0/), (/nGC_1178/))

      call avCT(2023, 4, 5, 7, 0, UaUVV0, (/4, 0/), (/nGC_1177/))

      call avCT(2023, 5, 4, 7, 0, UaUVV0, (/4, 0/), (/nGC_1177/))

      allocate(vertices(1887)%branchCT(0:1))
      call avCT(1887, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1187, nGC_1189/))

      call avCT(1887, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1188, nGC_1190/))

      allocate(vertices(1891)%branchCT(0:0))
      call avCT(1891, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1236/))

      allocate(vertices(2732)%branchCT(0:0))
      call avCT(2732, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(1894)%branchCT(0:1))
      call avCT(1894, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1198/))

      call avCT(1894, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1199/))

      allocate(vertices(1895)%branchCT(0:0))
      call avCT(1895, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1297/))

      allocate(vertices(1897)%branchCT(0:0))
      call avCT(1897, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(1900)%branchCT(0:0))
      call avCT(1900, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_974/))

      allocate(vertices(393)%branchCT(0:0))
      call avCT(393, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(634)%branchCT(0:0))
      call avCT(634, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1115/))

      allocate(vertices(3864)%branchCT(0:0))
      call avCT(3864, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1904)%branchCT(0:0))
      call avCT(1904, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1349/))

      allocate(vertices(1905)%branchCT(0:0))
      call avCT(1905, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1906)%branchCT(0:0))
      call avCT(1906, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(3412)%branchCT(0:0))
      call avCT(3412, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(1908)%branchCT(0:0))
      call avCT(1908, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1223/))

      allocate(vertices(3865)%branchCT(0:0))
      call avCT(3865, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1911)%branchCT(0:1))
      call avCT(1911, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1141, nGC_1143/))

      call avCT(1911, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1142, nGC_1144/))

      allocate(vertices(3866)%branchCT(0:0))
      call avCT(3866, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1914)%branchCT(0:0))
      call avCT(1914, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_969/))

      allocate(vertices(1916)%branchCT(0:0))
      call avCT(1916, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(1917)%branchCT(0:1))
      call avCT(1917, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1203, nGC_1205/))

      call avCT(1917, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1204, nGC_1206/))

      allocate(vertices(1918)%branchCT(0:0))
      call avCT(1918, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(714)%branchCT(0:0))
      call avCT(714, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(1920)%branchCT(0:1))
      call avCT(1920, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1304, nGC_1306/))

      call avCT(1920, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1305, nGC_1307/))

      allocate(vertices(1922)%branchCT(0:1))
      call avCT(1922, 0, 20, 1, 0, FaFS0, (/0, 3/), (/nGC_1251, nGC_1249/))

      call avCT(1922, 1, 20, 1, 0, FaFS0, (/2, 1/), (/nGC_1252, nGC_1250/))

      allocate(vertices(165)%branchCT(0:0))
      call avCT(165, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(1927)%branchCT(0:0))
      call avCT(1927, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(1928)%branchCT(0:0))
      call avCT(1928, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1296/))

      allocate(vertices(784)%branchCT(0:0))
      call avCT(784, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(1932)%branchCT(0:0))
      call avCT(1932, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_1222/))

      allocate(vertices(1934)%branchCT(0:0))
      call avCT(1934, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(3867)%branchCT(0:0))
      call avCT(3867, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1372, nGC_1373,       &
      nGC_1373, nGC_1374/))

      allocate(vertices(1937)%branchCT(0:0))
      call avCT(1937, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_958/))

      allocate(vertices(1939)%branchCT(0:0))
      call avCT(1939, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1940)%branchCT(0:3))
      call avCT(1940, 0, 27, 3, 0, VFaF0, (/1, 2/), (/nGC_1213, nGC_1215/))

      call avCT(1940, 1, 27, 3, 0, VFaF0, (/3, 0/), (/nGC_1212, nGC_1214/))

      call avCT(1940, 2, 26, 2, 0, VFaF0, (/1, 2/), (/nGC_1213, nGC_1215/))

      call avCT(1940, 3, 26, 2, 0, VFaF0, (/3, 0/), (/nGC_1212, nGC_1214/))

      allocate(vertices(1010)%branchCT(0:0))
      call avCT(1010, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1941)%branchCT(0:1))
      call avCT(1941, 0, 21, 1, 0, FaSF1, (/0, 3/), (/nGC_1239, nGC_1241/))

      call avCT(1941, 1, 21, 1, 0, FaSF1, (/2, 1/), (/nGC_1240, nGC_1242/))

      allocate(vertices(2136)%branchCT(0:0))
      call avCT(2136, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1943)%branchCT(0:0))
      call avCT(1943, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(1944)%branchCT(0:0))
      call avCT(1944, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1947)%branchCT(0:0))
      call avCT(1947, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(1948)%branchCT(0:0))
      call avCT(1948, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2200)%branchCT(0:0))
      call avCT(2200, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1953)%branchCT(0:1))
      call avCT(1953, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1180, nGC_1180/))

      call avCT(1953, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1181, nGC_1181/))

      allocate(vertices(1954)%branchCT(0:0))
      call avCT(1954, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(1955)%branchCT(0:0))
      call avCT(1955, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(1957)%branchCT(0:0))
      call avCT(1957, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_966/))

      allocate(vertices(1958)%branchCT(0:0))
      call avCT(1958, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(3100)%branchCT(0:0))
      call avCT(3100, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1961)%branchCT(0:0))
      call avCT(1961, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_958/))

      allocate(vertices(1962)%branchCT(0:1))
      call avCT(1962, 0, 20, 1, 0, FaFV0, (/0, 3/), (/nGC_1154/))

      call avCT(1962, 1, 20, 1, 0, FaFV0, (/2, 1/), (/nGC_1155/))

      allocate(vertices(1963)%branchCT(0:0))
      call avCT(1963, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(1964)%branchCT(0:0))
      call avCT(1964, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1340/))

      allocate(vertices(2729)%branchCT(0:0))
      call avCT(2729, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1969)%branchCT(0:0))
      call avCT(1969, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_958/))

      allocate(vertices(1970)%branchCT(0:1))
      call avCT(1970, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1154/))

      call avCT(1970, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1155/))

      allocate(vertices(3072)%branchCT(0:0))
      call avCT(3072, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1296/))

      allocate(vertices(391)%branchCT(0:0))
      call avCT(391, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(1624)%branchCT(0:1))
      call avCT(1624, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1147, nGC_1147/))

      call avCT(1624, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1148, nGC_1148/))

      allocate(vertices(1975)%branchCT(0:0))
      call avCT(1975, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1107/))

      allocate(vertices(1978)%branchCT(0:0))
      call avCT(1978, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1979)%branchCT(0:0))
      call avCT(1979, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_969/))

      allocate(vertices(1980)%branchCT(0:0))
      call avCT(1980, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_967/))

      allocate(vertices(200)%branchCT(0:0))
      call avCT(200, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(1982)%branchCT(0:0))
      call avCT(1982, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_969/))

      allocate(vertices(473)%branchCT(0:0))
      call avCT(473, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1115/))

      allocate(vertices(1985)%branchCT(0:0))
      call avCT(1985, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1986)%branchCT(0:0))
      call avCT(1986, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1281/))

      allocate(vertices(1988)%branchCT(0:0))
      call avCT(1988, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2554)%branchCT(0:0))
      call avCT(2554, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(1990)%branchCT(0:0))
      call avCT(1990, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(1993)%branchCT(0:0))
      call avCT(1993, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(1158)%branchCT(0:0))
      call avCT(1158, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1996)%branchCT(0:0))
      call avCT(1996, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_965/))

      allocate(vertices(1997)%branchCT(0:0))
      call avCT(1997, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1137/))

      allocate(vertices(1998)%branchCT(0:0))
      call avCT(1998, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(3779)%branchCT(0:1))
      call avCT(3779, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1329, nGC_1329/))

      call avCT(3779, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1330, nGC_1330/))

      allocate(vertices(2000)%branchCT(0:0))
      call avCT(2000, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2001)%branchCT(0:3))
      call avCT(2001, 0, 22, 2, 0, FaFV1, (/1, 2/), (/nGC_1213, nGC_1215/))

      call avCT(2001, 1, 22, 2, 0, FaFV1, (/3, 0/), (/nGC_1212, nGC_1214/))

      call avCT(2001, 2, 23, 3, 0, FaFV1, (/1, 2/), (/nGC_1213, nGC_1215/))

      call avCT(2001, 3, 23, 3, 0, FaFV1, (/3, 0/), (/nGC_1212, nGC_1214/))

      allocate(vertices(2720)%branchCT(0:0))
      call avCT(2720, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_959/))

      allocate(vertices(1210)%branchCT(0:0))
      call avCT(1210, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(2005)%branchCT(0:0))
      call avCT(2005, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2006)%branchCT(0:0))
      call avCT(2006, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1321/))

      allocate(vertices(2007)%branchCT(0:0))
      call avCT(2007, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1098, nGC_1097,       &
      nGC_1097/))

      allocate(vertices(1234)%branchCT(0:0))
      call avCT(1234, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2326)%branchCT(0:0))
      call avCT(2326, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1107/))

      allocate(vertices(2012)%branchCT(0:0))
      call avCT(2012, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2013)%branchCT(0:1))
      call avCT(2013, 0, 20, 1, 0, FaFS0, (/0, 3/), (/nGC_1299, nGC_1301/))

      call avCT(2013, 1, 20, 1, 0, FaFS0, (/2, 1/), (/nGC_1300, nGC_1302/))

      allocate(vertices(2739)%branchCT(0:0))
      call avCT(2739, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1216, nGC_1217,       &
      nGC_1216/))

      allocate(vertices(2016)%branchCT(0:0))
      call avCT(2016, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1150, nGC_1151,       &
      nGC_1151/))

      allocate(vertices(1281)%branchCT(0:3))
      call avCT(1281, 0, 27, 3, 0, VFaF0, (/3, 0/), (/nGC_1341, nGC_1343/))

      call avCT(1281, 1, 27, 3, 0, VFaF0, (/1, 2/), (/nGC_1342, nGC_1344/))

      call avCT(1281, 2, 26, 2, 0, VFaF0, (/3, 0/), (/nGC_1341, nGC_1343/))

      call avCT(1281, 3, 26, 2, 0, VFaF0, (/1, 2/), (/nGC_1342, nGC_1344/))

      allocate(vertices(1292)%branchCT(0:0))
      call avCT(1292, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1245/))

      allocate(vertices(3737)%branchCT(0:0))
      call avCT(3737, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1254/))

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(2022)%branchCT(0:0))
      call avCT(2022, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1153/))

      allocate(vertices(3485)%branchCT(0:0))
      call avCT(3485, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(3242)%branchCT(0:0))
      call avCT(3242, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1687)%branchCT(0:0))
      call avCT(1687, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(2028)%branchCT(0:0))
      call avCT(2028, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1345/))

      allocate(vertices(2030)%branchCT(0:0))
      call avCT(2030, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(2032)%branchCT(0:0))
      call avCT(2032, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2033)%branchCT(0:0))
      call avCT(2033, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2035)%branchCT(0:0))
      call avCT(2035, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2037)%branchCT(0:0))
      call avCT(2037, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2038)%branchCT(0:0))
      call avCT(2038, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1296/))

      allocate(vertices(3630)%branchCT(0:0))
      call avCT(3630, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(935)%branchCT(0:0))
      call avCT(935, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(3297)%branchCT(0:0))
      call avCT(3297, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1238/))

      allocate(vertices(3590)%branchCT(0:0))
      call avCT(3590, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(2048)%branchCT(0:0))
      call avCT(2048, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2049)%branchCT(0:0))
      call avCT(2049, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1321/))

      allocate(vertices(924)%branchCT(0:0))
      call avCT(924, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1107/))

      allocate(vertices(2052)%branchCT(0:1))
      call avCT(2052, 0, 38, 4, 0, VUaU0, (/3, 0/), (/nGC_1271/))

      call avCT(2052, 1, 39, 5, 0, VUaU0, (/3, 0/), (/nGC_1271/))

      allocate(vertices(2055)%branchCT(0:0))
      call avCT(2055, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2056)%branchCT(0:0))
      call avCT(2056, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1375/))

      allocate(vertices(1498)%branchCT(0:0))
      call avCT(1498, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2061)%branchCT(0:0))
      call avCT(2061, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_958/))

      allocate(vertices(2062)%branchCT(0:0))
      call avCT(2062, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1312/))

      allocate(vertices(2065)%branchCT(0:1))
      call avCT(2065, 0, 20, 1, 0, FaFS0, (/0, 3/), (/nGC_1180, nGC_1180/))

      call avCT(2065, 1, 20, 1, 0, FaFS0, (/2, 1/), (/nGC_1181, nGC_1181/))

      allocate(vertices(2066)%branchCT(0:0))
      call avCT(2066, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2067)%branchCT(0:0))
      call avCT(2067, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(2068)%branchCT(0:0))
      call avCT(2068, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1294, nGC_1295/))

      allocate(vertices(1562)%branchCT(0:0))
      call avCT(1562, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2073)%branchCT(0:0))
      call avCT(2073, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1211/))

      allocate(vertices(2075)%branchCT(0:0))
      call avCT(2075, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(2076)%branchCT(0:0))
      call avCT(2076, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2077)%branchCT(0:0))
      call avCT(2077, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(2079)%branchCT(0:0))
      call avCT(2079, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(3868)%branchCT(0:0))
      call avCT(3868, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_1376, nGC_1377/))

      allocate(vertices(2080)%branchCT(0:1))
      call avCT(2080, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1276, nGC_1278/))

      call avCT(2080, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1277, nGC_1279/))

      allocate(vertices(2082)%branchCT(0:1))
      call avCT(2082, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1198/))

      call avCT(2082, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1199/))

      allocate(vertices(2083)%branchCT(0:0))
      call avCT(2083, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1115/))

      allocate(vertices(1260)%branchCT(0:0))
      call avCT(1260, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2086)%branchCT(0:0))
      call avCT(2086, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2087)%branchCT(0:0))
      call avCT(2087, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(2089)%branchCT(0:0))
      call avCT(2089, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2090)%branchCT(0:0))
      call avCT(2090, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1232)%branchCT(0:0))
      call avCT(1232, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2092)%branchCT(0:0))
      call avCT(2092, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(846)%branchCT(0:0))
      call avCT(846, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1321/))

      allocate(vertices(930)%branchCT(0:0))
      call avCT(930, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(3869)%branchCT(0:0))
      call avCT(3869, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1132/))

      allocate(vertices(2502)%branchCT(0:0))
      call avCT(2502, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1286/))

      allocate(vertices(2163)%branchCT(0:0))
      call avCT(2163, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(1731)%branchCT(0:0))
      call avCT(1731, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2101)%branchCT(0:0))
      call avCT(2101, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2102)%branchCT(0:0))
      call avCT(2102, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1196, nGC_1196/))

      allocate(vertices(2881)%branchCT(0:0))
      call avCT(2881, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1153/))

      allocate(vertices(1873)%branchCT(0:0))
      call avCT(1873, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2105)%branchCT(0:0))
      call avCT(2105, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(3125)%branchCT(0:0))
      call avCT(3125, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2107)%branchCT(0:0))
      call avCT(2107, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1296/))

      allocate(vertices(1684)%branchCT(0:0))
      call avCT(1684, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(2215)%branchCT(0:0))
      call avCT(2215, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1286/))

      allocate(vertices(1208)%branchCT(0:0))
      call avCT(1208, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(2112)%branchCT(0:0))
      call avCT(2112, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(1531)%branchCT(0:0))
      call avCT(1531, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2117)%branchCT(0:0))
      call avCT(2117, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_965/))

      allocate(vertices(580)%branchCT(0:0))
      call avCT(580, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_959/))

      allocate(vertices(2121)%branchCT(0:0))
      call avCT(2121, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1124/))

      allocate(vertices(2124)%branchCT(0:0))
      call avCT(2124, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(3619)%branchCT(0:0))
      call avCT(3619, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2126)%branchCT(0:0))
      call avCT(2126, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1115/))

      allocate(vertices(2128)%branchCT(0:0))
      call avCT(2128, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(3870)%branchCT(0:0))
      call avCT(3870, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1287/))

      allocate(vertices(938)%branchCT(0:0))
      call avCT(938, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2133)%branchCT(0:0))
      call avCT(2133, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2168)%branchCT(0:0))
      call avCT(2168, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(3871)%branchCT(0:0))
      call avCT(3871, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1372, nGC_1373,       &
      nGC_1373, nGC_1374/))

      allocate(vertices(2137)%branchCT(0:3))
      call avCT(2137, 0, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_1157, nGC_1159/))

      call avCT(2137, 1, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_1156, nGC_1158/))

      call avCT(2137, 2, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_1157, nGC_1159/))

      call avCT(2137, 3, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_1156, nGC_1158/))

      allocate(vertices(3506)%branchCT(0:0))
      call avCT(3506, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(2142)%branchCT(0:3))
      call avCT(2142, 0, 27, 3, 0, VFaF0, (/1, 2/), (/nGC_1157, nGC_1159/))

      call avCT(2142, 1, 27, 3, 0, VFaF0, (/3, 0/), (/nGC_1156, nGC_1158/))

      call avCT(2142, 2, 26, 2, 0, VFaF0, (/1, 2/), (/nGC_1157, nGC_1159/))

      call avCT(2142, 3, 26, 2, 0, VFaF0, (/3, 0/), (/nGC_1156, nGC_1158/))

      allocate(vertices(99)%branchCT(0:0))
      call avCT(99, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(1680)%branchCT(0:0))
      call avCT(1680, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2150)%branchCT(0:0))
      call avCT(2150, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(191)%branchCT(0:0))
      call avCT(191, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1365, nGC_1366/))

      allocate(vertices(2425)%branchCT(0:0))
      call avCT(2425, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(2153)%branchCT(0:0))
      call avCT(2153, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2154)%branchCT(0:1))
      call avCT(2154, 0, 20, 1, 0, FaFV1, (/0, 3/), (/nGC_1141, nGC_1143/))

      call avCT(2154, 1, 20, 1, 0, FaFV1, (/2, 1/), (/nGC_1142, nGC_1144/))

      allocate(vertices(2759)%branchCT(0:0))
      call avCT(2759, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_956/))

      allocate(vertices(3168)%branchCT(0:0))
      call avCT(3168, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_959/))

      allocate(vertices(2156)%branchCT(0:0))
      call avCT(2156, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(2159)%branchCT(0:1))
      call avCT(2159, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1209, nGC_1207/))

      call avCT(2159, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1210, nGC_1208/))

      allocate(vertices(2161)%branchCT(0:0))
      call avCT(2161, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1097, nGC_1097,       &
      nGC_1098/))

      allocate(vertices(1404)%branchCT(0:0))
      call avCT(1404, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(2165)%branchCT(0:0))
      call avCT(2165, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(992)%branchCT(0:0))
      call avCT(992, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_967/))

      allocate(vertices(811)%branchCT(0:0))
      call avCT(811, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1115/))

      allocate(vertices(2170)%branchCT(0:0))
      call avCT(2170, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1202/))

      allocate(vertices(3872)%branchCT(0:1))
      call avCT(3872, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1378, nGC_1380,       &
      nGC_1380, nGC_1382/))

      call avCT(3872, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_1379, nGC_1381,       &
      nGC_1381, nGC_1383/))

      allocate(vertices(2172)%branchCT(0:0))
      call avCT(2172, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2173)%branchCT(0:0))
      call avCT(2173, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2370)%branchCT(0:0))
      call avCT(2370, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(944)%branchCT(0:0))
      call avCT(944, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(2177)%branchCT(0:0))
      call avCT(2177, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1116/))

      allocate(vertices(2178)%branchCT(0:0))
      call avCT(2178, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(2180)%branchCT(0:0))
      call avCT(2180, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2184)%branchCT(0:0))
      call avCT(2184, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_955/))

      allocate(vertices(2186)%branchCT(0:0))
      call avCT(2186, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_965/))

      allocate(vertices(3365)%branchCT(0:0))
      call avCT(3365, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_974/))

      allocate(vertices(945)%branchCT(0:0))
      call avCT(945, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_964/))

      allocate(vertices(527)%branchCT(0:0))
      call avCT(527, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2191)%branchCT(0:0))
      call avCT(2191, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1211/))

      allocate(vertices(2192)%branchCT(0:0))
      call avCT(2192, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2286)%branchCT(0:0))
      call avCT(2286, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1202/))

      allocate(vertices(2295)%branchCT(0:0))
      call avCT(2295, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(595)%branchCT(0:0))
      call avCT(595, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(3514)%branchCT(0:0))
      call avCT(3514, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1165, nGC_1166/))

      allocate(vertices(1387)%branchCT(0:0))
      call avCT(1387, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1137/))

      allocate(vertices(2205)%branchCT(0:0))
      call avCT(2205, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1312/))

      allocate(vertices(2206)%branchCT(0:0))
      call avCT(2206, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2207)%branchCT(0:0))
      call avCT(2207, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2211)%branchCT(0:0))
      call avCT(2211, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1370/))

      allocate(vertices(3766)%branchCT(0:1))
      call avCT(3766, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1329, nGC_1329/))

      call avCT(3766, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1330, nGC_1330/))

      allocate(vertices(2214)%branchCT(0:0))
      call avCT(2214, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1282/))

      allocate(vertices(2795)%branchCT(0:0))
      call avCT(2795, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2216)%branchCT(0:0))
      call avCT(2216, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2217)%branchCT(0:0))
      call avCT(2217, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1370/))

      allocate(vertices(2220)%branchCT(0:0))
      call avCT(2220, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1223/))

      allocate(vertices(3873)%branchCT(0:1))
      call avCT(3873, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1384, nGC_1386,       &
      nGC_1386, nGC_1388/))

      call avCT(3873, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_1385, nGC_1387,       &
      nGC_1387, nGC_1389/))

      allocate(vertices(1836)%branchCT(0:0))
      call avCT(1836, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(2226)%branchCT(0:0))
      call avCT(2226, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(2474)%branchCT(0:0))
      call avCT(2474, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2229)%branchCT(0:0))
      call avCT(2229, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1200/))

      allocate(vertices(2230)%branchCT(0:0))
      call avCT(2230, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2497)%branchCT(0:0))
      call avCT(2497, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(3523)%branchCT(0:0))
      call avCT(3523, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1280/))

      allocate(vertices(2236)%branchCT(0:0))
      call avCT(2236, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1352/))

      allocate(vertices(2838)%branchCT(0:0))
      call avCT(2838, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(3119)%branchCT(0:1))
      call avCT(3119, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1207, nGC_1209/))

      call avCT(3119, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1208, nGC_1210/))

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2242)%branchCT(0:5))
      call avCT(2242, 0, 109, 6, 0, VVUUa0, (/4, 0/), (/nGC_1178/))

      call avCT(2242, 1, 108, 6, 0, VVUUa0, (/4, 0/), (/nGC_1178/))

      call avCT(2242, 2, 111, 7, 0, VVUUa0, (/4, 0/), (/nGC_1177/))

      call avCT(2242, 3, 110, 7, 0, VVUUa0, (/4, 0/), (/nGC_1177/))

      call avCT(2242, 4, 107, 6, 0, VVUUa0, (/4, 0/), (/nGC_1178/))

      call avCT(2242, 5, 106, 6, 0, VVUUa0, (/4, 0/), (/nGC_1178/))

      allocate(vertices(2584)%branchCT(0:0))
      call avCT(2584, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2613)%branchCT(0:0))
      call avCT(2613, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1390/))

      allocate(vertices(2248)%branchCT(0:0))
      call avCT(2248, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(2249)%branchCT(0:0))
      call avCT(2249, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2311)%branchCT(0:1))
      call avCT(2311, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1246, nGC_1246/))

      call avCT(2311, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1247, nGC_1247/))

      allocate(vertices(2251)%branchCT(0:0))
      call avCT(2251, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(2427)%branchCT(0:0))
      call avCT(2427, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2666)%branchCT(0:0))
      call avCT(2666, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2843)%branchCT(0:0))
      call avCT(2843, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2256)%branchCT(0:0))
      call avCT(2256, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2259)%branchCT(0:0))
      call avCT(2259, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1233, nGC_1234/))

      allocate(vertices(2190)%branchCT(0:0))
      call avCT(2190, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2699)%branchCT(0:0))
      call avCT(2699, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(3529)%branchCT(0:0))
      call avCT(3529, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2264)%branchCT(0:0))
      call avCT(2264, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2265)%branchCT(0:1))
      call avCT(2265, 0, 21, 1, 0, FaVF1, (/0, 3/), (/nGC_1198/))

      call avCT(2265, 1, 21, 1, 0, FaVF1, (/2, 1/), (/nGC_1199/))

      allocate(vertices(2267)%branchCT(0:0))
      call avCT(2267, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2269)%branchCT(0:0))
      call avCT(2269, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2273)%branchCT(0:0))
      call avCT(2273, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(2274)%branchCT(0:0))
      call avCT(2274, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1236/))

      allocate(vertices(2587)%branchCT(0:0))
      call avCT(2587, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_958/))

      allocate(vertices(2275)%branchCT(0:0))
      call avCT(2275, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2278)%branchCT(0:0))
      call avCT(2278, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(2279)%branchCT(0:0))
      call avCT(2279, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1223/))

      allocate(vertices(2280)%branchCT(0:1))
      call avCT(2280, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1160, nGC_1160/))

      call avCT(2280, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1161, nGC_1161/))

      allocate(vertices(2816)%branchCT(0:0))
      call avCT(2816, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1319/))

      allocate(vertices(2285)%branchCT(0:0))
      call avCT(2285, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2848)%branchCT(0:0))
      call avCT(2848, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2288)%branchCT(0:0))
      call avCT(2288, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1097, nGC_1098,       &
      nGC_1097/))

      allocate(vertices(2289)%branchCT(0:1))
      call avCT(2289, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1128, nGC_1130/))

      call avCT(2289, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1129, nGC_1131/))

      allocate(vertices(2292)%branchCT(0:0))
      call avCT(2292, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_969/))

      allocate(vertices(2293)%branchCT(0:0))
      call avCT(2293, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2294)%branchCT(0:1))
      call avCT(2294, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1239, nGC_1241/))

      call avCT(2294, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1240, nGC_1242/))

      allocate(vertices(3874)%branchCT(0:1))
      call avCT(3874, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_1378, nGC_1380,      &
      nGC_1380, nGC_1382/))

      call avCT(3874, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_1379, nGC_1381,      &
      nGC_1381, nGC_1383/))

      allocate(vertices(2296)%branchCT(0:0))
      call avCT(2296, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2298)%branchCT(0:0))
      call avCT(2298, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2300)%branchCT(0:0))
      call avCT(2300, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(3178)%branchCT(0:0))
      call avCT(3178, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2971)%branchCT(0:0))
      call avCT(2971, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(2307)%branchCT(0:0))
      call avCT(2307, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(1502)%branchCT(0:0))
      call avCT(1502, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2290)%branchCT(0:0))
      call avCT(2290, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(3020)%branchCT(0:0))
      call avCT(3020, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2314)%branchCT(0:0))
      call avCT(2314, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1097, nGC_1098,       &
      nGC_1097/))

      allocate(vertices(2315)%branchCT(0:0))
      call avCT(2315, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(3060)%branchCT(0:0))
      call avCT(3060, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1202/))

      allocate(vertices(2199)%branchCT(0:1))
      call avCT(2199, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1313, nGC_1315/))

      call avCT(2199, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1314, nGC_1316/))

      allocate(vertices(2321)%branchCT(0:0))
      call avCT(2321, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(2323)%branchCT(0:0))
      call avCT(2323, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_958/))

      allocate(vertices(3123)%branchCT(0:0))
      call avCT(3123, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(2327)%branchCT(0:0))
      call avCT(2327, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(3159)%branchCT(0:0))
      call avCT(3159, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_967/))

      allocate(vertices(3173)%branchCT(0:0))
      call avCT(3173, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1101/))

      allocate(vertices(3184)%branchCT(0:0))
      call avCT(3184, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_959/))

      allocate(vertices(3188)%branchCT(0:1))
      call avCT(3188, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1160, nGC_1160/))

      call avCT(3188, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1161, nGC_1161/))

      allocate(vertices(1129)%branchCT(0:0))
      call avCT(1129, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(2335)%branchCT(0:0))
      call avCT(2335, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2339)%branchCT(0:0))
      call avCT(2339, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(3230)%branchCT(0:0))
      call avCT(3230, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(2344)%branchCT(0:0))
      call avCT(2344, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(3160)%branchCT(0:0))
      call avCT(3160, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2346)%branchCT(0:0))
      call avCT(2346, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(2939)%branchCT(0:0))
      call avCT(2939, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1202/))

      allocate(vertices(2350)%branchCT(0:3))
      call avCT(2350, 0, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_1118, nGC_1120/))

      call avCT(2350, 1, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_1119, nGC_1121/))

      call avCT(2350, 2, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_1118, nGC_1120/))

      call avCT(2350, 3, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_1119, nGC_1121/))

      allocate(vertices(2861)%branchCT(0:0))
      call avCT(2861, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2354)%branchCT(0:0))
      call avCT(2354, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1097, nGC_1097,       &
      nGC_1098/))

      allocate(vertices(3334)%branchCT(0:0))
      call avCT(3334, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_966/))

      allocate(vertices(2357)%branchCT(0:0))
      call avCT(2357, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2358)%branchCT(0:0))
      call avCT(2358, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1168, nGC_1169/))

      allocate(vertices(2132)%branchCT(0:0))
      call avCT(2132, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2360)%branchCT(0:0))
      call avCT(2360, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1285, nGC_1285/))

      allocate(vertices(2362)%branchCT(0:0))
      call avCT(2362, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1116/))

      allocate(vertices(3358)%branchCT(0:0))
      call avCT(3358, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(3875)%branchCT(0:0))
      call avCT(3875, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_1391/))

      allocate(vertices(2371)%branchCT(0:0))
      call avCT(2371, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(2372)%branchCT(0:0))
      call avCT(2372, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1280/))

      allocate(vertices(3876)%branchCT(0:1))
      call avCT(3876, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_1384, nGC_1386,      &
      nGC_1386, nGC_1388/))

      call avCT(3876, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_1385, nGC_1387,      &
      nGC_1387, nGC_1389/))

      allocate(vertices(3812)%branchCT(0:0))
      call avCT(3812, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1340/))

      allocate(vertices(3573)%branchCT(0:0))
      call avCT(3573, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(2380)%branchCT(0:0))
      call avCT(2380, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_967/))

      allocate(vertices(2381)%branchCT(0:0))
      call avCT(2381, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(3469)%branchCT(0:0))
      call avCT(3469, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(381)%branchCT(0:0))
      call avCT(381, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2385)%branchCT(0:0))
      call avCT(2385, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2388)%branchCT(0:0))
      call avCT(2388, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(3537)%branchCT(0:0))
      call avCT(3537, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(791)%branchCT(0:0))
      call avCT(791, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2395)%branchCT(0:1))
      call avCT(2395, 0, 21, 1, 0, FaSF1, (/0, 3/), (/nGC_1228, nGC_1226/))

      call avCT(2395, 1, 21, 1, 0, FaSF1, (/2, 1/), (/nGC_1229, nGC_1227/))

      allocate(vertices(3563)%branchCT(0:0))
      call avCT(3563, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(3672)%branchCT(0:0))
      call avCT(3672, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_956/))

      allocate(vertices(3085)%branchCT(0:0))
      call avCT(3085, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1107/))

      allocate(vertices(2438)%branchCT(0:0))
      call avCT(2438, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(3356)%branchCT(0:1))
      call avCT(3356, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1299, nGC_1301/))

      call avCT(3356, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1300, nGC_1302/))

      allocate(vertices(2404)%branchCT(0:0))
      call avCT(2404, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_969/))

      allocate(vertices(3668)%branchCT(0:0))
      call avCT(3668, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2406)%branchCT(0:0))
      call avCT(2406, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1297/))

      allocate(vertices(2407)%branchCT(0:0))
      call avCT(2407, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1200/))

      allocate(vertices(2601)%branchCT(0:0))
      call avCT(2601, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2409)%branchCT(0:0))
      call avCT(2409, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_956/))

      allocate(vertices(2410)%branchCT(0:0))
      call avCT(2410, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1164/))

      allocate(vertices(3649)%branchCT(0:0))
      call avCT(3649, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1572)%branchCT(0:0))
      call avCT(1572, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(2413)%branchCT(0:0))
      call avCT(2413, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(3731)%branchCT(0:0))
      call avCT(3731, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(837)%branchCT(0:0))
      call avCT(837, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2422)%branchCT(0:0))
      call avCT(2422, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1392/))

      allocate(vertices(2424)%branchCT(0:0))
      call avCT(2424, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(3154)%branchCT(0:0))
      call avCT(3154, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(131)%branchCT(0:0))
      call avCT(131, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(2428)%branchCT(0:0))
      call avCT(2428, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1371/))

      allocate(vertices(767)%branchCT(0:0))
      call avCT(767, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2015)%branchCT(0:0))
      call avCT(2015, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1248/))

      allocate(vertices(2431)%branchCT(0:0))
      call avCT(2431, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1200/))

      allocate(vertices(2432)%branchCT(0:0))
      call avCT(2432, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(3877)%branchCT(0:0))
      call avCT(3877, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(2434)%branchCT(0:0))
      call avCT(2434, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1223/))

      allocate(vertices(2435)%branchCT(0:0))
      call avCT(2435, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1101/))

      allocate(vertices(2717)%branchCT(0:0))
      call avCT(2717, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(2437)%branchCT(0:0))
      call avCT(2437, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(3606)%branchCT(0:0))
      call avCT(3606, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(2222)%branchCT(0:0))
      call avCT(2222, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(2866)%branchCT(0:1))
      call avCT(2866, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1209, nGC_1207/))

      call avCT(2866, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1210, nGC_1208/))

      allocate(vertices(2442)%branchCT(0:0))
      call avCT(2442, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(3357)%branchCT(0:0))
      call avCT(3357, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2449)%branchCT(0:0))
      call avCT(2449, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_969/))

      allocate(vertices(986)%branchCT(0:0))
      call avCT(986, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2451)%branchCT(0:0))
      call avCT(2451, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(2556)%branchCT(0:0))
      call avCT(2556, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2456)%branchCT(0:0))
      call avCT(2456, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1327, nGC_1328/))

      allocate(vertices(2457)%branchCT(0:0))
      call avCT(2457, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_967/))

      allocate(vertices(2459)%branchCT(0:0))
      call avCT(2459, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2461)%branchCT(0:0))
      call avCT(2461, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1153/))

      allocate(vertices(2462)%branchCT(0:0))
      call avCT(2462, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(1072)%branchCT(0:0))
      call avCT(1072, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2743)%branchCT(0:1))
      call avCT(2743, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1209, nGC_1207/))

      call avCT(2743, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1210, nGC_1208/))

      allocate(vertices(2465)%branchCT(0:0))
      call avCT(2465, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1197/))

      allocate(vertices(2467)%branchCT(0:0))
      call avCT(2467, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1216, nGC_1217,       &
      nGC_1216/))

      allocate(vertices(2468)%branchCT(0:0))
      call avCT(2468, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(3878)%branchCT(0:0))
      call avCT(3878, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1550)%branchCT(0:0))
      call avCT(1550, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2472)%branchCT(0:0))
      call avCT(2472, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2473)%branchCT(0:1))
      call avCT(2473, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1239, nGC_1241/))

      call avCT(2473, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1240, nGC_1242/))

      allocate(vertices(2228)%branchCT(0:0))
      call avCT(2228, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(241)%branchCT(0:0))
      call avCT(241, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2476)%branchCT(0:0))
      call avCT(2476, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1365, nGC_1366/))

      allocate(vertices(2877)%branchCT(0:0))
      call avCT(2877, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2478)%branchCT(0:0))
      call avCT(2478, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(3294)%branchCT(0:0))
      call avCT(3294, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1321/))

      allocate(vertices(2482)%branchCT(0:0))
      call avCT(2482, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(3231)%branchCT(0:0))
      call avCT(3231, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_956/))

      allocate(vertices(2485)%branchCT(0:0))
      call avCT(2485, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1312/))

      allocate(vertices(3107)%branchCT(0:0))
      call avCT(3107, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2489)%branchCT(0:0))
      call avCT(2489, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2505)%branchCT(0:0))
      call avCT(2505, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(3879)%branchCT(0:0))
      call avCT(3879, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1273/))

      allocate(vertices(896)%branchCT(0:0))
      call avCT(896, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(2495)%branchCT(0:1))
      call avCT(2495, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1103, nGC_1105/))

      call avCT(2495, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1104, nGC_1106/))

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(426)%branchCT(0:0))
      call avCT(426, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2498)%branchCT(0:0))
      call avCT(2498, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2499)%branchCT(0:0))
      call avCT(2499, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1165, nGC_1166/))

      allocate(vertices(2500)%branchCT(0:0))
      call avCT(2500, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2501)%branchCT(0:0))
      call avCT(2501, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1339/))

      allocate(vertices(2147)%branchCT(0:0))
      call avCT(2147, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_959/))

      allocate(vertices(2510)%branchCT(0:0))
      call avCT(2510, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2511)%branchCT(0:0))
      call avCT(2511, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(996)%branchCT(0:0))
      call avCT(996, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_956/))

      allocate(vertices(633)%branchCT(0:0))
      call avCT(633, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2518)%branchCT(0:0))
      call avCT(2518, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1223/))

      allocate(vertices(2519)%branchCT(0:0))
      call avCT(2519, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(2520)%branchCT(0:0))
      call avCT(2520, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1296/))

      allocate(vertices(3369)%branchCT(0:0))
      call avCT(3369, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1098, nGC_1097,       &
      nGC_1097/))

      allocate(vertices(2524)%branchCT(0:0))
      call avCT(2524, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(529)%branchCT(0:0))
      call avCT(529, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2531)%branchCT(0:0))
      call avCT(2531, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(2532)%branchCT(0:0))
      call avCT(2532, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(2533)%branchCT(0:0))
      call avCT(2533, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1186/))

      allocate(vertices(3270)%branchCT(0:0))
      call avCT(3270, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(555)%branchCT(0:0))
      call avCT(555, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1233, nGC_1234/))

      allocate(vertices(496)%branchCT(0:0))
      call avCT(496, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(584)%branchCT(0:0))
      call avCT(584, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1138/))

      allocate(vertices(2543)%branchCT(0:0))
      call avCT(2543, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2123)%branchCT(0:0))
      call avCT(2123, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2546)%branchCT(0:0))
      call avCT(2546, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(2547)%branchCT(0:0))
      call avCT(2547, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(2551)%branchCT(0:0))
      call avCT(2551, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(2552)%branchCT(0:0))
      call avCT(2552, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_974/))

      allocate(vertices(2555)%branchCT(0:0))
      call avCT(2555, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1223/))

      allocate(vertices(2558)%branchCT(0:0))
      call avCT(2558, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2559)%branchCT(0:1))
      call avCT(2559, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1103, nGC_1105/))

      call avCT(2559, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1104, nGC_1106/))

      allocate(vertices(2968)%branchCT(0:0))
      call avCT(2968, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(1595)%branchCT(0:0))
      call avCT(1595, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_966/))

      allocate(vertices(679)%branchCT(0:0))
      call avCT(679, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1202/))

      allocate(vertices(2567)%branchCT(0:1))
      call avCT(2567, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1246, nGC_1246/))

      call avCT(2567, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1247, nGC_1247/))

      allocate(vertices(2570)%branchCT(0:0))
      call avCT(2570, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_956/))

      allocate(vertices(1528)%branchCT(0:0))
      call avCT(1528, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(2572)%branchCT(0:0))
      call avCT(2572, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1235/))

      allocate(vertices(3880)%branchCT(0:0))
      call avCT(3880, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_1393/))

      allocate(vertices(2573)%branchCT(0:1))
      call avCT(2573, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1249, nGC_1251/))

      call avCT(2573, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1250, nGC_1252/))

      allocate(vertices(2576)%branchCT(0:0))
      call avCT(2576, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1124/))

      allocate(vertices(2578)%branchCT(0:0))
      call avCT(2578, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_966/))

      allocate(vertices(2579)%branchCT(0:0))
      call avCT(2579, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1165, nGC_1166/))

      allocate(vertices(2581)%branchCT(0:0))
      call avCT(2581, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2582)%branchCT(0:0))
      call avCT(2582, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1339/))

      allocate(vertices(2583)%branchCT(0:0))
      call avCT(2583, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2585)%branchCT(0:0))
      call avCT(2585, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(1638)%branchCT(0:0))
      call avCT(1638, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(2900)%branchCT(0:0))
      call avCT(2900, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(830)%branchCT(0:0))
      call avCT(830, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2592)%branchCT(0:0))
      call avCT(2592, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1349/))

      allocate(vertices(2594)%branchCT(0:0))
      call avCT(2594, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(2595)%branchCT(0:1))
      call avCT(2595, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1128, nGC_1130/))

      call avCT(2595, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1129, nGC_1131/))

      allocate(vertices(2596)%branchCT(0:0))
      call avCT(2596, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2597)%branchCT(0:1))
      call avCT(2597, 0, 21, 1, 0, FaSF1, (/0, 3/), (/nGC_1218, nGC_1220/))

      call avCT(2597, 1, 21, 1, 0, FaSF1, (/2, 1/), (/nGC_1219, nGC_1221/))

      allocate(vertices(888)%branchCT(0:0))
      call avCT(888, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(908)%branchCT(0:0))
      call avCT(908, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2604)%branchCT(0:0))
      call avCT(2604, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1284/))

      allocate(vertices(2607)%branchCT(0:0))
      call avCT(2607, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2608)%branchCT(0:0))
      call avCT(2608, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1008)%branchCT(0:0))
      call avCT(1008, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2610)%branchCT(0:0))
      call avCT(2610, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(2611)%branchCT(0:0))
      call avCT(2611, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(3481)%branchCT(0:0))
      call avCT(3481, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(1543)%branchCT(0:0))
      call avCT(1543, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_974/))

      allocate(vertices(2615)%branchCT(0:0))
      call avCT(2615, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(18)%branchCT(0:0))
      call avCT(18, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(2299)%branchCT(0:0))
      call avCT(2299, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(2619)%branchCT(0:0))
      call avCT(2619, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2620)%branchCT(0:0))
      call avCT(2620, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(3881)%branchCT(0:0))
      call avCT(3881, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1132/))

      allocate(vertices(3882)%branchCT(0:0))
      call avCT(3882, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1272/))

      allocate(vertices(2624)%branchCT(0:0))
      call avCT(2624, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(3239)%branchCT(0:0))
      call avCT(3239, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1321/))

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1151, nGC_1150,        &
      nGC_1151/))

      allocate(vertices(2632)%branchCT(0:0))
      call avCT(2632, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_967/))

      allocate(vertices(2633)%branchCT(0:0))
      call avCT(2633, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1347/))

      allocate(vertices(2634)%branchCT(0:0))
      call avCT(2634, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1139/))

      allocate(vertices(2635)%branchCT(0:0))
      call avCT(2635, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_969/))

      allocate(vertices(2636)%branchCT(0:0))
      call avCT(2636, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2638)%branchCT(0:0))
      call avCT(2638, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_966/))

      allocate(vertices(1111)%branchCT(0:0))
      call avCT(1111, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_956/))

      allocate(vertices(2641)%branchCT(0:0))
      call avCT(2641, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_959/))

      allocate(vertices(1832)%branchCT(0:1))
      call avCT(1832, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1133, nGC_1135/))

      call avCT(1832, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1134, nGC_1136/))

      allocate(vertices(2643)%branchCT(0:0))
      call avCT(2643, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2644)%branchCT(0:0))
      call avCT(2644, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1235/))

      allocate(vertices(2569)%branchCT(0:0))
      call avCT(2569, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(3725)%branchCT(0:1))
      call avCT(3725, 0, 20, 1, 0, FaFS0, (/0, 3/), (/nGC_1329, nGC_1329/))

      call avCT(3725, 1, 20, 1, 0, FaFS0, (/2, 1/), (/nGC_1330, nGC_1330/))

      allocate(vertices(1153)%branchCT(0:0))
      call avCT(1153, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2915)%branchCT(0:0))
      call avCT(2915, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_959/))

      allocate(vertices(3883)%branchCT(0:0))
      call avCT(3883, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1346/))

      allocate(vertices(1174)%branchCT(0:0))
      call avCT(1174, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1146/))

      allocate(vertices(2655)%branchCT(0:0))
      call avCT(2655, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1224, nGC_1225/))

      allocate(vertices(1185)%branchCT(0:0))
      call avCT(1185, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_958/))

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1274/))

      allocate(vertices(2660)%branchCT(0:0))
      call avCT(2660, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2661)%branchCT(0:0))
      call avCT(2661, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1174/))

      allocate(vertices(2662)%branchCT(0:0))
      call avCT(2662, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2665)%branchCT(0:0))
      call avCT(2665, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(2667)%branchCT(0:0))
      call avCT(2667, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1365, nGC_1366/))

      allocate(vertices(2669)%branchCT(0:0))
      call avCT(2669, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_957/))

      allocate(vertices(3203)%branchCT(0:0))
      call avCT(3203, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_967/))

      allocate(vertices(2672)%branchCT(0:0))
      call avCT(2672, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1123/))

      allocate(vertices(2922)%branchCT(0:1))
      call avCT(2922, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1154/))

      call avCT(2922, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1155/))

      allocate(vertices(2675)%branchCT(0:0))
      call avCT(2675, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(2701)%branchCT(0:0))
      call avCT(2701, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1124/))

      allocate(vertices(2678)%branchCT(0:0))
      call avCT(2678, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1200/))

      allocate(vertices(2680)%branchCT(0:0))
      call avCT(2680, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2990)%branchCT(0:0))
      call avCT(2990, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2683)%branchCT(0:1))
      call avCT(2683, 0, 20, 1, 0, FaFV1, (/0, 3/), (/nGC_1323, nGC_1325/))

      call avCT(2683, 1, 20, 1, 0, FaFV1, (/2, 1/), (/nGC_1324, nGC_1326/))

      allocate(vertices(1342)%branchCT(0:0))
      call avCT(1342, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(2687)%branchCT(0:1))
      call avCT(2687, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1128, nGC_1130/))

      call avCT(2687, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1129, nGC_1131/))

      allocate(vertices(2689)%branchCT(0:1))
      call avCT(2689, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1228, nGC_1226/))

      call avCT(2689, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1229, nGC_1227/))

      allocate(vertices(1371)%branchCT(0:0))
      call avCT(1371, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2691)%branchCT(0:1))
      call avCT(2691, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1276, nGC_1278/))

      call avCT(2691, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1277, nGC_1279/))

      allocate(vertices(2692)%branchCT(0:1))
      call avCT(2692, 0, 20, 1, 0, FaFS0, (/0, 3/), (/nGC_1170, nGC_1172/))

      call avCT(2692, 1, 20, 1, 0, FaFS0, (/2, 1/), (/nGC_1171, nGC_1173/))

      allocate(vertices(2694)%branchCT(0:0))
      call avCT(2694, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2841)%branchCT(0:0))
      call avCT(2841, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1368/))

      allocate(vertices(2696)%branchCT(0:0))
      call avCT(2696, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2261)%branchCT(0:0))
      call avCT(2261, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2702)%branchCT(0:0))
      call avCT(2702, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2703)%branchCT(0:1))
      call avCT(2703, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1226, nGC_1228/))

      call avCT(2703, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1227, nGC_1229/))

      allocate(vertices(3613)%branchCT(0:0))
      call avCT(3613, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(2708)%branchCT(0:0))
      call avCT(2708, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2711)%branchCT(0:0))
      call avCT(2711, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(2712)%branchCT(0:0))
      call avCT(2712, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1347/))

      allocate(vertices(3884)%branchCT(0:0))
      call avCT(3884, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1263, nGC_1264,        &
      nGC_1265/))

      allocate(vertices(1495)%branchCT(0:0))
      call avCT(1495, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(3760)%branchCT(0:0))
      call avCT(3760, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2719)%branchCT(0:0))
      call avCT(2719, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1114/))

      allocate(vertices(2722)%branchCT(0:1))
      call avCT(2722, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1251, nGC_1249/))

      call avCT(2722, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1252, nGC_1250/))

      allocate(vertices(2723)%branchCT(0:0))
      call avCT(2723, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2724)%branchCT(0:0))
      call avCT(2724, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1327, nGC_1328/))

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1113/))

      allocate(vertices(298)%branchCT(0:0))
      call avCT(298, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1297/))

      allocate(vertices(2730)%branchCT(0:0))
      call avCT(2730, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(2928)%branchCT(0:0))
      call avCT(2928, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(3885)%branchCT(0:0))
      call avCT(3885, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1132/))

      allocate(vertices(2650)%branchCT(0:0))
      call avCT(2650, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(3801)%branchCT(0:0))
      call avCT(3801, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(2734)%branchCT(0:0))
      call avCT(2734, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_974/))

      allocate(vertices(2735)%branchCT(0:0))
      call avCT(2735, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(2737)%branchCT(0:0))
      call avCT(2737, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2740)%branchCT(0:0))
      call avCT(2740, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1195/))

      allocate(vertices(2742)%branchCT(0:0))
      call avCT(2742, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1122/))

      allocate(vertices(1652)%branchCT(0:0))
      call avCT(1652, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1217, nGC_1216,       &
      nGC_1216/))

      allocate(vertices(1661)%branchCT(0:0))
      call avCT(1661, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(2748)%branchCT(0:0))
      call avCT(2748, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1321/))

      allocate(vertices(3419)%branchCT(0:0))
      call avCT(3419, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(2750)%branchCT(0:0))
      call avCT(2750, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1117/))

      allocate(vertices(3600)%branchCT(0:0))
      call avCT(3600, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2752)%branchCT(0:0))
      call avCT(2752, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1296/))

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1224, nGC_1225/))

      allocate(vertices(2754)%branchCT(0:0))
      call avCT(2754, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(1717)%branchCT(0:0))
      call avCT(1717, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1145/))

      allocate(vertices(3607)%branchCT(0:0))
      call avCT(3607, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_958/))

      allocate(vertices(2392)%branchCT(0:0))
      call avCT(2392, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_965/))

      allocate(vertices(2760)%branchCT(0:0))
      call avCT(2760, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(2588)%branchCT(0:5))
      call avCT(2588, 0, 77, 6, 0, UaVUV0, (/4, 0/), (/nGC_1178/))

      call avCT(2588, 1, 76, 6, 0, UaVUV0, (/4, 0/), (/nGC_1178/))

      call avCT(2588, 2, 58, 6, 0, UaVUV0, (/4, 0/), (/nGC_1178/))

      call avCT(2588, 3, 59, 7, 0, UaVUV0, (/4, 0/), (/nGC_1177/))

      call avCT(2588, 4, 60, 6, 0, UaVUV0, (/4, 0/), (/nGC_1178/))

      call avCT(2588, 5, 61, 7, 0, UaVUV0, (/4, 0/), (/nGC_1177/))

      allocate(vertices(72)%branchCT(0:0))
      call avCT(72, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1102/))

      allocate(vertices(2764)%branchCT(0:0))
      call avCT(2764, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1098, nGC_1097,       &
      nGC_1097/))

      allocate(vertices(2768)%branchCT(0:0))
      call avCT(2768, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(478)%branchCT(0:0))
      call avCT(478, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1108/))

      allocate(vertices(2772)%branchCT(0:0))
      call avCT(2772, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_956/))

      allocate(vertices(2773)%branchCT(0:0))
      call avCT(2773, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(2912)%branchCT(0:0))
      call avCT(2912, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1140/))

    end subroutine fill_vertices_mdl7
end module vertices_info7
